
package cz.isvs.iszr.schemas.iszrabstract.v1;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlList;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Seznam požadovaných položek referenčních dat, další restrikce nastavuje RPP dle autorizačních omezení k roli.
 * 
 * <p>Java class for AutorizaceType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AutorizaceType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="MaximalniPocetZaznamu" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}MaximalniPocetType" minOccurs="0"/&gt;
 *         &lt;element name="SeznamUdaju" type="{urn:cz:isvs:iszr:schemas:IszrAbstract:v1}ExtSeznamUdajuType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AutorizaceType", propOrder = {
    "maximalniPocetZaznamu",
    "seznamUdaju"
})
public class AutorizaceType {

    @XmlElement(name = "MaximalniPocetZaznamu")
    protected Integer maximalniPocetZaznamu;
    @XmlList
    @XmlElement(name = "SeznamUdaju", required = true)
    protected List<String> seznamUdaju;

    /**
     * Gets the value of the maximalniPocetZaznamu property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getMaximalniPocetZaznamu() {
        return maximalniPocetZaznamu;
    }

    /**
     * Sets the value of the maximalniPocetZaznamu property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setMaximalniPocetZaznamu(Integer value) {
        this.maximalniPocetZaznamu = value;
    }

    /**
     * Gets the value of the seznamUdaju property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the seznamUdaju property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSeznamUdaju().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getSeznamUdaju() {
        if (seznamUdaju == null) {
            seznamUdaju = new ArrayList<String>();
        }
        return this.seznamUdaju;
    }

}
