
package cz.isvs.iszr.schemas.iszrabstract.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.org.schemas.orgtypy.v1.OrgStatusType;
import cz.isvs.reg.schemas.regtypy.v1.MapaAifoType;
import cz.isvs.reg.schemas.regtypy.v1.SeznamIcoType;
import cz.isvs.reg.schemas.regtypy.v1.SeznamPrvkuType;


/**
 * Univerzální odpověd na žádost se seznamem AIFO, StatusOrg, seznamem ICO a seznamem prvku RUIAN, obálka pro data.
 * 
 * <p>Java class for IszrOdpovedAifoStIcoPrvekAbstractType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="IszrOdpovedAifoStIcoPrvekAbstractType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:iszr:schemas:IszrAbstract:v1}IszrOdpovedAbstractType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="MapaAifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}MapaAifoType" minOccurs="0"/&gt;
 *         &lt;element name="SeznamIco" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}SeznamIcoType" minOccurs="0"/&gt;
 *         &lt;element name="SeznamPrvku" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}SeznamPrvkuType" minOccurs="0"/&gt;
 *         &lt;element name="OrgOdpoved" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="OrgCtiAifoDataResponse"&gt;
 *                     &lt;complexType&gt;
 *                       &lt;complexContent&gt;
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                           &lt;sequence&gt;
 *                             &lt;element ref="{urn:cz:isvs:org:schemas:OrgRozhrani:v1}OrgStatus"/&gt;
 *                           &lt;/sequence&gt;
 *                         &lt;/restriction&gt;
 *                       &lt;/complexContent&gt;
 *                     &lt;/complexType&gt;
 *                   &lt;/element&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IszrOdpovedAifoStIcoPrvekAbstractType", propOrder = {
    "mapaAifo",
    "seznamIco",
    "seznamPrvku",
    "orgOdpoved"
})
public abstract class IszrOdpovedAifoStIcoPrvekAbstractType
    extends IszrOdpovedAbstractType
{

    @XmlElement(name = "MapaAifo")
    protected MapaAifoType mapaAifo;
    @XmlElement(name = "SeznamIco")
    protected SeznamIcoType seznamIco;
    @XmlElement(name = "SeznamPrvku")
    protected SeznamPrvkuType seznamPrvku;
    @XmlElement(name = "OrgOdpoved")
    protected IszrOdpovedAifoStIcoPrvekAbstractType.OrgOdpoved orgOdpoved;

    /**
     * Gets the value of the mapaAifo property.
     * 
     * @return
     *     possible object is
     *     {@link MapaAifoType }
     *     
     */
    public MapaAifoType getMapaAifo() {
        return mapaAifo;
    }

    /**
     * Sets the value of the mapaAifo property.
     * 
     * @param value
     *     allowed object is
     *     {@link MapaAifoType }
     *     
     */
    public void setMapaAifo(MapaAifoType value) {
        this.mapaAifo = value;
    }

    /**
     * Gets the value of the seznamIco property.
     * 
     * @return
     *     possible object is
     *     {@link SeznamIcoType }
     *     
     */
    public SeznamIcoType getSeznamIco() {
        return seznamIco;
    }

    /**
     * Sets the value of the seznamIco property.
     * 
     * @param value
     *     allowed object is
     *     {@link SeznamIcoType }
     *     
     */
    public void setSeznamIco(SeznamIcoType value) {
        this.seznamIco = value;
    }

    /**
     * Gets the value of the seznamPrvku property.
     * 
     * @return
     *     possible object is
     *     {@link SeznamPrvkuType }
     *     
     */
    public SeznamPrvkuType getSeznamPrvku() {
        return seznamPrvku;
    }

    /**
     * Sets the value of the seznamPrvku property.
     * 
     * @param value
     *     allowed object is
     *     {@link SeznamPrvkuType }
     *     
     */
    public void setSeznamPrvku(SeznamPrvkuType value) {
        this.seznamPrvku = value;
    }

    /**
     * Gets the value of the orgOdpoved property.
     * 
     * @return
     *     possible object is
     *     {@link IszrOdpovedAifoStIcoPrvekAbstractType.OrgOdpoved }
     *     
     */
    public IszrOdpovedAifoStIcoPrvekAbstractType.OrgOdpoved getOrgOdpoved() {
        return orgOdpoved;
    }

    /**
     * Sets the value of the orgOdpoved property.
     * 
     * @param value
     *     allowed object is
     *     {@link IszrOdpovedAifoStIcoPrvekAbstractType.OrgOdpoved }
     *     
     */
    public void setOrgOdpoved(IszrOdpovedAifoStIcoPrvekAbstractType.OrgOdpoved value) {
        this.orgOdpoved = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="OrgCtiAifoDataResponse"&gt;
     *           &lt;complexType&gt;
     *             &lt;complexContent&gt;
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *                 &lt;sequence&gt;
     *                   &lt;element ref="{urn:cz:isvs:org:schemas:OrgRozhrani:v1}OrgStatus"/&gt;
     *                 &lt;/sequence&gt;
     *               &lt;/restriction&gt;
     *             &lt;/complexContent&gt;
     *           &lt;/complexType&gt;
     *         &lt;/element&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "orgCtiAifoDataResponse"
    })
    public static class OrgOdpoved {

        @XmlElement(name = "OrgCtiAifoDataResponse", required = true)
        protected IszrOdpovedAifoStIcoPrvekAbstractType.OrgOdpoved.OrgCtiAifoDataResponse orgCtiAifoDataResponse;

        /**
         * Gets the value of the orgCtiAifoDataResponse property.
         * 
         * @return
         *     possible object is
         *     {@link IszrOdpovedAifoStIcoPrvekAbstractType.OrgOdpoved.OrgCtiAifoDataResponse }
         *     
         */
        public IszrOdpovedAifoStIcoPrvekAbstractType.OrgOdpoved.OrgCtiAifoDataResponse getOrgCtiAifoDataResponse() {
            return orgCtiAifoDataResponse;
        }

        /**
         * Sets the value of the orgCtiAifoDataResponse property.
         * 
         * @param value
         *     allowed object is
         *     {@link IszrOdpovedAifoStIcoPrvekAbstractType.OrgOdpoved.OrgCtiAifoDataResponse }
         *     
         */
        public void setOrgCtiAifoDataResponse(IszrOdpovedAifoStIcoPrvekAbstractType.OrgOdpoved.OrgCtiAifoDataResponse value) {
            this.orgCtiAifoDataResponse = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType&gt;
         *   &lt;complexContent&gt;
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
         *       &lt;sequence&gt;
         *         &lt;element ref="{urn:cz:isvs:org:schemas:OrgRozhrani:v1}OrgStatus"/&gt;
         *       &lt;/sequence&gt;
         *     &lt;/restriction&gt;
         *   &lt;/complexContent&gt;
         * &lt;/complexType&gt;
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "orgStatus"
        })
        public static class OrgCtiAifoDataResponse {

            @XmlElement(name = "OrgStatus", namespace = "urn:cz:isvs:org:schemas:OrgRozhrani:v1", required = true)
            protected OrgStatusType orgStatus;

            /**
             * Gets the value of the orgStatus property.
             * 
             * @return
             *     possible object is
             *     {@link OrgStatusType }
             *     
             */
            public OrgStatusType getOrgStatus() {
                return orgStatus;
            }

            /**
             * Sets the value of the orgStatus property.
             * 
             * @param value
             *     allowed object is
             *     {@link OrgStatusType }
             *     
             */
            public void setOrgStatus(OrgStatusType value) {
                this.orgStatus = value;
            }

        }

    }

}
