
package cz.isvs.iszr.schemas.iszrabstract.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.MapaBsiType;


/**
 * Univerzální žádost s povinným seznamem BSI.
 * 
 * <p>Java class for IszrZadostBsiAbstractType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="IszrZadostBsiAbstractType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:iszr:schemas:IszrAbstract:v1}IszrZadostAbstractType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="MapaBsi" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}MapaBsiType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IszrZadostBsiAbstractType", propOrder = {
    "mapaBsi"
})
public abstract class IszrZadostBsiAbstractType
    extends IszrZadostAbstractType
{

    @XmlElement(name = "MapaBsi", required = true)
    protected MapaBsiType mapaBsi;

    /**
     * Gets the value of the mapaBsi property.
     * 
     * @return
     *     possible object is
     *     {@link MapaBsiType }
     *     
     */
    public MapaBsiType getMapaBsi() {
        return mapaBsi;
    }

    /**
     * Sets the value of the mapaBsi property.
     * 
     * @param value
     *     allowed object is
     *     {@link MapaBsiType }
     *     
     */
    public void setMapaBsi(MapaBsiType value) {
        this.mapaBsi = value;
    }

}
