
package cz.isvs.org.schemas.orgtypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.LokalniAifoType;


/**
 * Chybové stavy pro vybrané AIFO.
 * 
 * <p>Java class for OrgAifoStatusType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OrgAifoStatusType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="LokalniAifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniAifoType"/&gt;
 *         &lt;element name="VstupniAifo" type="{urn:cz:isvs:org:schemas:OrgTypy:v1}VstupniAifoType"/&gt;
 *         &lt;element name="OrgAifoStatusDetail" type="{urn:cz:isvs:org:schemas:OrgTypy:v1}OrgAifoStatusDetailType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OrgAifoStatusType", propOrder = {
    "lokalniAifo",
    "vstupniAifo",
    "orgAifoStatusDetail"
})
public class OrgAifoStatusType {

    @XmlElement(name = "LokalniAifo", required = true)
    protected LokalniAifoType lokalniAifo;
    @XmlElement(name = "VstupniAifo")
    protected boolean vstupniAifo;
    @XmlElement(name = "OrgAifoStatusDetail", required = true)
    @XmlSchemaType(name = "string")
    protected OrgAifoStatusDetailType orgAifoStatusDetail;

    /**
     * Gets the value of the lokalniAifo property.
     * 
     * @return
     *     possible object is
     *     {@link LokalniAifoType }
     *     
     */
    public LokalniAifoType getLokalniAifo() {
        return lokalniAifo;
    }

    /**
     * Sets the value of the lokalniAifo property.
     * 
     * @param value
     *     allowed object is
     *     {@link LokalniAifoType }
     *     
     */
    public void setLokalniAifo(LokalniAifoType value) {
        this.lokalniAifo = value;
    }

    /**
     * Gets the value of the vstupniAifo property.
     * 
     */
    public boolean isVstupniAifo() {
        return vstupniAifo;
    }

    /**
     * Sets the value of the vstupniAifo property.
     * 
     */
    public void setVstupniAifo(boolean value) {
        this.vstupniAifo = value;
    }

    /**
     * Gets the value of the orgAifoStatusDetail property.
     * 
     * @return
     *     possible object is
     *     {@link OrgAifoStatusDetailType }
     *     
     */
    public OrgAifoStatusDetailType getOrgAifoStatusDetail() {
        return orgAifoStatusDetail;
    }

    /**
     * Sets the value of the orgAifoStatusDetail property.
     * 
     * @param value
     *     allowed object is
     *     {@link OrgAifoStatusDetailType }
     *     
     */
    public void setOrgAifoStatusDetail(OrgAifoStatusDetailType value) {
        this.orgAifoStatusDetail = value;
    }

}
