
package cz.isvs.org.schemas.orgtypy.v1;

import java.util.Calendar;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.CollapsedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import org.w3._2001.xmlschema.Adapter1;


/**
 * Filtr, podle kterého se budou vybírat vazby skupina - agenda - AIS v operaci OrgCtiVazby
 * 
 * <p>Java class for OrgFiltrVazbyType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OrgFiltrVazbyType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Skupina" type="{urn:cz:isvs:org:schemas:OrgTypy:v1}IdSaType" minOccurs="0"/&gt;
 *         &lt;element name="Agenda" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType" minOccurs="0"/&gt;
 *         &lt;element name="AIS" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAisType" minOccurs="0"/&gt;
 *         &lt;element name="Datum" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OrgFiltrVazbyType", propOrder = {
    "skupina",
    "agenda",
    "ais",
    "datum"
})
public class OrgFiltrVazbyType {

    @XmlElement(name = "Skupina")
    protected Integer skupina;
    @XmlElement(name = "Agenda")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String agenda;
    @XmlElement(name = "AIS")
    protected Integer ais;
    @XmlElement(name = "Datum", type = String.class)
    @XmlJavaTypeAdapter(Adapter1 .class)
    @XmlSchemaType(name = "dateTime")
    protected Calendar datum;

    /**
     * Gets the value of the skupina property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getSkupina() {
        return skupina;
    }

    /**
     * Sets the value of the skupina property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setSkupina(Integer value) {
        this.skupina = value;
    }

    /**
     * Gets the value of the agenda property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAgenda() {
        return agenda;
    }

    /**
     * Sets the value of the agenda property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAgenda(String value) {
        this.agenda = value;
    }

    /**
     * Gets the value of the ais property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getAIS() {
        return ais;
    }

    /**
     * Sets the value of the ais property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setAIS(Integer value) {
        this.ais = value;
    }

    /**
     * Gets the value of the datum property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getDatum() {
        return datum;
    }

    /**
     * Sets the value of the datum property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatum(Calendar value) {
        this.datum = value;
    }

}
