
package cz.isvs.reg.schemas.regtypy.v1;

import java.util.List;
import jakarta.xml.bind.JAXBElement;
import jakarta.xml.bind.annotation.XmlElementDecl;
import jakarta.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the cz.isvs.reg.schemas.regtypy.v1 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _AisSeznamUdajuAbstract_QNAME = new QName("urn:cz:isvs:reg:schemas:RegTypy:v1", "AisSeznamUdajuAbstract");
    private final static QName _AisSeznamUdaju_QNAME = new QName("urn:cz:isvs:reg:schemas:RegTypy:v1", "AisSeznamUdaju");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: cz.isvs.reg.schemas.regtypy.v1
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ProbeStatusType }
     * 
     */
    public ProbeStatusType createProbeStatusType() {
        return new ProbeStatusType();
    }

    /**
     * Create an instance of {@link OdpovedRozhraniType }
     * 
     */
    public OdpovedRozhraniType createOdpovedRozhraniType() {
        return new OdpovedRozhraniType();
    }

    /**
     * Create an instance of {@link SeznamPrvkuType }
     * 
     */
    public SeznamPrvkuType createSeznamPrvkuType() {
        return new SeznamPrvkuType();
    }

    /**
     * Create an instance of {@link SeznamIcoType }
     * 
     */
    public SeznamIcoType createSeznamIcoType() {
        return new SeznamIcoType();
    }

    /**
     * Create an instance of {@link SeznamIdAdresType }
     * 
     */
    public SeznamIdAdresType createSeznamIdAdresType() {
        return new SeznamIdAdresType();
    }

    /**
     * Create an instance of {@link AutorizaceType }
     * 
     */
    public AutorizaceType createAutorizaceType() {
        return new AutorizaceType();
    }

    /**
     * Create an instance of {@link StatusType }
     * 
     */
    public StatusType createStatusType() {
        return new StatusType();
    }

    /**
     * Create an instance of {@link DatovaSchrankaType }
     * 
     */
    public DatovaSchrankaType createDatovaSchrankaType() {
        return new DatovaSchrankaType();
    }

    /**
     * Create an instance of {@link ZadostInfoType }
     * 
     */
    public ZadostInfoType createZadostInfoType() {
        return new ZadostInfoType();
    }

    /**
     * Create an instance of {@link SystemType }
     * 
     */
    public SystemType createSystemType() {
        return new SystemType();
    }

    /**
     * Create an instance of {@link OdpovedInfoType }
     * 
     */
    public OdpovedInfoType createOdpovedInfoType() {
        return new OdpovedInfoType();
    }

    /**
     * Create an instance of {@link LokalniAifoType }
     * 
     */
    public LokalniAifoType createLokalniAifoType() {
        return new LokalniAifoType();
    }

    /**
     * Create an instance of {@link PrevodAifoType }
     * 
     */
    public PrevodAifoType createPrevodAifoType() {
        return new PrevodAifoType();
    }

    /**
     * Create an instance of {@link MapaAifoType }
     * 
     */
    public MapaAifoType createMapaAifoType() {
        return new MapaAifoType();
    }

    /**
     * Create an instance of {@link IdentifikatorRuianType }
     * 
     */
    public IdentifikatorRuianType createIdentifikatorRuianType() {
        return new IdentifikatorRuianType();
    }

    /**
     * Create an instance of {@link BinarniDataType }
     * 
     */
    public BinarniDataType createBinarniDataType() {
        return new BinarniDataType();
    }

    /**
     * Create an instance of {@link KomprimovanaDataType }
     * 
     */
    public KomprimovanaDataType createKomprimovanaDataType() {
        return new KomprimovanaDataType();
    }

    /**
     * Create an instance of {@link AsyncDotazDataResponseType }
     * 
     */
    public AsyncDotazDataResponseType createAsyncDotazDataResponseType() {
        return new AsyncDotazDataResponseType();
    }

    /**
     * Create an instance of {@link SouborType }
     * 
     */
    public SouborType createSouborType() {
        return new SouborType();
    }

    /**
     * Create an instance of {@link SouboryType }
     * 
     */
    public SouboryType createSouboryType() {
        return new SouboryType();
    }

    /**
     * Create an instance of {@link LokalniBsiType }
     * 
     */
    public LokalniBsiType createLokalniBsiType() {
        return new LokalniBsiType();
    }

    /**
     * Create an instance of {@link GlobalniBsiType }
     * 
     */
    public GlobalniBsiType createGlobalniBsiType() {
        return new GlobalniBsiType();
    }

    /**
     * Create an instance of {@link PrevodBsiType }
     * 
     */
    public PrevodBsiType createPrevodBsiType() {
        return new PrevodBsiType();
    }

    /**
     * Create an instance of {@link MapaBsiType }
     * 
     */
    public MapaBsiType createMapaBsiType() {
        return new MapaBsiType();
    }

    /**
     * Create an instance of {@link ProbeStatusType.VysledekDetail }
     * 
     */
    public ProbeStatusType.VysledekDetail createProbeStatusTypeVysledekDetail() {
        return new ProbeStatusType.VysledekDetail();
    }

    /**
     * Create an instance of {@link OdpovedRozhraniType.Odpoved }
     * 
     */
    public OdpovedRozhraniType.Odpoved createOdpovedRozhraniTypeOdpoved() {
        return new OdpovedRozhraniType.Odpoved();
    }

    /**
     * Create an instance of {@link SeznamPrvkuType.OdkazRuian }
     * 
     */
    public SeznamPrvkuType.OdkazRuian createSeznamPrvkuTypeOdkazRuian() {
        return new SeznamPrvkuType.OdkazRuian();
    }

    /**
     * Create an instance of {@link SeznamIcoType.Ico }
     * 
     */
    public SeznamIcoType.Ico createSeznamIcoTypeIco() {
        return new SeznamIcoType.Ico();
    }

    /**
     * Create an instance of {@link SeznamIdAdresType.AdresniMisto }
     * 
     */
    public SeznamIdAdresType.AdresniMisto createSeznamIdAdresTypeAdresniMisto() {
        return new SeznamIdAdresType.AdresniMisto();
    }

    /**
     * Create an instance of {@link SeznamIdAdresType.AdresniLokalita }
     * 
     */
    public SeznamIdAdresType.AdresniLokalita createSeznamIdAdresTypeAdresniLokalita() {
        return new SeznamIdAdresType.AdresniLokalita();
    }

    /**
     * Create an instance of {@link AutorizaceType.SeznamUdaju }
     * 
     */
    public AutorizaceType.SeznamUdaju createAutorizaceTypeSeznamUdaju() {
        return new AutorizaceType.SeznamUdaju();
    }

    /**
     * Create an instance of {@link StatusType.VysledekDetail }
     * 
     */
    public StatusType.VysledekDetail createStatusTypeVysledekDetail() {
        return new StatusType.VysledekDetail();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link Object }{@code >}
     */
    @XmlElementDecl(namespace = "urn:cz:isvs:reg:schemas:RegTypy:v1", name = "AisSeznamUdajuAbstract")
    public JAXBElement<Object> createAisSeznamUdajuAbstract(Object value) {
        return new JAXBElement<Object>(_AisSeznamUdajuAbstract_QNAME, Object.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link List }{@code <}{@link String }{@code >}{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link List }{@code <}{@link String }{@code >}{@code >}
     */
    @XmlElementDecl(namespace = "urn:cz:isvs:reg:schemas:RegTypy:v1", name = "AisSeznamUdaju", substitutionHeadNamespace = "urn:cz:isvs:reg:schemas:RegTypy:v1", substitutionHeadName = "AisSeznamUdajuAbstract")
    public JAXBElement<List<String>> createAisSeznamUdaju(List<String> value) {
        return new JAXBElement<List<String>>(_AisSeznamUdaju_QNAME, ((Class) List.class), null, ((List<String> ) value));
    }

}
