
package cz.isvs.reg.schemas.regtypy.v1;

import java.util.Calendar;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import cz.isvs.iszr.schemas.iszrasyncodpovedzfronty.v1.OdpovedInfoZFrontyType;
import org.w3._2001.xmlschema.Adapter1;


/**
 * Společná hlavička všech odpovědí (webových služeb).
 * 
 * <p>Java class for OdpovedInfoType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OdpovedInfoType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="CasOdpovedi" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}CasovaZnackaType"/&gt;
 *         &lt;element name="Status" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}StatusType"/&gt;
 *         &lt;element name="AgendaZadostId" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}AgendaZadostIdType"/&gt;
 *         &lt;element name="IszrZadostId" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IszrZadostIdType" minOccurs="0"/&gt;
 *         &lt;element name="RegOdpovedId" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RegOdpovedIdType" minOccurs="0"/&gt;
 *         &lt;element name="AisKontrola" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}AisKontrolaType" minOccurs="0"/&gt;
 *         &lt;element name="IszrKontrola" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IszrKontrolaType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OdpovedInfoType", propOrder = {
    "casOdpovedi",
    "status",
    "agendaZadostId",
    "iszrZadostId",
    "regOdpovedId",
    "aisKontrola",
    "iszrKontrola"
})
@XmlSeeAlso({
    OdpovedInfoZFrontyType.class
})
public class OdpovedInfoType {

    @XmlElement(name = "CasOdpovedi", required = true, type = String.class)
    @XmlJavaTypeAdapter(Adapter1 .class)
    @XmlSchemaType(name = "dateTime")
    protected Calendar casOdpovedi;
    @XmlElement(name = "Status", required = true)
    protected StatusType status;
    @XmlElement(name = "AgendaZadostId", required = true)
    protected String agendaZadostId;
    @XmlElement(name = "IszrZadostId")
    protected String iszrZadostId;
    @XmlElement(name = "RegOdpovedId")
    protected String regOdpovedId;
    @XmlElement(name = "AisKontrola")
    protected byte[] aisKontrola;
    @XmlElement(name = "IszrKontrola")
    protected byte[] iszrKontrola;

    /**
     * Gets the value of the casOdpovedi property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getCasOdpovedi() {
        return casOdpovedi;
    }

    /**
     * Sets the value of the casOdpovedi property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCasOdpovedi(Calendar value) {
        this.casOdpovedi = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link StatusType }
     *     
     */
    public StatusType getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link StatusType }
     *     
     */
    public void setStatus(StatusType value) {
        this.status = value;
    }

    /**
     * Gets the value of the agendaZadostId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAgendaZadostId() {
        return agendaZadostId;
    }

    /**
     * Sets the value of the agendaZadostId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAgendaZadostId(String value) {
        this.agendaZadostId = value;
    }

    /**
     * Gets the value of the iszrZadostId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIszrZadostId() {
        return iszrZadostId;
    }

    /**
     * Sets the value of the iszrZadostId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIszrZadostId(String value) {
        this.iszrZadostId = value;
    }

    /**
     * Gets the value of the regOdpovedId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRegOdpovedId() {
        return regOdpovedId;
    }

    /**
     * Sets the value of the regOdpovedId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRegOdpovedId(String value) {
        this.regOdpovedId = value;
    }

    /**
     * Gets the value of the aisKontrola property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getAisKontrola() {
        return aisKontrola;
    }

    /**
     * Sets the value of the aisKontrola property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setAisKontrola(byte[] value) {
        this.aisKontrola = value;
    }

    /**
     * Gets the value of the iszrKontrola property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getIszrKontrola() {
        return iszrKontrola;
    }

    /**
     * Sets the value of the iszrKontrola property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setIszrKontrola(byte[] value) {
        this.iszrKontrola = value;
    }

}
