
package cz.isvs.reg.schemas.regtypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.CollapsedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * 
 *         Převodník mezi lokálními a globálními AIFO.
 *         Slouží pro: převod v ORG, kontrolu existence v ROB a načtení dat z ROB.
 *         Pokud nejsou použity atributy, dojde jenom k překladu v ORG.
 *       
 * 
 * <p>Java class for PrevodAifoType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PrevodAifoType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="LokalniAifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniAifoType"/&gt;
 *         &lt;element name="GlobalniAifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}GlobalniAifoType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="agenda" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType" /&gt;
 *       &lt;attribute name="ais" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAisType" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PrevodAifoType", propOrder = {
    "lokalniAifo",
    "globalniAifo"
})
public class PrevodAifoType {

    @XmlElement(name = "LokalniAifo", required = true)
    protected LokalniAifoType lokalniAifo;
    @XmlElement(name = "GlobalniAifo")
    protected byte[] globalniAifo;
    @XmlAttribute(name = "agenda")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String agenda;
    @XmlAttribute(name = "ais")
    protected Integer ais;

    /**
     * Gets the value of the lokalniAifo property.
     * 
     * @return
     *     possible object is
     *     {@link LokalniAifoType }
     *     
     */
    public LokalniAifoType getLokalniAifo() {
        return lokalniAifo;
    }

    /**
     * Sets the value of the lokalniAifo property.
     * 
     * @param value
     *     allowed object is
     *     {@link LokalniAifoType }
     *     
     */
    public void setLokalniAifo(LokalniAifoType value) {
        this.lokalniAifo = value;
    }

    /**
     * Gets the value of the globalniAifo property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getGlobalniAifo() {
        return globalniAifo;
    }

    /**
     * Sets the value of the globalniAifo property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setGlobalniAifo(byte[] value) {
        this.globalniAifo = value;
    }

    /**
     * Gets the value of the agenda property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAgenda() {
        return agenda;
    }

    /**
     * Sets the value of the agenda property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAgenda(String value) {
        this.agenda = value;
    }

    /**
     * Gets the value of the ais property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getAis() {
        return ais;
    }

    /**
     * Sets the value of the ais property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setAis(Integer value) {
        this.ais = value;
    }

}
