
package cz.isvs.reg.schemas.regtypy.v1;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.XmlValue;


/**
 * 
 *         Seznam všech identifikátorů osob
 *         Slouží pro: kontrolu existence v ROS
 *       
 * 
 * <p>Java class for SeznamIcoType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SeznamIcoType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Ico" maxOccurs="unbounded" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;simpleContent&gt;
 *               &lt;extension base="&lt;urn:cz:isvs:reg:schemas:RegTypy:v1&gt;IcoType"&gt;
 *                 &lt;attribute name="stavOvereniIco" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
 *               &lt;/extension&gt;
 *             &lt;/simpleContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SeznamIcoType", propOrder = {
    "ico"
})
public class SeznamIcoType {

    @XmlElement(name = "Ico")
    protected List<SeznamIcoType.Ico> ico;

    /**
     * Gets the value of the ico property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the ico property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getIco().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SeznamIcoType.Ico }
     * 
     * 
     */
    public List<SeznamIcoType.Ico> getIco() {
        if (ico == null) {
            ico = new ArrayList<SeznamIcoType.Ico>();
        }
        return this.ico;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;simpleContent&gt;
     *     &lt;extension base="&lt;urn:cz:isvs:reg:schemas:RegTypy:v1&gt;IcoType"&gt;
     *       &lt;attribute name="stavOvereniIco" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
     *     &lt;/extension&gt;
     *   &lt;/simpleContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "value"
    })
    public static class Ico {

        @XmlValue
        protected int value;
        @XmlAttribute(name = "stavOvereniIco")
        protected Boolean stavOvereniIco;

        /**
         * Identifikační číslo organizace.
         * 
         */
        public int getValue() {
            return value;
        }

        /**
         * Sets the value of the value property.
         * 
         */
        public void setValue(int value) {
            this.value = value;
        }

        /**
         * Gets the value of the stavOvereniIco property.
         * 
         * @return
         *     possible object is
         *     {@link Boolean }
         *     
         */
        public Boolean isStavOvereniIco() {
            return stavOvereniIco;
        }

        /**
         * Sets the value of the stavOvereniIco property.
         * 
         * @param value
         *     allowed object is
         *     {@link Boolean }
         *     
         */
        public void setStavOvereniIco(Boolean value) {
            this.stavOvereniIco = value;
        }

    }

}
