
package cz.isvs.reg.schemas.regtypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.CollapsedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * Původce nebo příjemce zprávy: ISZR, registry, agendy, AIS.
 * 
 * <p>Java class for SystemType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SystemType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;choice&gt;
 *         &lt;element name="Agenda" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType"/&gt;
 *         &lt;element name="Ais" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAisType"/&gt;
 *         &lt;element name="Registr"&gt;
 *           &lt;simpleType&gt;
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *               &lt;enumeration value="ISZR"/&gt;
 *               &lt;enumeration value="RPP"/&gt;
 *               &lt;enumeration value="ROB"/&gt;
 *               &lt;enumeration value="ROS"/&gt;
 *               &lt;enumeration value="RUIAN"/&gt;
 *               &lt;enumeration value="ORG"/&gt;
 *             &lt;/restriction&gt;
 *           &lt;/simpleType&gt;
 *         &lt;/element&gt;
 *       &lt;/choice&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SystemType", propOrder = {
    "agenda",
    "ais",
    "registr"
})
public class SystemType {

    @XmlElement(name = "Agenda")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String agenda;
    @XmlElement(name = "Ais")
    protected Integer ais;
    @XmlElement(name = "Registr")
    protected String registr;

    /**
     * Gets the value of the agenda property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAgenda() {
        return agenda;
    }

    /**
     * Sets the value of the agenda property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAgenda(String value) {
        this.agenda = value;
    }

    /**
     * Gets the value of the ais property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getAis() {
        return ais;
    }

    /**
     * Sets the value of the ais property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setAis(Integer value) {
        this.ais = value;
    }

    /**
     * Gets the value of the registr property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRegistr() {
        return registr;
    }

    /**
     * Sets the value of the registr property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRegistr(String value) {
        this.registr = value;
    }

}
