
package cz.isvs.rob.schemas.robdotazydata.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.LokalniAifoType;


/**
 * Zjištění identity fyzické osoby prostřednictvím elektronického
 *                 identifikačního dokladu, odpověď.
 *             
 * 
 * <p>Java class for RobAutentizaceDataResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RobAutentizaceDataResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:rob:schemas:RobDotazyData:v1}RobDotazyDataResponseType"&gt;
 *       &lt;sequence minOccurs="0"&gt;
 *         &lt;element name="Aifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniAifoType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RobAutentizaceDataResponseType", propOrder = {
    "aifo"
})
public class RobAutentizaceDataResponseType
    extends RobDotazyDataResponseType
{

    @XmlElement(name = "Aifo")
    protected LokalniAifoType aifo;

    /**
     * Gets the value of the aifo property.
     * 
     * @return
     *     possible object is
     *     {@link LokalniAifoType }
     *     
     */
    public LokalniAifoType getAifo() {
        return aifo;
    }

    /**
     * Sets the value of the aifo property.
     * 
     * @param value
     *     allowed object is
     *     {@link LokalniAifoType }
     *     
     */
    public void setAifo(LokalniAifoType value) {
        this.aifo = value;
    }

}
