
package cz.isvs.rob.schemas.robdotazydata.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.LokalniAifoType;
import cz.isvs.rob.schemas.robtypy.v1.TypVyuzitiPoskytnutiType;


/**
 * Čtení referenčních údajů podle AIFO.
 * 
 * <p>Java class for RobCtiAifoDataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RobCtiAifoDataType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Aifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniAifoType"/&gt;
 *         &lt;element name="VyuzitiPoskytnuti" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}TypVyuzitiPoskytnutiType"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="znepristupniLog" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RobCtiAifoDataType", propOrder = {
    "aifo",
    "vyuzitiPoskytnuti"
})
public class RobCtiAifoDataType {

    @XmlElement(name = "Aifo", required = true)
    protected LokalniAifoType aifo;
    @XmlElement(name = "VyuzitiPoskytnuti", required = true)
    @XmlSchemaType(name = "string")
    protected TypVyuzitiPoskytnutiType vyuzitiPoskytnuti;
    @XmlAttribute(name = "znepristupniLog")
    protected Boolean znepristupniLog;

    /**
     * Gets the value of the aifo property.
     * 
     * @return
     *     possible object is
     *     {@link LokalniAifoType }
     *     
     */
    public LokalniAifoType getAifo() {
        return aifo;
    }

    /**
     * Sets the value of the aifo property.
     * 
     * @param value
     *     allowed object is
     *     {@link LokalniAifoType }
     *     
     */
    public void setAifo(LokalniAifoType value) {
        this.aifo = value;
    }

    /**
     * Gets the value of the vyuzitiPoskytnuti property.
     * 
     * @return
     *     possible object is
     *     {@link TypVyuzitiPoskytnutiType }
     *     
     */
    public TypVyuzitiPoskytnutiType getVyuzitiPoskytnuti() {
        return vyuzitiPoskytnuti;
    }

    /**
     * Sets the value of the vyuzitiPoskytnuti property.
     * 
     * @param value
     *     allowed object is
     *     {@link TypVyuzitiPoskytnutiType }
     *     
     */
    public void setVyuzitiPoskytnuti(TypVyuzitiPoskytnutiType value) {
        this.vyuzitiPoskytnuti = value;
    }

    /**
     * Gets the value of the znepristupniLog property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isZnepristupniLog() {
        return znepristupniLog;
    }

    /**
     * Sets the value of the znepristupniLog property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setZnepristupniLog(Boolean value) {
        this.znepristupniLog = value;
    }

}
