
package cz.isvs.rob.schemas.robdotazydata.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.CollapsedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import cz.isvs.reg.schemas.regtypy.v1.RobUdajType;


/**
 * Vydání editora údaje podle AIFO, odpověď.
 * 
 * <p>Java class for RobCtiEditoraDataResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RobCtiEditoraDataResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:rob:schemas:RobDotazyData:v1}RobDotazyDataResponseType"&gt;
 *       &lt;sequence minOccurs="0"&gt;
 *         &lt;element name="Udaj" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RobUdajType"/&gt;
 *         &lt;element name="Editor" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}EditorType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RobCtiEditoraDataResponseType", propOrder = {
    "udaj",
    "editor"
})
public class RobCtiEditoraDataResponseType
    extends RobDotazyDataResponseType
{

    @XmlElement(name = "Udaj")
    @XmlSchemaType(name = "string")
    protected RobUdajType udaj;
    @XmlElement(name = "Editor")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String editor;

    /**
     * Gets the value of the udaj property.
     * 
     * @return
     *     possible object is
     *     {@link RobUdajType }
     *     
     */
    public RobUdajType getUdaj() {
        return udaj;
    }

    /**
     * Sets the value of the udaj property.
     * 
     * @param value
     *     allowed object is
     *     {@link RobUdajType }
     *     
     */
    public void setUdaj(RobUdajType value) {
        this.udaj = value;
    }

    /**
     * Gets the value of the editor property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEditor() {
        return editor;
    }

    /**
     * Sets the value of the editor property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEditor(String value) {
        this.editor = value;
    }

}
