
package cz.isvs.rob.schemas.robdotazydata.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.rob.schemas.robtypy.v1.OmezeniSvepravnostiType;
import cz.isvs.rob.schemas.robtypy.v1.PohlaviType;
import cz.isvs.rob.schemas.robtypy.v1.RodinnyStavPartnerstviType;


/**
 * Čtení referenčních údajů z registru na základě vyhledání fyzické
 *                 osoby podle kombinace údajů, verze 2.
 *             
 * 
 * <p>Java class for RobCtiPodleUdaju2DataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RobCtiPodleUdaju2DataType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:rob:schemas:RobDotazyData:v1}RobCtiPodleUdajuDataType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="RodnePrijmeni" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}RodnePrijmeniType" minOccurs="0"/&gt;
 *         &lt;element name="OmezeniSvepravnosti" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}OmezeniSvepravnostiType" minOccurs="0"/&gt;
 *         &lt;element name="RodinnyStavPartnerstvi" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}RodinnyStavPartnerstviType" minOccurs="0"/&gt;
 *         &lt;element name="Pohlavi" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}PohlaviType" minOccurs="0"/&gt;
 *         &lt;element name="SerioveCisloCertifikatu" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}SerioveCisloCertifikatuType" minOccurs="0"/&gt;
 *         &lt;element name="VydavatelCertifikatu" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}VydavatelCertifikatuType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RobCtiPodleUdaju2DataType", propOrder = {
    "rodnePrijmeni",
    "omezeniSvepravnosti",
    "rodinnyStavPartnerstvi",
    "pohlavi",
    "serioveCisloCertifikatu",
    "vydavatelCertifikatu"
})
public class RobCtiPodleUdaju2DataType
    extends RobCtiPodleUdajuDataType
{

    @XmlElement(name = "RodnePrijmeni", nillable = true)
    protected String rodnePrijmeni;
    @XmlElement(name = "OmezeniSvepravnosti", nillable = true)
    @XmlSchemaType(name = "string")
    protected OmezeniSvepravnostiType omezeniSvepravnosti;
    @XmlElement(name = "RodinnyStavPartnerstvi", nillable = true)
    @XmlSchemaType(name = "string")
    protected RodinnyStavPartnerstviType rodinnyStavPartnerstvi;
    @XmlElement(name = "Pohlavi", nillable = true)
    @XmlSchemaType(name = "string")
    protected PohlaviType pohlavi;
    @XmlElement(name = "SerioveCisloCertifikatu", nillable = true)
    protected Long serioveCisloCertifikatu;
    @XmlElement(name = "VydavatelCertifikatu", nillable = true)
    protected String vydavatelCertifikatu;

    /**
     * Gets the value of the rodnePrijmeni property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRodnePrijmeni() {
        return rodnePrijmeni;
    }

    /**
     * Sets the value of the rodnePrijmeni property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRodnePrijmeni(String value) {
        this.rodnePrijmeni = value;
    }

    /**
     * Gets the value of the omezeniSvepravnosti property.
     * 
     * @return
     *     possible object is
     *     {@link OmezeniSvepravnostiType }
     *     
     */
    public OmezeniSvepravnostiType getOmezeniSvepravnosti() {
        return omezeniSvepravnosti;
    }

    /**
     * Sets the value of the omezeniSvepravnosti property.
     * 
     * @param value
     *     allowed object is
     *     {@link OmezeniSvepravnostiType }
     *     
     */
    public void setOmezeniSvepravnosti(OmezeniSvepravnostiType value) {
        this.omezeniSvepravnosti = value;
    }

    /**
     * Gets the value of the rodinnyStavPartnerstvi property.
     * 
     * @return
     *     possible object is
     *     {@link RodinnyStavPartnerstviType }
     *     
     */
    public RodinnyStavPartnerstviType getRodinnyStavPartnerstvi() {
        return rodinnyStavPartnerstvi;
    }

    /**
     * Sets the value of the rodinnyStavPartnerstvi property.
     * 
     * @param value
     *     allowed object is
     *     {@link RodinnyStavPartnerstviType }
     *     
     */
    public void setRodinnyStavPartnerstvi(RodinnyStavPartnerstviType value) {
        this.rodinnyStavPartnerstvi = value;
    }

    /**
     * Gets the value of the pohlavi property.
     * 
     * @return
     *     possible object is
     *     {@link PohlaviType }
     *     
     */
    public PohlaviType getPohlavi() {
        return pohlavi;
    }

    /**
     * Sets the value of the pohlavi property.
     * 
     * @param value
     *     allowed object is
     *     {@link PohlaviType }
     *     
     */
    public void setPohlavi(PohlaviType value) {
        this.pohlavi = value;
    }

    /**
     * Gets the value of the serioveCisloCertifikatu property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getSerioveCisloCertifikatu() {
        return serioveCisloCertifikatu;
    }

    /**
     * Sets the value of the serioveCisloCertifikatu property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setSerioveCisloCertifikatu(Long value) {
        this.serioveCisloCertifikatu = value;
    }

    /**
     * Gets the value of the vydavatelCertifikatu property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVydavatelCertifikatu() {
        return vydavatelCertifikatu;
    }

    /**
     * Sets the value of the vydavatelCertifikatu property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVydavatelCertifikatu(String value) {
        this.vydavatelCertifikatu = value;
    }

}
