
package cz.isvs.rob.schemas.robdotazydata.v1;

import java.util.Calendar;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import org.w3._2001.xmlschema.Adapter1;


/**
 * Vydání seznamu AIFO, u kterých došlo ke změně referenčních
 *                 údajů, odpověď.
 *             
 * 
 * <p>Java class for RobCtiZmenyDataResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RobCtiZmenyDataResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:rob:schemas:RobDotazyData:v1}RobDotazyDataResponseType"&gt;
 *       &lt;sequence minOccurs="0"&gt;
 *         &lt;element name="ZmenaCas" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}ZmenaCasType"/&gt;
 *         &lt;element name="ZmenaId" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}ZmenaIdType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RobCtiZmenyDataResponseType", propOrder = {
    "zmenaCas",
    "zmenaId"
})
public class RobCtiZmenyDataResponseType
    extends RobDotazyDataResponseType
{

    @XmlElement(name = "ZmenaCas", type = String.class)
    @XmlJavaTypeAdapter(Adapter1 .class)
    @XmlSchemaType(name = "dateTime")
    protected Calendar zmenaCas;
    @XmlElement(name = "ZmenaId")
    protected Long zmenaId;

    /**
     * Gets the value of the zmenaCas property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getZmenaCas() {
        return zmenaCas;
    }

    /**
     * Sets the value of the zmenaCas property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setZmenaCas(Calendar value) {
        this.zmenaCas = value;
    }

    /**
     * Gets the value of the zmenaId property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getZmenaId() {
        return zmenaId;
    }

    /**
     * Sets the value of the zmenaId property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setZmenaId(Long value) {
        this.zmenaId = value;
    }

}
