
package cz.isvs.rob.schemas.robdotazydata.v1;

import java.util.Calendar;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import org.w3._2001.xmlschema.Adapter1;


/**
 * Vydání seznamu AIFO, u kterých došlo ke změně
 *                 referenčních údajů.
 *             
 * 
 * <p>Java class for RobCtiZmenyDataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RobCtiZmenyDataType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;choice&gt;
 *           &lt;element name="CasOd" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}ZmenaCasType"/&gt;
 *           &lt;element name="ZmenaId" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}ZmenaIdType"/&gt;
 *         &lt;/choice&gt;
 *         &lt;element name="CasDo" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}ZmenaCasType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RobCtiZmenyDataType", propOrder = {
    "casOd",
    "zmenaId",
    "casDo"
})
public class RobCtiZmenyDataType {

    @XmlElement(name = "CasOd", type = String.class)
    @XmlJavaTypeAdapter(Adapter1 .class)
    @XmlSchemaType(name = "dateTime")
    protected Calendar casOd;
    @XmlElement(name = "ZmenaId")
    protected Long zmenaId;
    @XmlElement(name = "CasDo", type = String.class)
    @XmlJavaTypeAdapter(Adapter1 .class)
    @XmlSchemaType(name = "dateTime")
    protected Calendar casDo;

    /**
     * Gets the value of the casOd property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getCasOd() {
        return casOd;
    }

    /**
     * Sets the value of the casOd property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCasOd(Calendar value) {
        this.casOd = value;
    }

    /**
     * Gets the value of the zmenaId property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getZmenaId() {
        return zmenaId;
    }

    /**
     * Sets the value of the zmenaId property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setZmenaId(Long value) {
        this.zmenaId = value;
    }

    /**
     * Gets the value of the casDo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getCasDo() {
        return casDo;
    }

    /**
     * Sets the value of the casDo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCasDo(Calendar value) {
        this.casDo = value;
    }

}
