
package cz.isvs.rob.schemas.robdotazydata.v1;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlList;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.LokalniAifoType;
import cz.isvs.reg.schemas.regtypy.v1.RobUdajType;
import cz.isvs.rob.schemas.robtypy.v1.RobAplikacniStatusType;


/**
 * Ověření jedné nebo více osob v ROB, odpověď.
 *             
 * 
 * <p>Java class for RobOverHromadneAifoDataResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RobOverHromadneAifoDataResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="RobAplikacniStatus" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}RobAplikacniStatusType"/&gt;
 *         &lt;element name="Osoba" maxOccurs="unbounded" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="Aifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniAifoType"/&gt;
 *                   &lt;element name="OvereneUdaje" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RobSeznamUdajuType" minOccurs="0"/&gt;
 *                   &lt;element name="CastecneOvereneUdaje" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RobSeznamUdajuType" minOccurs="0"/&gt;
 *                   &lt;element name="NeovereneUdaje" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RobSeznamUdajuType" minOccurs="0"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RobOverHromadneAifoDataResponseType", propOrder = {
    "robAplikacniStatus",
    "osoba"
})
public class RobOverHromadneAifoDataResponseType {

    @XmlElement(name = "RobAplikacniStatus", required = true)
    protected RobAplikacniStatusType robAplikacniStatus;
    @XmlElement(name = "Osoba")
    protected List<RobOverHromadneAifoDataResponseType.Osoba> osoba;

    /**
     * Gets the value of the robAplikacniStatus property.
     * 
     * @return
     *     possible object is
     *     {@link RobAplikacniStatusType }
     *     
     */
    public RobAplikacniStatusType getRobAplikacniStatus() {
        return robAplikacniStatus;
    }

    /**
     * Sets the value of the robAplikacniStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link RobAplikacniStatusType }
     *     
     */
    public void setRobAplikacniStatus(RobAplikacniStatusType value) {
        this.robAplikacniStatus = value;
    }

    /**
     * Gets the value of the osoba property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the osoba property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getOsoba().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link RobOverHromadneAifoDataResponseType.Osoba }
     * 
     * 
     */
    public List<RobOverHromadneAifoDataResponseType.Osoba> getOsoba() {
        if (osoba == null) {
            osoba = new ArrayList<RobOverHromadneAifoDataResponseType.Osoba>();
        }
        return this.osoba;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="Aifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniAifoType"/&gt;
     *         &lt;element name="OvereneUdaje" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RobSeznamUdajuType" minOccurs="0"/&gt;
     *         &lt;element name="CastecneOvereneUdaje" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RobSeznamUdajuType" minOccurs="0"/&gt;
     *         &lt;element name="NeovereneUdaje" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RobSeznamUdajuType" minOccurs="0"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "aifo",
        "overeneUdaje",
        "castecneOvereneUdaje",
        "neovereneUdaje"
    })
    public static class Osoba {

        @XmlElement(name = "Aifo", required = true)
        protected LokalniAifoType aifo;
        @XmlList
        @XmlElement(name = "OvereneUdaje")
        protected List<RobUdajType> overeneUdaje;
        @XmlList
        @XmlElement(name = "CastecneOvereneUdaje")
        protected List<RobUdajType> castecneOvereneUdaje;
        @XmlList
        @XmlElement(name = "NeovereneUdaje")
        protected List<RobUdajType> neovereneUdaje;

        /**
         * Gets the value of the aifo property.
         * 
         * @return
         *     possible object is
         *     {@link LokalniAifoType }
         *     
         */
        public LokalniAifoType getAifo() {
            return aifo;
        }

        /**
         * Sets the value of the aifo property.
         * 
         * @param value
         *     allowed object is
         *     {@link LokalniAifoType }
         *     
         */
        public void setAifo(LokalniAifoType value) {
            this.aifo = value;
        }

        /**
         * Gets the value of the overeneUdaje property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the overeneUdaje property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getOvereneUdaje().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link RobUdajType }
         * 
         * 
         */
        public List<RobUdajType> getOvereneUdaje() {
            if (overeneUdaje == null) {
                overeneUdaje = new ArrayList<RobUdajType>();
            }
            return this.overeneUdaje;
        }

        /**
         * Gets the value of the castecneOvereneUdaje property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the castecneOvereneUdaje property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getCastecneOvereneUdaje().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link RobUdajType }
         * 
         * 
         */
        public List<RobUdajType> getCastecneOvereneUdaje() {
            if (castecneOvereneUdaje == null) {
                castecneOvereneUdaje = new ArrayList<RobUdajType>();
            }
            return this.castecneOvereneUdaje;
        }

        /**
         * Gets the value of the neovereneUdaje property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the neovereneUdaje property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getNeovereneUdaje().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link RobUdajType }
         * 
         * 
         */
        public List<RobUdajType> getNeovereneUdaje() {
            if (neovereneUdaje == null) {
                neovereneUdaje = new ArrayList<RobUdajType>();
            }
            return this.neovereneUdaje;
        }

    }

}
