
package cz.isvs.rob.schemas.robdotazydata.v1;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.CollapsedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import cz.isvs.rob.schemas.robtypy.v1.TypVyuzitiPoskytnutiType;
import org.w3._2001.xmlschema.Adapter1;


/**
 * Vydání údajů o využití a poskytnutí záznamů, odpověď.
 *             
 * 
 * <p>Java class for RobVypisVyuzitiPoskytnutiDataResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RobVypisVyuzitiPoskytnutiDataResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:rob:schemas:RobDotazyData:v1}RobDotazyDataResponseType"&gt;
 *       &lt;sequence minOccurs="0"&gt;
 *         &lt;element name="DatovaSchranka" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}DatovaSchrankaIdType" minOccurs="0"/&gt;
 *         &lt;element name="Kontrola" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}KontrolaType" minOccurs="0"/&gt;
 *         &lt;element name="VyuzitiPoskytnuti" maxOccurs="unbounded" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="VyuzitiPoskytnuti" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}TypVyuzitiPoskytnutiType"/&gt;
 *                   &lt;element name="Agenda" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType"/&gt;
 *                   &lt;element name="Ais" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAisType" minOccurs="0"/&gt;
 *                   &lt;element name="Subjekt" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}SubjektType"/&gt;
 *                   &lt;element name="Uzivatel" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}UzivatelType"/&gt;
 *                   &lt;element name="Ovm" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodOvmType"/&gt;
 *                   &lt;element name="CasVyuziti" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}CasovaZnackaType"/&gt;
 *                   &lt;element name="DuvodUcel" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}DuvodUcelType"/&gt;
 *                   &lt;element name="SeznamUdaju" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}VyuzitiPoskytnutiSpecifikaceType"/&gt;
 *                   &lt;element name="AgendaZadostId" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}AgendaZadostIdType"/&gt;
 *                   &lt;element name="IszrZadostId" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IszrZadostIdType"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RobVypisVyuzitiPoskytnutiDataResponseType", propOrder = {
    "datovaSchranka",
    "kontrola",
    "vyuzitiPoskytnuti"
})
public class RobVypisVyuzitiPoskytnutiDataResponseType
    extends RobDotazyDataResponseType
{

    @XmlElement(name = "DatovaSchranka")
    protected String datovaSchranka;
    @XmlElement(name = "Kontrola")
    protected byte[] kontrola;
    @XmlElement(name = "VyuzitiPoskytnuti")
    protected List<RobVypisVyuzitiPoskytnutiDataResponseType.VyuzitiPoskytnuti> vyuzitiPoskytnuti;

    /**
     * Gets the value of the datovaSchranka property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDatovaSchranka() {
        return datovaSchranka;
    }

    /**
     * Sets the value of the datovaSchranka property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatovaSchranka(String value) {
        this.datovaSchranka = value;
    }

    /**
     * Gets the value of the kontrola property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getKontrola() {
        return kontrola;
    }

    /**
     * Sets the value of the kontrola property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setKontrola(byte[] value) {
        this.kontrola = value;
    }

    /**
     * Gets the value of the vyuzitiPoskytnuti property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the vyuzitiPoskytnuti property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVyuzitiPoskytnuti().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link RobVypisVyuzitiPoskytnutiDataResponseType.VyuzitiPoskytnuti }
     * 
     * 
     */
    public List<RobVypisVyuzitiPoskytnutiDataResponseType.VyuzitiPoskytnuti> getVyuzitiPoskytnuti() {
        if (vyuzitiPoskytnuti == null) {
            vyuzitiPoskytnuti = new ArrayList<RobVypisVyuzitiPoskytnutiDataResponseType.VyuzitiPoskytnuti>();
        }
        return this.vyuzitiPoskytnuti;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="VyuzitiPoskytnuti" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}TypVyuzitiPoskytnutiType"/&gt;
     *         &lt;element name="Agenda" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType"/&gt;
     *         &lt;element name="Ais" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAisType" minOccurs="0"/&gt;
     *         &lt;element name="Subjekt" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}SubjektType"/&gt;
     *         &lt;element name="Uzivatel" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}UzivatelType"/&gt;
     *         &lt;element name="Ovm" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodOvmType"/&gt;
     *         &lt;element name="CasVyuziti" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}CasovaZnackaType"/&gt;
     *         &lt;element name="DuvodUcel" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}DuvodUcelType"/&gt;
     *         &lt;element name="SeznamUdaju" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}VyuzitiPoskytnutiSpecifikaceType"/&gt;
     *         &lt;element name="AgendaZadostId" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}AgendaZadostIdType"/&gt;
     *         &lt;element name="IszrZadostId" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IszrZadostIdType"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "vyuzitiPoskytnuti",
        "agenda",
        "ais",
        "subjekt",
        "uzivatel",
        "ovm",
        "casVyuziti",
        "duvodUcel",
        "seznamUdaju",
        "agendaZadostId",
        "iszrZadostId"
    })
    public static class VyuzitiPoskytnuti {

        @XmlElement(name = "VyuzitiPoskytnuti", required = true)
        @XmlSchemaType(name = "string")
        protected TypVyuzitiPoskytnutiType vyuzitiPoskytnuti;
        @XmlElement(name = "Agenda", required = true)
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "NMTOKEN")
        protected String agenda;
        @XmlElement(name = "Ais")
        protected Integer ais;
        @XmlElement(name = "Subjekt", required = true)
        protected String subjekt;
        @XmlElement(name = "Uzivatel", required = true)
        protected String uzivatel;
        @XmlElement(name = "Ovm", required = true)
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "NMTOKEN")
        protected String ovm;
        @XmlElement(name = "CasVyuziti", required = true, type = String.class)
        @XmlJavaTypeAdapter(Adapter1 .class)
        @XmlSchemaType(name = "dateTime")
        protected Calendar casVyuziti;
        @XmlElement(name = "DuvodUcel", required = true)
        protected String duvodUcel;
        @XmlElement(name = "SeznamUdaju")
        protected long seznamUdaju;
        @XmlElement(name = "AgendaZadostId", required = true)
        protected String agendaZadostId;
        @XmlElement(name = "IszrZadostId", required = true)
        protected String iszrZadostId;

        /**
         * Gets the value of the vyuzitiPoskytnuti property.
         * 
         * @return
         *     possible object is
         *     {@link TypVyuzitiPoskytnutiType }
         *     
         */
        public TypVyuzitiPoskytnutiType getVyuzitiPoskytnuti() {
            return vyuzitiPoskytnuti;
        }

        /**
         * Sets the value of the vyuzitiPoskytnuti property.
         * 
         * @param value
         *     allowed object is
         *     {@link TypVyuzitiPoskytnutiType }
         *     
         */
        public void setVyuzitiPoskytnuti(TypVyuzitiPoskytnutiType value) {
            this.vyuzitiPoskytnuti = value;
        }

        /**
         * Gets the value of the agenda property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getAgenda() {
            return agenda;
        }

        /**
         * Sets the value of the agenda property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setAgenda(String value) {
            this.agenda = value;
        }

        /**
         * Gets the value of the ais property.
         * 
         * @return
         *     possible object is
         *     {@link Integer }
         *     
         */
        public Integer getAis() {
            return ais;
        }

        /**
         * Sets the value of the ais property.
         * 
         * @param value
         *     allowed object is
         *     {@link Integer }
         *     
         */
        public void setAis(Integer value) {
            this.ais = value;
        }

        /**
         * Gets the value of the subjekt property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getSubjekt() {
            return subjekt;
        }

        /**
         * Sets the value of the subjekt property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setSubjekt(String value) {
            this.subjekt = value;
        }

        /**
         * Gets the value of the uzivatel property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getUzivatel() {
            return uzivatel;
        }

        /**
         * Sets the value of the uzivatel property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setUzivatel(String value) {
            this.uzivatel = value;
        }

        /**
         * Gets the value of the ovm property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getOvm() {
            return ovm;
        }

        /**
         * Sets the value of the ovm property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setOvm(String value) {
            this.ovm = value;
        }

        /**
         * Gets the value of the casVyuziti property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public Calendar getCasVyuziti() {
            return casVyuziti;
        }

        /**
         * Sets the value of the casVyuziti property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setCasVyuziti(Calendar value) {
            this.casVyuziti = value;
        }

        /**
         * Gets the value of the duvodUcel property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getDuvodUcel() {
            return duvodUcel;
        }

        /**
         * Sets the value of the duvodUcel property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setDuvodUcel(String value) {
            this.duvodUcel = value;
        }

        /**
         * Gets the value of the seznamUdaju property.
         * 
         */
        public long getSeznamUdaju() {
            return seznamUdaju;
        }

        /**
         * Sets the value of the seznamUdaju property.
         * 
         */
        public void setSeznamUdaju(long value) {
            this.seznamUdaju = value;
        }

        /**
         * Gets the value of the agendaZadostId property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getAgendaZadostId() {
            return agendaZadostId;
        }

        /**
         * Sets the value of the agendaZadostId property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setAgendaZadostId(String value) {
            this.agendaZadostId = value;
        }

        /**
         * Gets the value of the iszrZadostId property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getIszrZadostId() {
            return iszrZadostId;
        }

        /**
         * Sets the value of the iszrZadostId property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setIszrZadostId(String value) {
            this.iszrZadostId = value;
        }

    }

}
