
package cz.isvs.rob.schemas.robtypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Změna elektronicky čitelného dokladu.
 *                 Pokud je daná jenom položka
 *                 Puvodni, jde o zrušení dokladu.
 *                 Pokud je daná jenom položka Novy, jde o zavedení dokladu.
 *                 Jinak jde o
 *                 změnu dokladu.
 *             
 * 
 * <p>Java class for DokladZmenaType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DokladZmenaType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Puvodni" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DokladType" minOccurs="0"/&gt;
 *         &lt;element name="Novy" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DokladType" minOccurs="0"/&gt;
 *         &lt;element name="Bok" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}BokStavType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DokladZmenaType", propOrder = {
    "puvodni",
    "novy",
    "bok"
})
@XmlSeeAlso({
    DokladZmenaStavType.class
})
public class DokladZmenaType {

    @XmlElement(name = "Puvodni")
    protected DokladType puvodni;
    @XmlElement(name = "Novy")
    protected DokladType novy;
    @XmlElement(name = "Bok")
    protected BokStavType bok;

    /**
     * Gets the value of the puvodni property.
     * 
     * @return
     *     possible object is
     *     {@link DokladType }
     *     
     */
    public DokladType getPuvodni() {
        return puvodni;
    }

    /**
     * Sets the value of the puvodni property.
     * 
     * @param value
     *     allowed object is
     *     {@link DokladType }
     *     
     */
    public void setPuvodni(DokladType value) {
        this.puvodni = value;
    }

    /**
     * Gets the value of the novy property.
     * 
     * @return
     *     possible object is
     *     {@link DokladType }
     *     
     */
    public DokladType getNovy() {
        return novy;
    }

    /**
     * Sets the value of the novy property.
     * 
     * @param value
     *     allowed object is
     *     {@link DokladType }
     *     
     */
    public void setNovy(DokladType value) {
        this.novy = value;
    }

    /**
     * Gets the value of the bok property.
     * 
     * @return
     *     possible object is
     *     {@link BokStavType }
     *     
     */
    public BokStavType getBok() {
        return bok;
    }

    /**
     * Sets the value of the bok property.
     * 
     * @param value
     *     allowed object is
     *     {@link BokStavType }
     *     
     */
    public void setBok(BokStavType value) {
        this.bok = value;
    }

}
