
package cz.isvs.rob.schemas.robtypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Místo a okres úmrtí v ČR nebo místo a stát úmrtí.
 *             
 * 
 * <p>Java class for MistoUmrtiType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MistoUmrtiType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;choice&gt;
 *         &lt;element name="UmrtiCr" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}MistoCrType"/&gt;
 *         &lt;element name="UmrtiSvet" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}MistoSvetType"/&gt;
 *       &lt;/choice&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MistoUmrtiType", propOrder = {
    "umrtiCr",
    "umrtiSvet"
})
@XmlSeeAlso({
    MistoUmrtiStavType.class
})
public class MistoUmrtiType {

    @XmlElement(name = "UmrtiCr")
    protected MistoCrType umrtiCr;
    @XmlElement(name = "UmrtiSvet")
    protected MistoSvetType umrtiSvet;

    /**
     * Gets the value of the umrtiCr property.
     * 
     * @return
     *     possible object is
     *     {@link MistoCrType }
     *     
     */
    public MistoCrType getUmrtiCr() {
        return umrtiCr;
    }

    /**
     * Sets the value of the umrtiCr property.
     * 
     * @param value
     *     allowed object is
     *     {@link MistoCrType }
     *     
     */
    public void setUmrtiCr(MistoCrType value) {
        this.umrtiCr = value;
    }

    /**
     * Gets the value of the umrtiSvet property.
     * 
     * @return
     *     possible object is
     *     {@link MistoSvetType }
     *     
     */
    public MistoSvetType getUmrtiSvet() {
        return umrtiSvet;
    }

    /**
     * Sets the value of the umrtiSvet property.
     * 
     * @param value
     *     allowed object is
     *     {@link MistoSvetType }
     *     
     */
    public void setUmrtiSvet(MistoSvetType value) {
        this.umrtiSvet = value;
    }

}
