
package cz.isvs.rob.schemas.robtypy.v1;

import jakarta.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the cz.isvs.rob.schemas.robtypy.v1 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: cz.isvs.rob.schemas.robtypy.v1
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link RobAplikacniStatusType }
     * 
     */
    public RobAplikacniStatusType createRobAplikacniStatusType() {
        return new RobAplikacniStatusType();
    }

    /**
     * Create an instance of {@link MistoCrType }
     * 
     */
    public MistoCrType createMistoCrType() {
        return new MistoCrType();
    }

    /**
     * Create an instance of {@link MistoSvetType }
     * 
     */
    public MistoSvetType createMistoSvetType() {
        return new MistoSvetType();
    }

    /**
     * Create an instance of {@link AdresaPobytuType }
     * 
     */
    public AdresaPobytuType createAdresaPobytuType() {
        return new AdresaPobytuType();
    }

    /**
     * Create an instance of {@link AdresaPobytuStavType }
     * 
     */
    public AdresaPobytuStavType createAdresaPobytuStavType() {
        return new AdresaPobytuStavType();
    }

    /**
     * Create an instance of {@link LokalniAifoStavType }
     * 
     */
    public LokalniAifoStavType createLokalniAifoStavType() {
        return new LokalniAifoStavType();
    }

    /**
     * Create an instance of {@link BokStavType }
     * 
     */
    public BokStavType createBokStavType() {
        return new BokStavType();
    }

    /**
     * Create an instance of {@link DatovaSchrankaStavType }
     * 
     */
    public DatovaSchrankaStavType createDatovaSchrankaStavType() {
        return new DatovaSchrankaStavType();
    }

    /**
     * Create an instance of {@link DatumNarozeniStavType }
     * 
     */
    public DatumNarozeniStavType createDatumNarozeniStavType() {
        return new DatumNarozeniStavType();
    }

    /**
     * Create an instance of {@link DatumPravniMociUmrtiStavType }
     * 
     */
    public DatumPravniMociUmrtiStavType createDatumPravniMociUmrtiStavType() {
        return new DatumPravniMociUmrtiStavType();
    }

    /**
     * Create an instance of {@link DatumUmrtiStavType }
     * 
     */
    public DatumUmrtiStavType createDatumUmrtiStavType() {
        return new DatumUmrtiStavType();
    }

    /**
     * Create an instance of {@link DorucovaciAdresaType }
     * 
     */
    public DorucovaciAdresaType createDorucovaciAdresaType() {
        return new DorucovaciAdresaType();
    }

    /**
     * Create an instance of {@link DorucovaciAdresaStavType }
     * 
     */
    public DorucovaciAdresaStavType createDorucovaciAdresaStavType() {
        return new DorucovaciAdresaStavType();
    }

    /**
     * Create an instance of {@link JmenoStavType }
     * 
     */
    public JmenoStavType createJmenoStavType() {
        return new JmenoStavType();
    }

    /**
     * Create an instance of {@link MistoNarozeniType }
     * 
     */
    public MistoNarozeniType createMistoNarozeniType() {
        return new MistoNarozeniType();
    }

    /**
     * Create an instance of {@link MistoNarozeniStavType }
     * 
     */
    public MistoNarozeniStavType createMistoNarozeniStavType() {
        return new MistoNarozeniStavType();
    }

    /**
     * Create an instance of {@link MistoUmrtiType }
     * 
     */
    public MistoUmrtiType createMistoUmrtiType() {
        return new MistoUmrtiType();
    }

    /**
     * Create an instance of {@link MistoUmrtiStavType }
     * 
     */
    public MistoUmrtiStavType createMistoUmrtiStavType() {
        return new MistoUmrtiStavType();
    }

    /**
     * Create an instance of {@link PrijmeniStavType }
     * 
     */
    public PrijmeniStavType createPrijmeniStavType() {
        return new PrijmeniStavType();
    }

    /**
     * Create an instance of {@link RodnePrijmeniStavType }
     * 
     */
    public RodnePrijmeniStavType createRodnePrijmeniStavType() {
        return new RodnePrijmeniStavType();
    }

    /**
     * Create an instance of {@link OmezeniSvepravnostiStavType }
     * 
     */
    public OmezeniSvepravnostiStavType createOmezeniSvepravnostiStavType() {
        return new OmezeniSvepravnostiStavType();
    }

    /**
     * Create an instance of {@link RodinnyStavPartnerstviStavType }
     * 
     */
    public RodinnyStavPartnerstviStavType createRodinnyStavPartnerstviStavType() {
        return new RodinnyStavPartnerstviStavType();
    }

    /**
     * Create an instance of {@link PohlaviStavType }
     * 
     */
    public PohlaviStavType createPohlaviStavType() {
        return new PohlaviStavType();
    }

    /**
     * Create an instance of {@link ObcanstviStavType }
     * 
     */
    public ObcanstviStavType createObcanstviStavType() {
        return new ObcanstviStavType();
    }

    /**
     * Create an instance of {@link ObcanstviZmenaType }
     * 
     */
    public ObcanstviZmenaType createObcanstviZmenaType() {
        return new ObcanstviZmenaType();
    }

    /**
     * Create an instance of {@link ObcanstviZmenaStavType }
     * 
     */
    public ObcanstviZmenaStavType createObcanstviZmenaStavType() {
        return new ObcanstviZmenaStavType();
    }

    /**
     * Create an instance of {@link DokladType }
     * 
     */
    public DokladType createDokladType() {
        return new DokladType();
    }

    /**
     * Create an instance of {@link DokladStavType }
     * 
     */
    public DokladStavType createDokladStavType() {
        return new DokladStavType();
    }

    /**
     * Create an instance of {@link DokladZmenaType }
     * 
     */
    public DokladZmenaType createDokladZmenaType() {
        return new DokladZmenaType();
    }

    /**
     * Create an instance of {@link DokladZmenaStavType }
     * 
     */
    public DokladZmenaStavType createDokladZmenaStavType() {
        return new DokladZmenaStavType();
    }

    /**
     * Create an instance of {@link PoskytnutiTretiOsobeType }
     * 
     */
    public PoskytnutiTretiOsobeType createPoskytnutiTretiOsobeType() {
        return new PoskytnutiTretiOsobeType();
    }

    /**
     * Create an instance of {@link PoskytnutiJineOsobeType }
     * 
     */
    public PoskytnutiJineOsobeType createPoskytnutiJineOsobeType() {
        return new PoskytnutiJineOsobeType();
    }

    /**
     * Create an instance of {@link ZalozPoskytnutiJineOsobeType }
     * 
     */
    public ZalozPoskytnutiJineOsobeType createZalozPoskytnutiJineOsobeType() {
        return new ZalozPoskytnutiJineOsobeType();
    }

    /**
     * Create an instance of {@link TelefonStavType }
     * 
     */
    public TelefonStavType createTelefonStavType() {
        return new TelefonStavType();
    }

    /**
     * Create an instance of {@link EmailStavType }
     * 
     */
    public EmailStavType createEmailStavType() {
        return new EmailStavType();
    }

    /**
     * Create an instance of {@link CertifikatType }
     * 
     */
    public CertifikatType createCertifikatType() {
        return new CertifikatType();
    }

    /**
     * Create an instance of {@link CertifikatStavType }
     * 
     */
    public CertifikatStavType createCertifikatStavType() {
        return new CertifikatStavType();
    }

    /**
     * Create an instance of {@link CertifikatZmenaType }
     * 
     */
    public CertifikatZmenaType createCertifikatZmenaType() {
        return new CertifikatZmenaType();
    }

    /**
     * Create an instance of {@link CertifikatZmenaStavType }
     * 
     */
    public CertifikatZmenaStavType createCertifikatZmenaStavType() {
        return new CertifikatZmenaStavType();
    }

    /**
     * Create an instance of {@link RobAplikacniStatusType.VysledekDetail }
     * 
     */
    public RobAplikacniStatusType.VysledekDetail createRobAplikacniStatusTypeVysledekDetail() {
        return new RobAplikacniStatusType.VysledekDetail();
    }

}
