
package cz.isvs.rob.schemas.robtypy.v1;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TypPorovnaniType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="TypPorovnaniType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="striktni"/&gt;
 *     &lt;enumeration value="diakritika"/&gt;
 *     &lt;enumeration value="ascii"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "TypPorovnaniType")
@XmlEnum
public enum TypPorovnaniType {


    /**
     * Respektování diakritiky a velikosti písmen.
     *                     
     * 
     */
    @XmlEnumValue("striktni")
    STRIKTNI("striktni"),

    /**
     * Respektování diakritiky bez ohledu na velikost písmen.
     *                     
     * 
     */
    @XmlEnumValue("diakritika")
    DIAKRITIKA("diakritika"),

    /**
     * Nerespektování diakritiky a velikosti písmen.
     *                     
     * 
     */
    @XmlEnumValue("ascii")
    ASCII("ascii");
    private final String value;

    TypPorovnaniType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TypPorovnaniType fromValue(String v) {
        for (TypPorovnaniType c: TypPorovnaniType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
