
package cz.isvs.ros.schemas.rosdotazydata.v2;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.CollapsedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import cz.isvs.ros.schemas.rosdotazytypy.v1.FyzickaOsobaStavResponseType;
import cz.isvs.ros.schemas.rostypy.v2.UdajeZadostiIcoResponseType;


/**
 * 
 *                 Chybové statusy služby:
 *                 OBECNA CHYBA SLUZBY
 *                 ICO NEEXISTUJE
 *                 ICO PRIDELENO
 *                 CHYBA MAPA AIFO                
 *                 ZAPSANO VICE OSOB
 *                 NEVALIDNI DATA
 *                 NEVALIDNI ZADOST
 *                 NEPOVOLENE ZNEPRISTUPNENI
 *             
 * 
 * <p>Java class for RosCtiAifoDataResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RosCtiAifoDataResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:ros:schemas:RosDotazyData:v2}RosDotazyDataResponseAbstractType"&gt;
 *       &lt;choice minOccurs="0"&gt;
 *         &lt;element name="FyzickaOsoba" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}FyzickaOsobaStavResponseType" maxOccurs="unbounded"/&gt;
 *         &lt;element name="UdajeZadosti" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}UdajeZadostiIcoResponseType"/&gt;
 *         &lt;element name="KodAgendy" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType"/&gt;
 *       &lt;/choice&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RosCtiAifoDataResponseType", propOrder = {
    "fyzickaOsoba",
    "udajeZadosti",
    "kodAgendy"
})
public class RosCtiAifoDataResponseType
    extends RosDotazyDataResponseAbstractType
{

    @XmlElement(name = "FyzickaOsoba")
    protected List<FyzickaOsobaStavResponseType> fyzickaOsoba;
    @XmlElement(name = "UdajeZadosti")
    protected UdajeZadostiIcoResponseType udajeZadosti;
    @XmlElement(name = "KodAgendy")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String kodAgendy;

    /**
     * Gets the value of the fyzickaOsoba property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the fyzickaOsoba property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getFyzickaOsoba().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FyzickaOsobaStavResponseType }
     * 
     * 
     */
    public List<FyzickaOsobaStavResponseType> getFyzickaOsoba() {
        if (fyzickaOsoba == null) {
            fyzickaOsoba = new ArrayList<FyzickaOsobaStavResponseType>();
        }
        return this.fyzickaOsoba;
    }

    /**
     * Gets the value of the udajeZadosti property.
     * 
     * @return
     *     possible object is
     *     {@link UdajeZadostiIcoResponseType }
     *     
     */
    public UdajeZadostiIcoResponseType getUdajeZadosti() {
        return udajeZadosti;
    }

    /**
     * Sets the value of the udajeZadosti property.
     * 
     * @param value
     *     allowed object is
     *     {@link UdajeZadostiIcoResponseType }
     *     
     */
    public void setUdajeZadosti(UdajeZadostiIcoResponseType value) {
        this.udajeZadosti = value;
    }

    /**
     * Gets the value of the kodAgendy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getKodAgendy() {
        return kodAgendy;
    }

    /**
     * Sets the value of the kodAgendy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setKodAgendy(String value) {
        this.kodAgendy = value;
    }

}
