
package cz.isvs.ros.schemas.rosdotazydata.v2;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlElements;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.rosdotazytypy.v1.FyzickaOsobaStavResponse2Type;
import cz.isvs.ros.schemas.rosdotazytypy.v1.OsobaHrStavResponseAbstract2Type;
import cz.isvs.ros.schemas.rosdotazytypy.v1.PravnickaOsobaStavResponse2Type;


/**
 * 
 *                 Chybové statusy služby:
 *                 NEVALIDNI DATA
 *                 NEVALIDNI ZADOST
 *                 OBECNA CHYBA SLUZBY
 *                 PREKROCEN POCET
 *                 NEVYHOVUJE ZAZNAM OSOBY
 *                 CHYBA MAPA AIFO
 *                 CHYBA MAPA ADRES
 *                 CHYBA ROZSAHU
 *                 CHYBA OPRAVNENI
 *                 NEPOVOLENE ZNEPRISTUPNENI
 *                 NEPOVOLENY KOD PRAVNI FORMY
 *                 NEPOVOLENY KOD PRAVNIHO STAVU
 *                 NEPOVOLENY KOD AGENDY
 *                 NEPOVOLENY KOD OVM
 *                 CHYBI FO V SEZNAM UDAJU
 *                 CHYBI ANGAZMA V SEZNAM UDAJU
 *                 CHYBI PROVOZOVNY V SEZNAM UDAJU
 *             
 * 
 * <p>Java class for RosCtiPodleUdaju2DataResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RosCtiPodleUdaju2DataResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:ros:schemas:RosDotazyData:v2}RosDotazyDataResponseAbstractType"&gt;
 *       &lt;choice maxOccurs="unbounded" minOccurs="0"&gt;
 *         &lt;element name="PravnickaOsoba" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}PravnickaOsobaStavResponse2Type"/&gt;
 *         &lt;element name="FyzickaOsoba" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}FyzickaOsobaStavResponse2Type"/&gt;
 *       &lt;/choice&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RosCtiPodleUdaju2DataResponseType", propOrder = {
    "pravnickaOsobaOrFyzickaOsoba"
})
public class RosCtiPodleUdaju2DataResponseType
    extends RosDotazyDataResponseAbstractType
{

    @XmlElements({
        @XmlElement(name = "PravnickaOsoba", type = PravnickaOsobaStavResponse2Type.class),
        @XmlElement(name = "FyzickaOsoba", type = FyzickaOsobaStavResponse2Type.class)
    })
    protected List<OsobaHrStavResponseAbstract2Type> pravnickaOsobaOrFyzickaOsoba;

    /**
     * Gets the value of the pravnickaOsobaOrFyzickaOsoba property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the pravnickaOsobaOrFyzickaOsoba property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPravnickaOsobaOrFyzickaOsoba().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PravnickaOsobaStavResponse2Type }
     * {@link FyzickaOsobaStavResponse2Type }
     * 
     * 
     */
    public List<OsobaHrStavResponseAbstract2Type> getPravnickaOsobaOrFyzickaOsoba() {
        if (pravnickaOsobaOrFyzickaOsoba == null) {
            pravnickaOsobaOrFyzickaOsoba = new ArrayList<OsobaHrStavResponseAbstract2Type>();
        }
        return this.pravnickaOsobaOrFyzickaOsoba;
    }

}
