
package cz.isvs.ros.schemas.rosdotazydata.v2;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlElements;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.rosdotazytypy.v1.FyzickaOsobaHrStavResponseType;
import cz.isvs.ros.schemas.rosdotazytypy.v1.OsobaHrStavResponseAbstractType;
import cz.isvs.ros.schemas.rosdotazytypy.v1.PravnickaOsobaHrStavResponseType;


/**
 * 
 *                 Chybové statusy služby:
 *                 OBECNA CHYBA SLUZBY
 *                 PREKROCEN POCET
 *                 NEVYHOVUJE ZADNY ZAZNAM OSOBY
 *                 CHYBA MAPA AIFO
 *                 CHYBA MAPA ADRES
 *                 CHYBA ROZSAHU
 *                 CHYBA OPRAVNENI
 *                 NEPOVOLENY KOD PRAVNI FORMY
 *                 NEPOVOLENY KOD PRAVNIHO STAVU
 *                 NEPOVOLENY KOD AGENDY
 *                 NEPOVOLENY KOD OVM
 *                 NEVALIDNI DATA
 *                 NEVALIDNI ZADOST
 *                 NEPOVOLENE ZNEPRISTUPNENI
 *             
 * 
 * <p>Java class for RosCtiPodleUdajuDataResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RosCtiPodleUdajuDataResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:ros:schemas:RosDotazyData:v2}RosDotazyDataResponseAbstractType"&gt;
 *       &lt;choice maxOccurs="unbounded" minOccurs="0"&gt;
 *         &lt;element name="PravnickaOsoba" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}PravnickaOsobaHrStavResponseType"/&gt;
 *         &lt;element name="FyzickaOsoba" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}FyzickaOsobaHrStavResponseType"/&gt;
 *       &lt;/choice&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RosCtiPodleUdajuDataResponseType", propOrder = {
    "pravnickaOsobaOrFyzickaOsoba"
})
public class RosCtiPodleUdajuDataResponseType
    extends RosDotazyDataResponseAbstractType
{

    @XmlElements({
        @XmlElement(name = "PravnickaOsoba", type = PravnickaOsobaHrStavResponseType.class),
        @XmlElement(name = "FyzickaOsoba", type = FyzickaOsobaHrStavResponseType.class)
    })
    protected List<OsobaHrStavResponseAbstractType> pravnickaOsobaOrFyzickaOsoba;

    /**
     * Gets the value of the pravnickaOsobaOrFyzickaOsoba property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the pravnickaOsobaOrFyzickaOsoba property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPravnickaOsobaOrFyzickaOsoba().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PravnickaOsobaHrStavResponseType }
     * {@link FyzickaOsobaHrStavResponseType }
     * 
     * 
     */
    public List<OsobaHrStavResponseAbstractType> getPravnickaOsobaOrFyzickaOsoba() {
        if (pravnickaOsobaOrFyzickaOsoba == null) {
            pravnickaOsobaOrFyzickaOsoba = new ArrayList<OsobaHrStavResponseAbstractType>();
        }
        return this.pravnickaOsobaOrFyzickaOsoba;
    }

}
