
package cz.isvs.ros.schemas.rosdotazydata.v2;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.CollapsedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * 
 *                 Chybové statusy služby:
 *                 OBECNA CHYBA SLUZBY
 *                 ICO NEEXISTUJE
 *                 NEVALIDNI DATA
 *                 NEVALIDNI ZADOST
 *                 NEEXISTUJE EDITOR
 *             
 * 
 * 
 *                   Možná bude vhodné vypisovat také ke každé agendě stav dané osoby podle vyplnění 
 *                   data zániku oprávnění k činnosti v dané agendě.
 *                 
 * 
 * <p>Java class for RosCtiSeznamEditoruDataResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RosCtiSeznamEditoruDataResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:ros:schemas:RosDotazyData:v2}RosDotazyDataResponseAbstractType"&gt;
 *       &lt;sequence minOccurs="0"&gt;
 *         &lt;element name="Editori"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="Editor" maxOccurs="unbounded"&gt;
 *                     &lt;complexType&gt;
 *                       &lt;complexContent&gt;
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                           &lt;sequence&gt;
 *                             &lt;element name="KodAgendy" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType"/&gt;
 *                             &lt;element name="KodOvm" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodOvmType"/&gt;
 *                           &lt;/sequence&gt;
 *                         &lt;/restriction&gt;
 *                       &lt;/complexContent&gt;
 *                     &lt;/complexType&gt;
 *                   &lt;/element&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RosCtiSeznamEditoruDataResponseType", propOrder = {
    "editori"
})
public class RosCtiSeznamEditoruDataResponseType
    extends RosDotazyDataResponseAbstractType
{

    @XmlElement(name = "Editori")
    protected RosCtiSeznamEditoruDataResponseType.Editori editori;

    /**
     * Gets the value of the editori property.
     * 
     * @return
     *     possible object is
     *     {@link RosCtiSeznamEditoruDataResponseType.Editori }
     *     
     */
    public RosCtiSeznamEditoruDataResponseType.Editori getEditori() {
        return editori;
    }

    /**
     * Sets the value of the editori property.
     * 
     * @param value
     *     allowed object is
     *     {@link RosCtiSeznamEditoruDataResponseType.Editori }
     *     
     */
    public void setEditori(RosCtiSeznamEditoruDataResponseType.Editori value) {
        this.editori = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="Editor" maxOccurs="unbounded"&gt;
     *           &lt;complexType&gt;
     *             &lt;complexContent&gt;
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *                 &lt;sequence&gt;
     *                   &lt;element name="KodAgendy" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType"/&gt;
     *                   &lt;element name="KodOvm" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodOvmType"/&gt;
     *                 &lt;/sequence&gt;
     *               &lt;/restriction&gt;
     *             &lt;/complexContent&gt;
     *           &lt;/complexType&gt;
     *         &lt;/element&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "editor"
    })
    public static class Editori {

        @XmlElement(name = "Editor", required = true)
        protected List<RosCtiSeznamEditoruDataResponseType.Editori.Editor> editor;

        /**
         * Gets the value of the editor property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the editor property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getEditor().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link RosCtiSeznamEditoruDataResponseType.Editori.Editor }
         * 
         * 
         */
        public List<RosCtiSeznamEditoruDataResponseType.Editori.Editor> getEditor() {
            if (editor == null) {
                editor = new ArrayList<RosCtiSeznamEditoruDataResponseType.Editori.Editor>();
            }
            return this.editor;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType&gt;
         *   &lt;complexContent&gt;
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
         *       &lt;sequence&gt;
         *         &lt;element name="KodAgendy" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType"/&gt;
         *         &lt;element name="KodOvm" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodOvmType"/&gt;
         *       &lt;/sequence&gt;
         *     &lt;/restriction&gt;
         *   &lt;/complexContent&gt;
         * &lt;/complexType&gt;
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "kodAgendy",
            "kodOvm"
        })
        public static class Editor {

            @XmlElement(name = "KodAgendy", required = true)
            @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
            @XmlSchemaType(name = "NMTOKEN")
            protected String kodAgendy;
            @XmlElement(name = "KodOvm", required = true)
            @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
            @XmlSchemaType(name = "NMTOKEN")
            protected String kodOvm;

            /**
             * Gets the value of the kodAgendy property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getKodAgendy() {
                return kodAgendy;
            }

            /**
             * Sets the value of the kodAgendy property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setKodAgendy(String value) {
                this.kodAgendy = value;
            }

            /**
             * Gets the value of the kodOvm property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getKodOvm() {
                return kodOvm;
            }

            /**
             * Sets the value of the kodOvm property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setKodOvm(String value) {
                this.kodOvm = value;
            }

        }

    }

}
