
package cz.isvs.ros.schemas.rosdotazydata.v2;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.CollapsedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import cz.isvs.reg.schemas.regtypy.v1.RosUdajType;
import org.w3._2001.xmlschema.Adapter1;


/**
 * 
 *                 Chybové statusy služby:
 *                 NEVALIDNI DATA
 *                 NEVALIDNI ZADOST
 *                 OBECNA CHYBA SLUZBY
 *                 CHYBA ROZSAHU
 *                 ICO NEEXISTUJE
 *                 NEEXISTUJICI DS
 *                 SEZNAM VYCERPAN
 *                 NENI VYUZITI
 *                 ZMENA OBDOBI
 *                 PREKROCEN POCET                
 *             
 * 
 * <p>Java class for RosVypisVyuzitiDataResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RosVypisVyuzitiDataResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:ros:schemas:RosDotazyData:v2}RosDotazyDataResponseAbstractType"&gt;
 *       &lt;sequence minOccurs="0"&gt;
 *         &lt;sequence&gt;
 *           &lt;element name="Ico" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IcoType"/&gt;
 *           &lt;element name="PoradoveCislo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KladneCeleCisloType"/&gt;
 *           &lt;element name="DatoveSchranky" minOccurs="0"&gt;
 *             &lt;complexType&gt;
 *               &lt;complexContent&gt;
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                   &lt;sequence&gt;
 *                     &lt;element name="DatovaSchranka" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}DatovaSchrankaIdType" maxOccurs="unbounded"/&gt;
 *                   &lt;/sequence&gt;
 *                 &lt;/restriction&gt;
 *               &lt;/complexContent&gt;
 *             &lt;/complexType&gt;
 *           &lt;/element&gt;
 *           &lt;element name="Vyuziti" minOccurs="0"&gt;
 *             &lt;complexType&gt;
 *               &lt;complexContent&gt;
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                   &lt;sequence&gt;
 *                     &lt;element name="UdajeVyuziti" maxOccurs="unbounded"&gt;
 *                       &lt;complexType&gt;
 *                         &lt;complexContent&gt;
 *                           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                             &lt;sequence&gt;
 *                               &lt;element name="CasZadosti" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}CasovaZnackaType"/&gt;
 *                               &lt;element name="Agenda" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType"/&gt;
 *                               &lt;element name="AgendovaRole" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}AgendovaRoleType"/&gt;
 *                               &lt;element name="Ovm" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodOvmType"/&gt;
 *                               &lt;element name="Ais" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAisType" minOccurs="0"/&gt;
 *                               &lt;element name="Subjekt" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}SubjektType" minOccurs="0"/&gt;
 *                               &lt;element name="Uzivatel" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}UzivatelType" minOccurs="0"/&gt;
 *                               &lt;element name="DuvodUcel" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}DuvodUcelType" minOccurs="0"/&gt;
 *                               &lt;element name="SeznamUdaju"&gt;
 *                                 &lt;complexType&gt;
 *                                   &lt;complexContent&gt;
 *                                     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                                       &lt;sequence&gt;
 *                                         &lt;element name="Udaj" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RosUdajType" maxOccurs="unbounded"/&gt;
 *                                       &lt;/sequence&gt;
 *                                     &lt;/restriction&gt;
 *                                   &lt;/complexContent&gt;
 *                                 &lt;/complexType&gt;
 *                               &lt;/element&gt;
 *                             &lt;/sequence&gt;
 *                           &lt;/restriction&gt;
 *                         &lt;/complexContent&gt;
 *                       &lt;/complexType&gt;
 *                     &lt;/element&gt;
 *                   &lt;/sequence&gt;
 *                 &lt;/restriction&gt;
 *               &lt;/complexContent&gt;
 *             &lt;/complexType&gt;
 *           &lt;/element&gt;
 *         &lt;/sequence&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RosVypisVyuzitiDataResponseType", propOrder = {
    "ico",
    "poradoveCislo",
    "datoveSchranky",
    "vyuziti"
})
public class RosVypisVyuzitiDataResponseType
    extends RosDotazyDataResponseAbstractType
{

    @XmlElement(name = "Ico")
    protected Integer ico;
    @XmlElement(name = "PoradoveCislo")
    protected Integer poradoveCislo;
    @XmlElement(name = "DatoveSchranky")
    protected RosVypisVyuzitiDataResponseType.DatoveSchranky datoveSchranky;
    @XmlElement(name = "Vyuziti")
    protected RosVypisVyuzitiDataResponseType.Vyuziti vyuziti;

    /**
     * Gets the value of the ico property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getIco() {
        return ico;
    }

    /**
     * Sets the value of the ico property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setIco(Integer value) {
        this.ico = value;
    }

    /**
     * Gets the value of the poradoveCislo property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getPoradoveCislo() {
        return poradoveCislo;
    }

    /**
     * Sets the value of the poradoveCislo property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setPoradoveCislo(Integer value) {
        this.poradoveCislo = value;
    }

    /**
     * Gets the value of the datoveSchranky property.
     * 
     * @return
     *     possible object is
     *     {@link RosVypisVyuzitiDataResponseType.DatoveSchranky }
     *     
     */
    public RosVypisVyuzitiDataResponseType.DatoveSchranky getDatoveSchranky() {
        return datoveSchranky;
    }

    /**
     * Sets the value of the datoveSchranky property.
     * 
     * @param value
     *     allowed object is
     *     {@link RosVypisVyuzitiDataResponseType.DatoveSchranky }
     *     
     */
    public void setDatoveSchranky(RosVypisVyuzitiDataResponseType.DatoveSchranky value) {
        this.datoveSchranky = value;
    }

    /**
     * Gets the value of the vyuziti property.
     * 
     * @return
     *     possible object is
     *     {@link RosVypisVyuzitiDataResponseType.Vyuziti }
     *     
     */
    public RosVypisVyuzitiDataResponseType.Vyuziti getVyuziti() {
        return vyuziti;
    }

    /**
     * Sets the value of the vyuziti property.
     * 
     * @param value
     *     allowed object is
     *     {@link RosVypisVyuzitiDataResponseType.Vyuziti }
     *     
     */
    public void setVyuziti(RosVypisVyuzitiDataResponseType.Vyuziti value) {
        this.vyuziti = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="DatovaSchranka" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}DatovaSchrankaIdType" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "datovaSchranka"
    })
    public static class DatoveSchranky {

        @XmlElement(name = "DatovaSchranka", required = true)
        protected List<String> datovaSchranka;

        /**
         * Gets the value of the datovaSchranka property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the datovaSchranka property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getDatovaSchranka().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link String }
         * 
         * 
         */
        public List<String> getDatovaSchranka() {
            if (datovaSchranka == null) {
                datovaSchranka = new ArrayList<String>();
            }
            return this.datovaSchranka;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="UdajeVyuziti" maxOccurs="unbounded"&gt;
     *           &lt;complexType&gt;
     *             &lt;complexContent&gt;
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *                 &lt;sequence&gt;
     *                   &lt;element name="CasZadosti" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}CasovaZnackaType"/&gt;
     *                   &lt;element name="Agenda" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType"/&gt;
     *                   &lt;element name="AgendovaRole" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}AgendovaRoleType"/&gt;
     *                   &lt;element name="Ovm" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodOvmType"/&gt;
     *                   &lt;element name="Ais" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAisType" minOccurs="0"/&gt;
     *                   &lt;element name="Subjekt" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}SubjektType" minOccurs="0"/&gt;
     *                   &lt;element name="Uzivatel" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}UzivatelType" minOccurs="0"/&gt;
     *                   &lt;element name="DuvodUcel" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}DuvodUcelType" minOccurs="0"/&gt;
     *                   &lt;element name="SeznamUdaju"&gt;
     *                     &lt;complexType&gt;
     *                       &lt;complexContent&gt;
     *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *                           &lt;sequence&gt;
     *                             &lt;element name="Udaj" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RosUdajType" maxOccurs="unbounded"/&gt;
     *                           &lt;/sequence&gt;
     *                         &lt;/restriction&gt;
     *                       &lt;/complexContent&gt;
     *                     &lt;/complexType&gt;
     *                   &lt;/element&gt;
     *                 &lt;/sequence&gt;
     *               &lt;/restriction&gt;
     *             &lt;/complexContent&gt;
     *           &lt;/complexType&gt;
     *         &lt;/element&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "udajeVyuziti"
    })
    public static class Vyuziti {

        @XmlElement(name = "UdajeVyuziti", required = true)
        protected List<RosVypisVyuzitiDataResponseType.Vyuziti.UdajeVyuziti> udajeVyuziti;

        /**
         * Gets the value of the udajeVyuziti property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the udajeVyuziti property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getUdajeVyuziti().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link RosVypisVyuzitiDataResponseType.Vyuziti.UdajeVyuziti }
         * 
         * 
         */
        public List<RosVypisVyuzitiDataResponseType.Vyuziti.UdajeVyuziti> getUdajeVyuziti() {
            if (udajeVyuziti == null) {
                udajeVyuziti = new ArrayList<RosVypisVyuzitiDataResponseType.Vyuziti.UdajeVyuziti>();
            }
            return this.udajeVyuziti;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType&gt;
         *   &lt;complexContent&gt;
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
         *       &lt;sequence&gt;
         *         &lt;element name="CasZadosti" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}CasovaZnackaType"/&gt;
         *         &lt;element name="Agenda" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType"/&gt;
         *         &lt;element name="AgendovaRole" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}AgendovaRoleType"/&gt;
         *         &lt;element name="Ovm" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodOvmType"/&gt;
         *         &lt;element name="Ais" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAisType" minOccurs="0"/&gt;
         *         &lt;element name="Subjekt" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}SubjektType" minOccurs="0"/&gt;
         *         &lt;element name="Uzivatel" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}UzivatelType" minOccurs="0"/&gt;
         *         &lt;element name="DuvodUcel" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}DuvodUcelType" minOccurs="0"/&gt;
         *         &lt;element name="SeznamUdaju"&gt;
         *           &lt;complexType&gt;
         *             &lt;complexContent&gt;
         *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
         *                 &lt;sequence&gt;
         *                   &lt;element name="Udaj" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RosUdajType" maxOccurs="unbounded"/&gt;
         *                 &lt;/sequence&gt;
         *               &lt;/restriction&gt;
         *             &lt;/complexContent&gt;
         *           &lt;/complexType&gt;
         *         &lt;/element&gt;
         *       &lt;/sequence&gt;
         *     &lt;/restriction&gt;
         *   &lt;/complexContent&gt;
         * &lt;/complexType&gt;
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "casZadosti",
            "agenda",
            "agendovaRole",
            "ovm",
            "ais",
            "subjekt",
            "uzivatel",
            "duvodUcel",
            "seznamUdaju"
        })
        public static class UdajeVyuziti {

            @XmlElement(name = "CasZadosti", required = true, type = String.class)
            @XmlJavaTypeAdapter(Adapter1 .class)
            @XmlSchemaType(name = "dateTime")
            protected Calendar casZadosti;
            @XmlElement(name = "Agenda", required = true)
            @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
            @XmlSchemaType(name = "NMTOKEN")
            protected String agenda;
            @XmlElement(name = "AgendovaRole", required = true)
            @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
            @XmlSchemaType(name = "NMTOKEN")
            protected String agendovaRole;
            @XmlElement(name = "Ovm", required = true)
            @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
            @XmlSchemaType(name = "NMTOKEN")
            protected String ovm;
            @XmlElement(name = "Ais")
            protected Integer ais;
            @XmlElement(name = "Subjekt")
            protected String subjekt;
            @XmlElement(name = "Uzivatel")
            protected String uzivatel;
            @XmlElement(name = "DuvodUcel")
            protected String duvodUcel;
            @XmlElement(name = "SeznamUdaju", required = true)
            protected RosVypisVyuzitiDataResponseType.Vyuziti.UdajeVyuziti.SeznamUdaju seznamUdaju;

            /**
             * Gets the value of the casZadosti property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public Calendar getCasZadosti() {
                return casZadosti;
            }

            /**
             * Sets the value of the casZadosti property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setCasZadosti(Calendar value) {
                this.casZadosti = value;
            }

            /**
             * Gets the value of the agenda property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getAgenda() {
                return agenda;
            }

            /**
             * Sets the value of the agenda property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setAgenda(String value) {
                this.agenda = value;
            }

            /**
             * Gets the value of the agendovaRole property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getAgendovaRole() {
                return agendovaRole;
            }

            /**
             * Sets the value of the agendovaRole property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setAgendovaRole(String value) {
                this.agendovaRole = value;
            }

            /**
             * Gets the value of the ovm property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getOvm() {
                return ovm;
            }

            /**
             * Sets the value of the ovm property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setOvm(String value) {
                this.ovm = value;
            }

            /**
             * Gets the value of the ais property.
             * 
             * @return
             *     possible object is
             *     {@link Integer }
             *     
             */
            public Integer getAis() {
                return ais;
            }

            /**
             * Sets the value of the ais property.
             * 
             * @param value
             *     allowed object is
             *     {@link Integer }
             *     
             */
            public void setAis(Integer value) {
                this.ais = value;
            }

            /**
             * Gets the value of the subjekt property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getSubjekt() {
                return subjekt;
            }

            /**
             * Sets the value of the subjekt property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setSubjekt(String value) {
                this.subjekt = value;
            }

            /**
             * Gets the value of the uzivatel property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getUzivatel() {
                return uzivatel;
            }

            /**
             * Sets the value of the uzivatel property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setUzivatel(String value) {
                this.uzivatel = value;
            }

            /**
             * Gets the value of the duvodUcel property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getDuvodUcel() {
                return duvodUcel;
            }

            /**
             * Sets the value of the duvodUcel property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setDuvodUcel(String value) {
                this.duvodUcel = value;
            }

            /**
             * Gets the value of the seznamUdaju property.
             * 
             * @return
             *     possible object is
             *     {@link RosVypisVyuzitiDataResponseType.Vyuziti.UdajeVyuziti.SeznamUdaju }
             *     
             */
            public RosVypisVyuzitiDataResponseType.Vyuziti.UdajeVyuziti.SeznamUdaju getSeznamUdaju() {
                return seznamUdaju;
            }

            /**
             * Sets the value of the seznamUdaju property.
             * 
             * @param value
             *     allowed object is
             *     {@link RosVypisVyuzitiDataResponseType.Vyuziti.UdajeVyuziti.SeznamUdaju }
             *     
             */
            public void setSeznamUdaju(RosVypisVyuzitiDataResponseType.Vyuziti.UdajeVyuziti.SeznamUdaju value) {
                this.seznamUdaju = value;
            }


            /**
             * <p>Java class for anonymous complex type.
             * 
             * <p>The following schema fragment specifies the expected content contained within this class.
             * 
             * <pre>
             * &lt;complexType&gt;
             *   &lt;complexContent&gt;
             *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
             *       &lt;sequence&gt;
             *         &lt;element name="Udaj" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RosUdajType" maxOccurs="unbounded"/&gt;
             *       &lt;/sequence&gt;
             *     &lt;/restriction&gt;
             *   &lt;/complexContent&gt;
             * &lt;/complexType&gt;
             * </pre>
             * 
             * 
             */
            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {
                "udaj"
            })
            public static class SeznamUdaju {

                @XmlElement(name = "Udaj", required = true)
                @XmlSchemaType(name = "string")
                protected List<RosUdajType> udaj;

                /**
                 * Gets the value of the udaj property.
                 * 
                 * <p>
                 * This accessor method returns a reference to the live list,
                 * not a snapshot. Therefore any modification you make to the
                 * returned list will be present inside the JAXB object.
                 * This is why there is not a <CODE>set</CODE> method for the udaj property.
                 * 
                 * <p>
                 * For example, to add a new item, do as follows:
                 * <pre>
                 *    getUdaj().add(newItem);
                 * </pre>
                 * 
                 * 
                 * <p>
                 * Objects of the following type(s) are allowed in the list
                 * {@link RosUdajType }
                 * 
                 * 
                 */
                public List<RosUdajType> getUdaj() {
                    if (udaj == null) {
                        udaj = new ArrayList<RosUdajType>();
                    }
                    return this.udaj;
                }

            }

        }

    }

}
