
package cz.isvs.ros.schemas.rosdotazydata.v2;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import org.w3._2001.xmlschema.Adapter1;


/**
 * 
 *                 Chybové statusy služby:
 *                 OBECNA CHYBA SLUZBY
 *                 NEVALIDNI DATA
 *                 NEVALIDNI ZADOST
 *                 CHYBA ROZSAHU
 *                 PREKROCEN POCET
 *                 NENI VYUZITI
 *                 ZMENA OBDOBI
 *             
 * 
 * <p>Java class for RosVypisZnepristupneniDataResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RosVypisZnepristupneniDataResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:ros:schemas:RosDotazyData:v2}RosDotazyDataResponseAbstractType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="SeznamZnepristupneni" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="Znepristupneni" maxOccurs="unbounded"&gt;
 *                     &lt;complexType&gt;
 *                       &lt;complexContent&gt;
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                           &lt;sequence&gt;
 *                             &lt;element name="Ico" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IcoType"/&gt;
 *                             &lt;element name="CasZadosti" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}CasovaZnackaType"/&gt;
 *                             &lt;element name="AgendaZadostId" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}AgendaZadostIdType"/&gt;
 *                           &lt;/sequence&gt;
 *                         &lt;/restriction&gt;
 *                       &lt;/complexContent&gt;
 *                     &lt;/complexType&gt;
 *                   &lt;/element&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RosVypisZnepristupneniDataResponseType", propOrder = {
    "seznamZnepristupneni"
})
public class RosVypisZnepristupneniDataResponseType
    extends RosDotazyDataResponseAbstractType
{

    @XmlElement(name = "SeznamZnepristupneni")
    protected RosVypisZnepristupneniDataResponseType.SeznamZnepristupneni seznamZnepristupneni;

    /**
     * Gets the value of the seznamZnepristupneni property.
     * 
     * @return
     *     possible object is
     *     {@link RosVypisZnepristupneniDataResponseType.SeznamZnepristupneni }
     *     
     */
    public RosVypisZnepristupneniDataResponseType.SeznamZnepristupneni getSeznamZnepristupneni() {
        return seznamZnepristupneni;
    }

    /**
     * Sets the value of the seznamZnepristupneni property.
     * 
     * @param value
     *     allowed object is
     *     {@link RosVypisZnepristupneniDataResponseType.SeznamZnepristupneni }
     *     
     */
    public void setSeznamZnepristupneni(RosVypisZnepristupneniDataResponseType.SeznamZnepristupneni value) {
        this.seznamZnepristupneni = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="Znepristupneni" maxOccurs="unbounded"&gt;
     *           &lt;complexType&gt;
     *             &lt;complexContent&gt;
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *                 &lt;sequence&gt;
     *                   &lt;element name="Ico" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IcoType"/&gt;
     *                   &lt;element name="CasZadosti" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}CasovaZnackaType"/&gt;
     *                   &lt;element name="AgendaZadostId" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}AgendaZadostIdType"/&gt;
     *                 &lt;/sequence&gt;
     *               &lt;/restriction&gt;
     *             &lt;/complexContent&gt;
     *           &lt;/complexType&gt;
     *         &lt;/element&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "znepristupneni"
    })
    public static class SeznamZnepristupneni {

        @XmlElement(name = "Znepristupneni", required = true)
        protected List<RosVypisZnepristupneniDataResponseType.SeznamZnepristupneni.Znepristupneni> znepristupneni;

        /**
         * Gets the value of the znepristupneni property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the znepristupneni property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getZnepristupneni().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link RosVypisZnepristupneniDataResponseType.SeznamZnepristupneni.Znepristupneni }
         * 
         * 
         */
        public List<RosVypisZnepristupneniDataResponseType.SeznamZnepristupneni.Znepristupneni> getZnepristupneni() {
            if (znepristupneni == null) {
                znepristupneni = new ArrayList<RosVypisZnepristupneniDataResponseType.SeznamZnepristupneni.Znepristupneni>();
            }
            return this.znepristupneni;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType&gt;
         *   &lt;complexContent&gt;
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
         *       &lt;sequence&gt;
         *         &lt;element name="Ico" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IcoType"/&gt;
         *         &lt;element name="CasZadosti" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}CasovaZnackaType"/&gt;
         *         &lt;element name="AgendaZadostId" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}AgendaZadostIdType"/&gt;
         *       &lt;/sequence&gt;
         *     &lt;/restriction&gt;
         *   &lt;/complexContent&gt;
         * &lt;/complexType&gt;
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "ico",
            "casZadosti",
            "agendaZadostId"
        })
        public static class Znepristupneni {

            @XmlElement(name = "Ico")
            protected int ico;
            @XmlElement(name = "CasZadosti", required = true, type = String.class)
            @XmlJavaTypeAdapter(Adapter1 .class)
            @XmlSchemaType(name = "dateTime")
            protected Calendar casZadosti;
            @XmlElement(name = "AgendaZadostId", required = true)
            protected String agendaZadostId;

            /**
             * Gets the value of the ico property.
             * 
             */
            public int getIco() {
                return ico;
            }

            /**
             * Sets the value of the ico property.
             * 
             */
            public void setIco(int value) {
                this.ico = value;
            }

            /**
             * Gets the value of the casZadosti property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public Calendar getCasZadosti() {
                return casZadosti;
            }

            /**
             * Sets the value of the casZadosti property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setCasZadosti(Calendar value) {
                this.casZadosti = value;
            }

            /**
             * Gets the value of the agendaZadostId property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getAgendaZadostId() {
                return agendaZadostId;
            }

            /**
             * Sets the value of the agendaZadostId property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setAgendaZadostId(String value) {
                this.agendaZadostId = value;
            }

        }

    }

}
