
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.roseditacetypy.v1.AdresaDorucovaciStavType;
import cz.isvs.ros.schemas.rostypy.v2.UdajeZmenyType;


/**
 * 
 *                 Adresa doručovací v odpovědi z ROS včetně stavu a a provozních údajů o poslední změně.
 *                 Vrácení prázného údaje adresy je možné jen v případě hodnoty stavu = nedefinovany.
 *             
 * 
 * <p>Java class for AdresaDorucovaciResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AdresaDorucovaciResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="AdresaDorucovaciUdaj" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}AdresaDorucovaciStavType"/&gt;
 *         &lt;element name="ProvozniUdaje" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}UdajeZmenyType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AdresaDorucovaciResponseType", propOrder = {
    "adresaDorucovaciUdaj",
    "provozniUdaje"
})
public class AdresaDorucovaciResponseType {

    @XmlElement(name = "AdresaDorucovaciUdaj", required = true, nillable = true)
    protected AdresaDorucovaciStavType adresaDorucovaciUdaj;
    @XmlElement(name = "ProvozniUdaje", required = true)
    protected UdajeZmenyType provozniUdaje;

    /**
     * Gets the value of the adresaDorucovaciUdaj property.
     * 
     * @return
     *     possible object is
     *     {@link AdresaDorucovaciStavType }
     *     
     */
    public AdresaDorucovaciStavType getAdresaDorucovaciUdaj() {
        return adresaDorucovaciUdaj;
    }

    /**
     * Sets the value of the adresaDorucovaciUdaj property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdresaDorucovaciStavType }
     *     
     */
    public void setAdresaDorucovaciUdaj(AdresaDorucovaciStavType value) {
        this.adresaDorucovaciUdaj = value;
    }

    /**
     * Gets the value of the provozniUdaje property.
     * 
     * @return
     *     possible object is
     *     {@link UdajeZmenyType }
     *     
     */
    public UdajeZmenyType getProvozniUdaje() {
        return provozniUdaje;
    }

    /**
     * Sets the value of the provozniUdaje property.
     * 
     * @param value
     *     allowed object is
     *     {@link UdajeZmenyType }
     *     
     */
    public void setProvozniUdaje(UdajeZmenyType value) {
        this.provozniUdaje = value;
    }

}
