
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.roseditacetypy.v1.DatovaSchrankaStavType;
import cz.isvs.ros.schemas.rostypy.v2.UdajeZmenyType;


/**
 * 
 *                 Datová schránka v odpovědi z ROS včetně stavu a provozních údajů o poslední změně. 
 *             
 * 
 * <p>Java class for DatovaSchrankaResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DatovaSchrankaResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="DatovaSchrankaUdaj" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}DatovaSchrankaStavType"/&gt;
 *         &lt;element name="ProvozniUdaje" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}UdajeZmenyType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DatovaSchrankaResponseType", propOrder = {
    "datovaSchrankaUdaj",
    "provozniUdaje"
})
public class DatovaSchrankaResponseType {

    @XmlElement(name = "DatovaSchrankaUdaj", required = true)
    protected DatovaSchrankaStavType datovaSchrankaUdaj;
    @XmlElement(name = "ProvozniUdaje", required = true)
    protected UdajeZmenyType provozniUdaje;

    /**
     * Gets the value of the datovaSchrankaUdaj property.
     * 
     * @return
     *     possible object is
     *     {@link DatovaSchrankaStavType }
     *     
     */
    public DatovaSchrankaStavType getDatovaSchrankaUdaj() {
        return datovaSchrankaUdaj;
    }

    /**
     * Sets the value of the datovaSchrankaUdaj property.
     * 
     * @param value
     *     allowed object is
     *     {@link DatovaSchrankaStavType }
     *     
     */
    public void setDatovaSchrankaUdaj(DatovaSchrankaStavType value) {
        this.datovaSchrankaUdaj = value;
    }

    /**
     * Gets the value of the provozniUdaje property.
     * 
     * @return
     *     possible object is
     *     {@link UdajeZmenyType }
     *     
     */
    public UdajeZmenyType getProvozniUdaje() {
        return provozniUdaje;
    }

    /**
     * Sets the value of the provozniUdaje property.
     * 
     * @param value
     *     allowed object is
     *     {@link UdajeZmenyType }
     *     
     */
    public void setProvozniUdaje(UdajeZmenyType value) {
        this.provozniUdaje = value;
    }

}
