
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.roseditacetypy.v1.FoStavType;
import cz.isvs.ros.schemas.rostypy.v2.UdajeZmenyType;


/**
 * 
 *                 Fyzická osoba (obyvatel) s vazbou na statutární orgán nebo osobu v odpovědi z ROS 
 *                 včetně stavu jednotlivých údajů a provozních údajů o poslední změně.
 *             
 * 
 * <p>Java class for FoResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="FoResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}FoStavType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="ProvozniUdaje" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}UdajeZmenyType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FoResponseType", propOrder = {
    "provozniUdaje"
})
public class FoResponseType
    extends FoStavType
{

    @XmlElement(name = "ProvozniUdaje", required = true)
    protected UdajeZmenyType provozniUdaje;

    /**
     * Gets the value of the provozniUdaje property.
     * 
     * @return
     *     possible object is
     *     {@link UdajeZmenyType }
     *     
     */
    public UdajeZmenyType getProvozniUdaje() {
        return provozniUdaje;
    }

    /**
     * Sets the value of the provozniUdaje property.
     * 
     * @param value
     *     allowed object is
     *     {@link UdajeZmenyType }
     *     
     */
    public void setProvozniUdaje(UdajeZmenyType value) {
        this.provozniUdaje = value;
    }

}
