
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.rostypy.v2.AdresaType;


/**
 * 
 *                 Fyzická osoba (obyvatel) textem s adresou pobytu fyzické osoby (obyvatele) v ČR
 *                 v statutárním orgánu pro vyhledávání podle libovolného údaje službou S07.
 *             
 * 
 * <p>Java class for FoTextemPobytFiltrType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="FoTextemPobytFiltrType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="FoTextem" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}FoTextemType" minOccurs="0"/&gt;
 *         &lt;element name="AdresaPobytu" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}AdresaType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FoTextemPobytFiltrType", propOrder = {
    "foTextem",
    "adresaPobytu"
})
@XmlSeeAlso({
    FoTextemPobytFiltr2Type.class
})
public class FoTextemPobytFiltrType {

    @XmlElement(name = "FoTextem")
    protected String foTextem;
    @XmlElement(name = "AdresaPobytu")
    protected AdresaType adresaPobytu;

    /**
     * Gets the value of the foTextem property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFoTextem() {
        return foTextem;
    }

    /**
     * Sets the value of the foTextem property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFoTextem(String value) {
        this.foTextem = value;
    }

    /**
     * Gets the value of the adresaPobytu property.
     * 
     * @return
     *     possible object is
     *     {@link AdresaType }
     *     
     */
    public AdresaType getAdresaPobytu() {
        return adresaPobytu;
    }

    /**
     * Sets the value of the adresaPobytu property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdresaType }
     *     
     */
    public void setAdresaPobytu(AdresaType value) {
        this.adresaPobytu = value;
    }

}
