
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.roseditacetypy.v1.InsolvencniSpravciStav2Type;
import cz.isvs.ros.schemas.rostypy.v2.FoStav2Type;


/**
 * 
 *                 Fyzická osoba (podnikatel) v odpovědi z ROS včetně stavu jednotlivých údajů a násobnosti angažovaných osob  - 2. verze služeb.
 *                 Jednotlivé údaje osoby jsou nepovinné (služby S31, S32, S33, S34 mají možnost na vstupu vybírat 
 *                 požadované údaje).                
 *             
 * 
 * <p>Java class for FyzickaOsobaStavResponse2Type complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="FyzickaOsobaStavResponse2Type"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}OsobaHrStavResponseAbstract2Type"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="KontaktniUdaje" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}KontaktniUdajeStavType" minOccurs="0"/&gt;
 *         &lt;element name="OsobyAgendy" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}OsobyAgendyHrStavResponse2Type" minOccurs="0"/&gt;
 *         &lt;element name="Fo" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}FoStav2Type" minOccurs="0"/&gt;
 *         &lt;element name="InsolvencniSpravci" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}InsolvencniSpravciStav2Type" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FyzickaOsobaStavResponse2Type", propOrder = {
    "kontaktniUdaje",
    "osobyAgendy",
    "fo",
    "insolvencniSpravci"
})
public class FyzickaOsobaStavResponse2Type
    extends OsobaHrStavResponseAbstract2Type
{

    @XmlElement(name = "KontaktniUdaje")
    protected KontaktniUdajeStavType kontaktniUdaje;
    @XmlElement(name = "OsobyAgendy")
    protected OsobyAgendyHrStavResponse2Type osobyAgendy;
    @XmlElement(name = "Fo")
    protected FoStav2Type fo;
    @XmlElement(name = "InsolvencniSpravci")
    protected InsolvencniSpravciStav2Type insolvencniSpravci;

    /**
     * Gets the value of the kontaktniUdaje property.
     * 
     * @return
     *     possible object is
     *     {@link KontaktniUdajeStavType }
     *     
     */
    public KontaktniUdajeStavType getKontaktniUdaje() {
        return kontaktniUdaje;
    }

    /**
     * Sets the value of the kontaktniUdaje property.
     * 
     * @param value
     *     allowed object is
     *     {@link KontaktniUdajeStavType }
     *     
     */
    public void setKontaktniUdaje(KontaktniUdajeStavType value) {
        this.kontaktniUdaje = value;
    }

    /**
     * Gets the value of the osobyAgendy property.
     * 
     * @return
     *     possible object is
     *     {@link OsobyAgendyHrStavResponse2Type }
     *     
     */
    public OsobyAgendyHrStavResponse2Type getOsobyAgendy() {
        return osobyAgendy;
    }

    /**
     * Sets the value of the osobyAgendy property.
     * 
     * @param value
     *     allowed object is
     *     {@link OsobyAgendyHrStavResponse2Type }
     *     
     */
    public void setOsobyAgendy(OsobyAgendyHrStavResponse2Type value) {
        this.osobyAgendy = value;
    }

    /**
     * Gets the value of the fo property.
     * 
     * @return
     *     possible object is
     *     {@link FoStav2Type }
     *     
     */
    public FoStav2Type getFo() {
        return fo;
    }

    /**
     * Sets the value of the fo property.
     * 
     * @param value
     *     allowed object is
     *     {@link FoStav2Type }
     *     
     */
    public void setFo(FoStav2Type value) {
        this.fo = value;
    }

    /**
     * Gets the value of the insolvencniSpravci property.
     * 
     * @return
     *     possible object is
     *     {@link InsolvencniSpravciStav2Type }
     *     
     */
    public InsolvencniSpravciStav2Type getInsolvencniSpravci() {
        return insolvencniSpravci;
    }

    /**
     * Sets the value of the insolvencniSpravci property.
     * 
     * @param value
     *     allowed object is
     *     {@link InsolvencniSpravciStav2Type }
     *     
     */
    public void setInsolvencniSpravci(InsolvencniSpravciStav2Type value) {
        this.insolvencniSpravci = value;
    }

}
