
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.roseditacetypy.v1.LikvidatorStavType;
import cz.isvs.ros.schemas.rostypy.v2.UdajeZmenyType;


/**
 * 
 *                 Likvidátor v odpovědi z ROS včetně stavu a provozních údajů o poslední změně.
 *             
 * 
 * <p>Java class for LikvidatorResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="LikvidatorResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="LikvidatorUdaj" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}LikvidatorStavType" minOccurs="0"/&gt;
 *         &lt;element name="ProvozniUdaje" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}UdajeZmenyType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "LikvidatorResponseType", propOrder = {
    "likvidatorUdaj",
    "provozniUdaje"
})
public class LikvidatorResponseType {

    @XmlElement(name = "LikvidatorUdaj", nillable = true)
    protected LikvidatorStavType likvidatorUdaj;
    @XmlElement(name = "ProvozniUdaje", required = true)
    protected UdajeZmenyType provozniUdaje;

    /**
     * Gets the value of the likvidatorUdaj property.
     * 
     * @return
     *     possible object is
     *     {@link LikvidatorStavType }
     *     
     */
    public LikvidatorStavType getLikvidatorUdaj() {
        return likvidatorUdaj;
    }

    /**
     * Sets the value of the likvidatorUdaj property.
     * 
     * @param value
     *     allowed object is
     *     {@link LikvidatorStavType }
     *     
     */
    public void setLikvidatorUdaj(LikvidatorStavType value) {
        this.likvidatorUdaj = value;
    }

    /**
     * Gets the value of the provozniUdaje property.
     * 
     * @return
     *     possible object is
     *     {@link UdajeZmenyType }
     *     
     */
    public UdajeZmenyType getProvozniUdaje() {
        return provozniUdaje;
    }

    /**
     * Sets the value of the provozniUdaje property.
     * 
     * @param value
     *     allowed object is
     *     {@link UdajeZmenyType }
     *     
     */
    public void setProvozniUdaje(UdajeZmenyType value) {
        this.provozniUdaje = value;
    }

}
