
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.rostypy.v2.StavRosType;


/**
 * 
 *                 Právní forma v odpovědi z ROS včetně stavu.
 *             
 * 
 * <p>Java class for PravniFormaStavResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PravniFormaStavResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="KodPravniFormy" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}KodPravniFormyType"/&gt;
 *         &lt;element name="NazevPravniFormy" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}NazevPravniFormyType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="stav"&gt;
 *         &lt;simpleType&gt;
 *           &lt;restriction base="{urn:cz:isvs:ros:schemas:RosTypy:v2}StavRosType"&gt;
 *             &lt;enumeration value="spravny"/&gt;
 *             &lt;enumeration value="nespravny"/&gt;
 *           &lt;/restriction&gt;
 *         &lt;/simpleType&gt;
 *       &lt;/attribute&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PravniFormaStavResponseType", propOrder = {
    "kodPravniFormy",
    "nazevPravniFormy"
})
@XmlSeeAlso({
    PravniFormaResponseType.class
})
public class PravniFormaStavResponseType {

    @XmlElement(name = "KodPravniFormy")
    protected int kodPravniFormy;
    @XmlElement(name = "NazevPravniFormy")
    protected String nazevPravniFormy;
    @XmlAttribute(name = "stav")
    protected StavRosType stav;

    /**
     * Gets the value of the kodPravniFormy property.
     * 
     */
    public int getKodPravniFormy() {
        return kodPravniFormy;
    }

    /**
     * Sets the value of the kodPravniFormy property.
     * 
     */
    public void setKodPravniFormy(int value) {
        this.kodPravniFormy = value;
    }

    /**
     * Gets the value of the nazevPravniFormy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNazevPravniFormy() {
        return nazevPravniFormy;
    }

    /**
     * Sets the value of the nazevPravniFormy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNazevPravniFormy(String value) {
        this.nazevPravniFormy = value;
    }

    /**
     * Gets the value of the stav property.
     * 
     * @return
     *     possible object is
     *     {@link StavRosType }
     *     
     */
    public StavRosType getStav() {
        return stav;
    }

    /**
     * Sets the value of the stav property.
     * 
     * @param value
     *     allowed object is
     *     {@link StavRosType }
     *     
     */
    public void setStav(StavRosType value) {
        this.stav = value;
    }

}
