
package cz.isvs.ros.schemas.roseditacetypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;


/**
 * 
 *                 Společný předek pro fyzickou a právnickou osobu v editačním dotazu (pouze vložení) do ROS včetně stavu
 *                 jednotlivých údajů.
 *             
 * 
 * <p>Java class for OsobaStavAbstractType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OsobaStavAbstractType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Ico" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IcoType"/&gt;
 *         &lt;element name="IcoKontrola" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}IcoKontrolaType" minOccurs="0"/&gt;
 *         &lt;element name="NazevOsoby" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}NazevOsobyStavType"/&gt;
 *         &lt;element name="KodPravniFormy" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}KodPravniFormyStavType"/&gt;
 *         &lt;element name="DatumVznikuOpravneni" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}DatumVznikuOpravneniStavType"/&gt;
 *         &lt;element name="DatumZanikuOpravneni" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}DatumZanikuOpravneniStavType" minOccurs="0"/&gt;
 *         &lt;element name="AdresaSidla" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}AdresaStavType"/&gt;
 *         &lt;element name="PozastaveniPreruseni" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}PozastaveniPreruseniStavType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OsobaStavAbstractType", propOrder = {
    "ico",
    "icoKontrola",
    "nazevOsoby",
    "kodPravniFormy",
    "datumVznikuOpravneni",
    "datumZanikuOpravneni",
    "adresaSidla",
    "pozastaveniPreruseni"
})
@XmlSeeAlso({
    OsobaStavAbstract2Type.class
})
public abstract class OsobaStavAbstractType {

    @XmlElement(name = "Ico")
    protected int ico;
    @XmlElement(name = "IcoKontrola")
    protected byte[] icoKontrola;
    @XmlElement(name = "NazevOsoby", required = true)
    protected NazevOsobyStavType nazevOsoby;
    @XmlElement(name = "KodPravniFormy", required = true)
    protected KodPravniFormyStavType kodPravniFormy;
    @XmlElement(name = "DatumVznikuOpravneni", required = true)
    protected DatumVznikuOpravneniStavType datumVznikuOpravneni;
    @XmlElement(name = "DatumZanikuOpravneni")
    protected DatumZanikuOpravneniStavType datumZanikuOpravneni;
    @XmlElement(name = "AdresaSidla", required = true)
    protected AdresaStavType adresaSidla;
    @XmlElement(name = "PozastaveniPreruseni")
    protected PozastaveniPreruseniStavType pozastaveniPreruseni;

    /**
     * Gets the value of the ico property.
     * 
     */
    public int getIco() {
        return ico;
    }

    /**
     * Sets the value of the ico property.
     * 
     */
    public void setIco(int value) {
        this.ico = value;
    }

    /**
     * Gets the value of the icoKontrola property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getIcoKontrola() {
        return icoKontrola;
    }

    /**
     * Sets the value of the icoKontrola property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setIcoKontrola(byte[] value) {
        this.icoKontrola = value;
    }

    /**
     * Gets the value of the nazevOsoby property.
     * 
     * @return
     *     possible object is
     *     {@link NazevOsobyStavType }
     *     
     */
    public NazevOsobyStavType getNazevOsoby() {
        return nazevOsoby;
    }

    /**
     * Sets the value of the nazevOsoby property.
     * 
     * @param value
     *     allowed object is
     *     {@link NazevOsobyStavType }
     *     
     */
    public void setNazevOsoby(NazevOsobyStavType value) {
        this.nazevOsoby = value;
    }

    /**
     * Gets the value of the kodPravniFormy property.
     * 
     * @return
     *     possible object is
     *     {@link KodPravniFormyStavType }
     *     
     */
    public KodPravniFormyStavType getKodPravniFormy() {
        return kodPravniFormy;
    }

    /**
     * Sets the value of the kodPravniFormy property.
     * 
     * @param value
     *     allowed object is
     *     {@link KodPravniFormyStavType }
     *     
     */
    public void setKodPravniFormy(KodPravniFormyStavType value) {
        this.kodPravniFormy = value;
    }

    /**
     * Gets the value of the datumVznikuOpravneni property.
     * 
     * @return
     *     possible object is
     *     {@link DatumVznikuOpravneniStavType }
     *     
     */
    public DatumVznikuOpravneniStavType getDatumVznikuOpravneni() {
        return datumVznikuOpravneni;
    }

    /**
     * Sets the value of the datumVznikuOpravneni property.
     * 
     * @param value
     *     allowed object is
     *     {@link DatumVznikuOpravneniStavType }
     *     
     */
    public void setDatumVznikuOpravneni(DatumVznikuOpravneniStavType value) {
        this.datumVznikuOpravneni = value;
    }

    /**
     * Gets the value of the datumZanikuOpravneni property.
     * 
     * @return
     *     possible object is
     *     {@link DatumZanikuOpravneniStavType }
     *     
     */
    public DatumZanikuOpravneniStavType getDatumZanikuOpravneni() {
        return datumZanikuOpravneni;
    }

    /**
     * Sets the value of the datumZanikuOpravneni property.
     * 
     * @param value
     *     allowed object is
     *     {@link DatumZanikuOpravneniStavType }
     *     
     */
    public void setDatumZanikuOpravneni(DatumZanikuOpravneniStavType value) {
        this.datumZanikuOpravneni = value;
    }

    /**
     * Gets the value of the adresaSidla property.
     * 
     * @return
     *     possible object is
     *     {@link AdresaStavType }
     *     
     */
    public AdresaStavType getAdresaSidla() {
        return adresaSidla;
    }

    /**
     * Sets the value of the adresaSidla property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdresaStavType }
     *     
     */
    public void setAdresaSidla(AdresaStavType value) {
        this.adresaSidla = value;
    }

    /**
     * Gets the value of the pozastaveniPreruseni property.
     * 
     * @return
     *     possible object is
     *     {@link PozastaveniPreruseniStavType }
     *     
     */
    public PozastaveniPreruseniStavType getPozastaveniPreruseni() {
        return pozastaveniPreruseni;
    }

    /**
     * Sets the value of the pozastaveniPreruseni property.
     * 
     * @param value
     *     allowed object is
     *     {@link PozastaveniPreruseniStavType }
     *     
     */
    public void setPozastaveniPreruseni(PozastaveniPreruseniStavType value) {
        this.pozastaveniPreruseni = value;
    }

}
