
package cz.isvs.ros.schemas.rostypy.v2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;


/**
 * 
 *                 Fyzická osoba textem a adresa místa pobytu fyzické osoby v ČR v ROS.
 *             
 * 
 * <p>Java class for FoTextemPobytType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="FoTextemPobytType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="FoTextem" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}FoTextemType"/&gt;
 *         &lt;element name="AdresaPobytu" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}AdresaType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FoTextemPobytType", propOrder = {
    "foTextem",
    "adresaPobytu"
})
@XmlSeeAlso({
    FoTextemPobyt2Type.class,
    FoTextemPobytStav2Type.class
})
public class FoTextemPobytType {

    @XmlElement(name = "FoTextem", required = true)
    protected String foTextem;
    @XmlElement(name = "AdresaPobytu", required = true)
    protected AdresaType adresaPobytu;

    /**
     * Gets the value of the foTextem property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFoTextem() {
        return foTextem;
    }

    /**
     * Sets the value of the foTextem property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFoTextem(String value) {
        this.foTextem = value;
    }

    /**
     * Gets the value of the adresaPobytu property.
     * 
     * @return
     *     possible object is
     *     {@link AdresaType }
     *     
     */
    public AdresaType getAdresaPobytu() {
        return adresaPobytu;
    }

    /**
     * Sets the value of the adresaPobytu property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdresaType }
     *     
     */
    public void setAdresaPobytu(AdresaType value) {
        this.adresaPobytu = value;
    }

}
