
package cz.isvs.ros.schemas.rostypy.v2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.LokalniAifoType;


/**
 * 
 *                 Název osoby nebo AIFO nebo jméno textem s adresou pobytu v žádosti o přidělení IČO.
 *             
 * 
 * <p>Java class for UdajeZadostiIcoType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="UdajeZadostiIcoType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;choice&gt;
 *           &lt;element name="NazevOsoby" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}NazevOsobyType"/&gt;
 *           &lt;element name="Aifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniAifoType"/&gt;
 *           &lt;element name="FoTextemPobyt" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}FoTextemPobytType"/&gt;
 *         &lt;/choice&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UdajeZadostiIcoType", propOrder = {
    "nazevOsoby",
    "aifo",
    "foTextemPobyt"
})
@XmlSeeAlso({
    UdajeZadostiIcoResponseType.class
})
public class UdajeZadostiIcoType {

    @XmlElement(name = "NazevOsoby")
    protected String nazevOsoby;
    @XmlElement(name = "Aifo")
    protected LokalniAifoType aifo;
    @XmlElement(name = "FoTextemPobyt")
    protected FoTextemPobytType foTextemPobyt;

    /**
     * Gets the value of the nazevOsoby property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNazevOsoby() {
        return nazevOsoby;
    }

    /**
     * Sets the value of the nazevOsoby property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNazevOsoby(String value) {
        this.nazevOsoby = value;
    }

    /**
     * Gets the value of the aifo property.
     * 
     * @return
     *     possible object is
     *     {@link LokalniAifoType }
     *     
     */
    public LokalniAifoType getAifo() {
        return aifo;
    }

    /**
     * Sets the value of the aifo property.
     * 
     * @param value
     *     allowed object is
     *     {@link LokalniAifoType }
     *     
     */
    public void setAifo(LokalniAifoType value) {
        this.aifo = value;
    }

    /**
     * Gets the value of the foTextemPobyt property.
     * 
     * @return
     *     possible object is
     *     {@link FoTextemPobytType }
     *     
     */
    public FoTextemPobytType getFoTextemPobyt() {
        return foTextemPobyt;
    }

    /**
     * Sets the value of the foTextemPobyt property.
     * 
     * @param value
     *     allowed object is
     *     {@link FoTextemPobytType }
     *     
     */
    public void setFoTextemPobyt(FoTextemPobytType value) {
        this.foTextemPobyt = value;
    }

}
