
package cz.isvs.ruian.schemas.ctiprorob.v1;

import jakarta.xml.bind.JAXBElement;
import jakarta.xml.bind.annotation.XmlElementDecl;
import jakarta.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the cz.isvs.ruian.schemas.ctiprorob.v1 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _CtiProRobRequest_QNAME = new QName("urn:cz:isvs:ruian:schemas:CtiProRob:v1", "CtiProRobRequest");
    private final static QName _CtiProRobResponse_QNAME = new QName("urn:cz:isvs:ruian:schemas:CtiProRob:v1", "CtiProRobResponse");
    private final static QName _SeznamAdres_QNAME = new QName("urn:cz:isvs:ruian:schemas:CtiProRob:v1", "SeznamAdres");
    private final static QName _SeznamLokalit_QNAME = new QName("urn:cz:isvs:ruian:schemas:CtiProRob:v1", "SeznamLokalit");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: cz.isvs.ruian.schemas.ctiprorob.v1
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link CtiProRobRequestType }
     * 
     */
    public CtiProRobRequestType createCtiProRobRequestType() {
        return new CtiProRobRequestType();
    }

    /**
     * Create an instance of {@link CtiProRobResponseType }
     * 
     */
    public CtiProRobResponseType createCtiProRobResponseType() {
        return new CtiProRobResponseType();
    }

    /**
     * Create an instance of {@link SeznamAdresType }
     * 
     */
    public SeznamAdresType createSeznamAdresType() {
        return new SeznamAdresType();
    }

    /**
     * Create an instance of {@link SeznamLokalitType }
     * 
     */
    public SeznamLokalitType createSeznamLokalitType() {
        return new SeznamLokalitType();
    }

    /**
     * Create an instance of {@link CtiProRobDotazType }
     * 
     */
    public CtiProRobDotazType createCtiProRobDotazType() {
        return new CtiProRobDotazType();
    }

    /**
     * Create an instance of {@link CtiProRobOdpovedType }
     * 
     */
    public CtiProRobOdpovedType createCtiProRobOdpovedType() {
        return new CtiProRobOdpovedType();
    }

    /**
     * Create an instance of {@link LokalitaType }
     * 
     */
    public LokalitaType createLokalitaType() {
        return new LokalitaType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CtiProRobRequestType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link CtiProRobRequestType }{@code >}
     */
    @XmlElementDecl(namespace = "urn:cz:isvs:ruian:schemas:CtiProRob:v1", name = "CtiProRobRequest")
    public JAXBElement<CtiProRobRequestType> createCtiProRobRequest(CtiProRobRequestType value) {
        return new JAXBElement<CtiProRobRequestType>(_CtiProRobRequest_QNAME, CtiProRobRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CtiProRobResponseType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link CtiProRobResponseType }{@code >}
     */
    @XmlElementDecl(namespace = "urn:cz:isvs:ruian:schemas:CtiProRob:v1", name = "CtiProRobResponse")
    public JAXBElement<CtiProRobResponseType> createCtiProRobResponse(CtiProRobResponseType value) {
        return new JAXBElement<CtiProRobResponseType>(_CtiProRobResponse_QNAME, CtiProRobResponseType.class, null, value);
    }

}
