
package cz.isvs.iszr.schemas.iszrabstract.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.MapaAifoType;
import cz.isvs.reg.schemas.regtypy.v1.SeznamIcoType;
import cz.isvs.reg.schemas.regtypy.v1.SeznamPrvkuType;


/**
 * Univerzální odpověd na žádost se seznamem AIFO, seznamem ICO a seznamem prvku RUIAN, obálka pro data.
 * 
 * <p>Java class for IszrOdpovedAifoIcoPrvekAbstractType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="IszrOdpovedAifoIcoPrvekAbstractType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:iszr:schemas:IszrAbstract:v1}IszrOdpovedAbstractType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="MapaAifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}MapaAifoType" minOccurs="0"/&gt;
 *         &lt;element name="SeznamIco" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}SeznamIcoType" minOccurs="0"/&gt;
 *         &lt;element name="SeznamPrvku" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}SeznamPrvkuType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IszrOdpovedAifoIcoPrvekAbstractType", propOrder = {
    "mapaAifo",
    "seznamIco",
    "seznamPrvku"
})
public abstract class IszrOdpovedAifoIcoPrvekAbstractType
    extends IszrOdpovedAbstractType
{

    @XmlElement(name = "MapaAifo")
    protected MapaAifoType mapaAifo;
    @XmlElement(name = "SeznamIco")
    protected SeznamIcoType seznamIco;
    @XmlElement(name = "SeznamPrvku")
    protected SeznamPrvkuType seznamPrvku;

    /**
     * Gets the value of the mapaAifo property.
     * 
     * @return
     *     possible object is
     *     {@link MapaAifoType }
     *     
     */
    public MapaAifoType getMapaAifo() {
        return mapaAifo;
    }

    /**
     * Sets the value of the mapaAifo property.
     * 
     * @param value
     *     allowed object is
     *     {@link MapaAifoType }
     *     
     */
    public void setMapaAifo(MapaAifoType value) {
        this.mapaAifo = value;
    }

    /**
     * Gets the value of the seznamIco property.
     * 
     * @return
     *     possible object is
     *     {@link SeznamIcoType }
     *     
     */
    public SeznamIcoType getSeznamIco() {
        return seznamIco;
    }

    /**
     * Sets the value of the seznamIco property.
     * 
     * @param value
     *     allowed object is
     *     {@link SeznamIcoType }
     *     
     */
    public void setSeznamIco(SeznamIcoType value) {
        this.seznamIco = value;
    }

    /**
     * Gets the value of the seznamPrvku property.
     * 
     * @return
     *     possible object is
     *     {@link SeznamPrvkuType }
     *     
     */
    public SeznamPrvkuType getSeznamPrvku() {
        return seznamPrvku;
    }

    /**
     * Sets the value of the seznamPrvku property.
     * 
     * @param value
     *     allowed object is
     *     {@link SeznamPrvkuType }
     *     
     */
    public void setSeznamPrvku(SeznamPrvkuType value) {
        this.seznamPrvku = value;
    }

}
