
package cz.isvs.iszr.schemas.iszrasyncvypisfronty.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.iszr.schemas.iszrabstract.v1.IszrZadostAsyncAbstractType;


/**
 * Dotaz na výpis fronty.
 * 
 * <p>Java class for IszrAsyncVypisFrontyType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="IszrAsyncVypisFrontyType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:iszr:schemas:IszrAbstract:v1}IszrZadostAsyncAbstractType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Zadost" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="IszrAsyncVypisFrontyData" type="{urn:cz:isvs:iszr:schemas:IszrAsyncVypisFronty:v1}OmezeniVypisuType"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IszrAsyncVypisFrontyType", propOrder = {
    "zadost"
})
public class IszrAsyncVypisFrontyType
    extends IszrZadostAsyncAbstractType
{

    @XmlElement(name = "Zadost")
    protected IszrAsyncVypisFrontyType.Zadost zadost;

    /**
     * Gets the value of the zadost property.
     * 
     * @return
     *     possible object is
     *     {@link IszrAsyncVypisFrontyType.Zadost }
     *     
     */
    public IszrAsyncVypisFrontyType.Zadost getZadost() {
        return zadost;
    }

    /**
     * Sets the value of the zadost property.
     * 
     * @param value
     *     allowed object is
     *     {@link IszrAsyncVypisFrontyType.Zadost }
     *     
     */
    public void setZadost(IszrAsyncVypisFrontyType.Zadost value) {
        this.zadost = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="IszrAsyncVypisFrontyData" type="{urn:cz:isvs:iszr:schemas:IszrAsyncVypisFronty:v1}OmezeniVypisuType"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "iszrAsyncVypisFrontyData"
    })
    public static class Zadost {

        @XmlElement(name = "IszrAsyncVypisFrontyData", required = true)
        protected OmezeniVypisuType iszrAsyncVypisFrontyData;

        /**
         * Gets the value of the iszrAsyncVypisFrontyData property.
         * 
         * @return
         *     possible object is
         *     {@link OmezeniVypisuType }
         *     
         */
        public OmezeniVypisuType getIszrAsyncVypisFrontyData() {
            return iszrAsyncVypisFrontyData;
        }

        /**
         * Sets the value of the iszrAsyncVypisFrontyData property.
         * 
         * @param value
         *     allowed object is
         *     {@link OmezeniVypisuType }
         *     
         */
        public void setIszrAsyncVypisFrontyData(OmezeniVypisuType value) {
            this.iszrAsyncVypisFrontyData = value;
        }

    }

}
