
package cz.isvs.org.schemas.orgtypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Obsahuje všechny potřebné informace pro výměnu šifrovacích knihoven.
 * 
 * <p>Java class for KnihovnaType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="KnihovnaType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="DllKnihovna" type="{urn:cz:isvs:org:schemas:OrgTypy:v1}DllKnihovnaType" minOccurs="0"/&gt;
 *         &lt;element name="CisloKnihovny" type="{urn:cz:isvs:org:schemas:OrgTypy:v1}PrirozeneCisloType"/&gt;
 *         &lt;element name="Platforma" type="{urn:cz:isvs:org:schemas:OrgTypy:v1}PlatformaType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "KnihovnaType", propOrder = {
    "dllKnihovna",
    "cisloKnihovny",
    "platforma"
})
public class KnihovnaType {

    @XmlElement(name = "DllKnihovna")
    protected DllKnihovnaType dllKnihovna;
    @XmlElement(name = "CisloKnihovny")
    protected int cisloKnihovny;
    @XmlElement(name = "Platforma", required = true)
    @XmlSchemaType(name = "string")
    protected PlatformaType platforma;

    /**
     * Gets the value of the dllKnihovna property.
     * 
     * @return
     *     possible object is
     *     {@link DllKnihovnaType }
     *     
     */
    public DllKnihovnaType getDllKnihovna() {
        return dllKnihovna;
    }

    /**
     * Sets the value of the dllKnihovna property.
     * 
     * @param value
     *     allowed object is
     *     {@link DllKnihovnaType }
     *     
     */
    public void setDllKnihovna(DllKnihovnaType value) {
        this.dllKnihovna = value;
    }

    /**
     * Gets the value of the cisloKnihovny property.
     * 
     */
    public int getCisloKnihovny() {
        return cisloKnihovny;
    }

    /**
     * Sets the value of the cisloKnihovny property.
     * 
     */
    public void setCisloKnihovny(int value) {
        this.cisloKnihovny = value;
    }

    /**
     * Gets the value of the platforma property.
     * 
     * @return
     *     possible object is
     *     {@link PlatformaType }
     *     
     */
    public PlatformaType getPlatforma() {
        return platforma;
    }

    /**
     * Sets the value of the platforma property.
     * 
     * @param value
     *     allowed object is
     *     {@link PlatformaType }
     *     
     */
    public void setPlatforma(PlatformaType value) {
        this.platforma = value;
    }

}
