
package cz.isvs.org.schemas.orgtypy.v1;

import jakarta.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the cz.isvs.org.schemas.orgtypy.v1 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: cz.isvs.org.schemas.orgtypy.v1
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link OrgVazbyType }
     * 
     */
    public OrgVazbyType createOrgVazbyType() {
        return new OrgVazbyType();
    }

    /**
     * Create an instance of {@link HranyType }
     * 
     */
    public HranyType createHranyType() {
        return new HranyType();
    }

    /**
     * Create an instance of {@link OrgStatusType }
     * 
     */
    public OrgStatusType createOrgStatusType() {
        return new OrgStatusType();
    }

    /**
     * Create an instance of {@link OrgDavkaType }
     * 
     */
    public OrgDavkaType createOrgDavkaType() {
        return new OrgDavkaType();
    }

    /**
     * Create an instance of {@link OrgSouboryType }
     * 
     */
    public OrgSouboryType createOrgSouboryType() {
        return new OrgSouboryType();
    }

    /**
     * Create an instance of {@link OrgAgendaAisType }
     * 
     */
    public OrgAgendaAisType createOrgAgendaAisType() {
        return new OrgAgendaAisType();
    }

    /**
     * Create an instance of {@link DllKnihovnaType }
     * 
     */
    public DllKnihovnaType createDllKnihovnaType() {
        return new DllKnihovnaType();
    }

    /**
     * Create an instance of {@link CertifikatType }
     * 
     */
    public CertifikatType createCertifikatType() {
        return new CertifikatType();
    }

    /**
     * Create an instance of {@link OrgSifrovaniType }
     * 
     */
    public OrgSifrovaniType createOrgSifrovaniType() {
        return new OrgSifrovaniType();
    }

    /**
     * Create an instance of {@link KnihovnaType }
     * 
     */
    public KnihovnaType createKnihovnaType() {
        return new KnihovnaType();
    }

    /**
     * Create an instance of {@link SeznamCertifikatuType }
     * 
     */
    public SeznamCertifikatuType createSeznamCertifikatuType() {
        return new SeznamCertifikatuType();
    }

    /**
     * Create an instance of {@link OrgAifoStatusType }
     * 
     */
    public OrgAifoStatusType createOrgAifoStatusType() {
        return new OrgAifoStatusType();
    }

    /**
     * Create an instance of {@link OrgOmezeniType }
     * 
     */
    public OrgOmezeniType createOrgOmezeniType() {
        return new OrgOmezeniType();
    }

    /**
     * Create an instance of {@link OrgFiltrVazbyType }
     * 
     */
    public OrgFiltrVazbyType createOrgFiltrVazbyType() {
        return new OrgFiltrVazbyType();
    }

    /**
     * Create an instance of {@link OrgSouborType }
     * 
     */
    public OrgSouborType createOrgSouborType() {
        return new OrgSouborType();
    }

    /**
     * Create an instance of {@link OrgVazbyType.Vazba }
     * 
     */
    public OrgVazbyType.Vazba createOrgVazbyTypeVazba() {
        return new OrgVazbyType.Vazba();
    }

    /**
     * Create an instance of {@link HranyType.Hrana }
     * 
     */
    public HranyType.Hrana createHranyTypeHrana() {
        return new HranyType.Hrana();
    }

}
