
package cz.isvs.org.schemas.orgtypy.v1;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for OrgAplikacniKodType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="OrgAplikacniKodType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="Cislo davky neni platne"/&gt;
 *     &lt;enumeration value="Nenalezeno vstupni AIFO "/&gt;
 *     &lt;enumeration value="Nenalezen AIS zadatele"/&gt;
 *     &lt;enumeration value="Nenalezena agenda zadatele"/&gt;
 *     &lt;enumeration value="AIS nezpracovava agendu"/&gt;
 *     &lt;enumeration value="Nenalezeno ID predchoziho pozadavku"/&gt;
 *     &lt;enumeration value="Nenalezeno cilove AIFO "/&gt;
 *     &lt;enumeration value="Nenalezen cilovy AIS"/&gt;
 *     &lt;enumeration value="Nenalezena cilova agenda"/&gt;
 *     &lt;enumeration value="Knihovna je zastarala"/&gt;
 *     &lt;enumeration value="Platnost knihovny se blizi konci"/&gt;
 *     &lt;enumeration value="Nelze desifrovat dynamizovane AIFO"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "OrgAplikacniKodType")
@XmlEnum
public enum OrgAplikacniKodType {

    @XmlEnumValue("Cislo davky neni platne")
    CISLO_DAVKY_NENI_PLATNE("Cislo davky neni platne"),
    @XmlEnumValue("Nenalezeno vstupni AIFO ")
    NENALEZENO_VSTUPNI_AIFO("Nenalezeno vstupni AIFO "),
    @XmlEnumValue("Nenalezen AIS zadatele")
    NENALEZEN_AIS_ZADATELE("Nenalezen AIS zadatele"),
    @XmlEnumValue("Nenalezena agenda zadatele")
    NENALEZENA_AGENDA_ZADATELE("Nenalezena agenda zadatele"),
    @XmlEnumValue("AIS nezpracovava agendu")
    AIS_NEZPRACOVAVA_AGENDU("AIS nezpracovava agendu"),
    @XmlEnumValue("Nenalezeno ID predchoziho pozadavku")
    NENALEZENO_ID_PREDCHOZIHO_POZADAVKU("Nenalezeno ID predchoziho pozadavku"),
    @XmlEnumValue("Nenalezeno cilove AIFO ")
    NENALEZENO_CILOVE_AIFO("Nenalezeno cilove AIFO "),
    @XmlEnumValue("Nenalezen cilovy AIS")
    NENALEZEN_CILOVY_AIS("Nenalezen cilovy AIS"),
    @XmlEnumValue("Nenalezena cilova agenda")
    NENALEZENA_CILOVA_AGENDA("Nenalezena cilova agenda"),
    @XmlEnumValue("Knihovna je zastarala")
    KNIHOVNA_JE_ZASTARALA("Knihovna je zastarala"),
    @XmlEnumValue("Platnost knihovny se blizi konci")
    PLATNOST_KNIHOVNY_SE_BLIZI_KONCI("Platnost knihovny se blizi konci"),
    @XmlEnumValue("Nelze desifrovat dynamizovane AIFO")
    NELZE_DESIFROVAT_DYNAMIZOVANE_AIFO("Nelze desifrovat dynamizovane AIFO");
    private final String value;

    OrgAplikacniKodType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static OrgAplikacniKodType fromValue(String v) {
        for (OrgAplikacniKodType c: OrgAplikacniKodType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
