
package cz.isvs.org.schemas.orgtypy.v1;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.CollapsedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import org.w3._2001.xmlschema.Adapter1;


/**
 * Vazby mezi skupinou, agendou a AIS doplněné o platnost, jak jsou evidovány v systému IS ORG.
 * 
 * <p>Java class for OrgVazbyType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OrgVazbyType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence maxOccurs="unbounded" minOccurs="0"&gt;
 *         &lt;element name="Vazba"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="Skupina" type="{urn:cz:isvs:org:schemas:OrgTypy:v1}IdSaType"/&gt;
 *                   &lt;element name="Agenda" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType"/&gt;
 *                   &lt;element name="AIS" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAisType"/&gt;
 *                   &lt;element name="PlatnostOd" type="{http://www.w3.org/2001/XMLSchema}dateTime"/&gt;
 *                   &lt;element name="PlatnostDo" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OrgVazbyType", propOrder = {
    "vazba"
})
public class OrgVazbyType {

    @XmlElement(name = "Vazba")
    protected List<OrgVazbyType.Vazba> vazba;

    /**
     * Gets the value of the vazba property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the vazba property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVazba().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link OrgVazbyType.Vazba }
     * 
     * 
     */
    public List<OrgVazbyType.Vazba> getVazba() {
        if (vazba == null) {
            vazba = new ArrayList<OrgVazbyType.Vazba>();
        }
        return this.vazba;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="Skupina" type="{urn:cz:isvs:org:schemas:OrgTypy:v1}IdSaType"/&gt;
     *         &lt;element name="Agenda" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType"/&gt;
     *         &lt;element name="AIS" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAisType"/&gt;
     *         &lt;element name="PlatnostOd" type="{http://www.w3.org/2001/XMLSchema}dateTime"/&gt;
     *         &lt;element name="PlatnostDo" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "skupina",
        "agenda",
        "ais",
        "platnostOd",
        "platnostDo"
    })
    public static class Vazba {

        @XmlElement(name = "Skupina")
        protected int skupina;
        @XmlElement(name = "Agenda", required = true)
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "NMTOKEN")
        protected String agenda;
        @XmlElement(name = "AIS")
        protected int ais;
        @XmlElement(name = "PlatnostOd", required = true, type = String.class)
        @XmlJavaTypeAdapter(Adapter1 .class)
        @XmlSchemaType(name = "dateTime")
        protected Calendar platnostOd;
        @XmlElement(name = "PlatnostDo", type = String.class)
        @XmlJavaTypeAdapter(Adapter1 .class)
        @XmlSchemaType(name = "dateTime")
        protected Calendar platnostDo;

        /**
         * Gets the value of the skupina property.
         * 
         */
        public int getSkupina() {
            return skupina;
        }

        /**
         * Sets the value of the skupina property.
         * 
         */
        public void setSkupina(int value) {
            this.skupina = value;
        }

        /**
         * Gets the value of the agenda property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getAgenda() {
            return agenda;
        }

        /**
         * Sets the value of the agenda property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setAgenda(String value) {
            this.agenda = value;
        }

        /**
         * Gets the value of the ais property.
         * 
         */
        public int getAIS() {
            return ais;
        }

        /**
         * Sets the value of the ais property.
         * 
         */
        public void setAIS(int value) {
            this.ais = value;
        }

        /**
         * Gets the value of the platnostOd property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public Calendar getPlatnostOd() {
            return platnostOd;
        }

        /**
         * Sets the value of the platnostOd property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setPlatnostOd(Calendar value) {
            this.platnostOd = value;
        }

        /**
         * Gets the value of the platnostDo property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public Calendar getPlatnostDo() {
            return platnostDo;
        }

        /**
         * Sets the value of the platnostDo property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setPlatnostDo(Calendar value) {
            this.platnostDo = value;
        }

    }

}
