
package cz.isvs.org.schemas.orgtypy.v1;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Seznam certifikátů obsahujících veřejný klíč, které se vztahují k jednomu AIS.
 * 
 * <p>Java class for SeznamCertifikatuType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SeznamCertifikatuType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence maxOccurs="unbounded"&gt;
 *         &lt;element name="Certifikat" type="{urn:cz:isvs:org:schemas:OrgTypy:v1}CertifikatType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SeznamCertifikatuType", propOrder = {
    "certifikat"
})
public class SeznamCertifikatuType {

    @XmlElement(name = "Certifikat", required = true)
    protected List<CertifikatType> certifikat;

    /**
     * Gets the value of the certifikat property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the certifikat property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCertifikat().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CertifikatType }
     * 
     * 
     */
    public List<CertifikatType> getCertifikat() {
        if (certifikat == null) {
            certifikat = new ArrayList<CertifikatType>();
        }
        return this.certifikat;
    }

}
