
package cz.isvs.reg.schemas.regtypy.v1;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.JAXBElement;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlElementRef;
import jakarta.xml.bind.annotation.XmlList;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Společná hlavička autorizačních omezení, k roli předává RPP.
 * 
 * <p>Java class for AutorizaceType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AutorizaceType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="MaximalniPocetZaznamu" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}MaximalniPocetType" minOccurs="0"/&gt;
 *         &lt;element name="SeznamUdaju"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="RobSeznamUdaju" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RobSeznamUdajuType" minOccurs="0"/&gt;
 *                   &lt;element name="RosSeznamUdaju" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RosSeznamUdajuType" minOccurs="0"/&gt;
 *                   &lt;element name="RppSeznamUdajuAgendy" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RppSeznamUdajuAgendyType" minOccurs="0"/&gt;
 *                   &lt;element name="RppSeznamUdajuPrava" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RppSeznamUdajuPravaType" minOccurs="0"/&gt;
 *                   &lt;element name="RppSeznamUdajuOvm" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RppSeznamUdajuOvmType" minOccurs="0"/&gt;
 *                   &lt;element name="RppSeznamUdajuSpuu" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RppSeznamUdajuSpuuType" minOccurs="0"/&gt;
 *                   &lt;element ref="{urn:cz:isvs:reg:schemas:RegTypy:v1}AisSeznamUdajuAbstract" minOccurs="0"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AutorizaceType", propOrder = {
    "maximalniPocetZaznamu",
    "seznamUdaju"
})
public class AutorizaceType {

    @XmlElement(name = "MaximalniPocetZaznamu")
    protected Integer maximalniPocetZaznamu;
    @XmlElement(name = "SeznamUdaju", required = true)
    protected AutorizaceType.SeznamUdaju seznamUdaju;

    /**
     * Gets the value of the maximalniPocetZaznamu property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getMaximalniPocetZaznamu() {
        return maximalniPocetZaznamu;
    }

    /**
     * Sets the value of the maximalniPocetZaznamu property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setMaximalniPocetZaznamu(Integer value) {
        this.maximalniPocetZaznamu = value;
    }

    /**
     * Gets the value of the seznamUdaju property.
     * 
     * @return
     *     possible object is
     *     {@link AutorizaceType.SeznamUdaju }
     *     
     */
    public AutorizaceType.SeznamUdaju getSeznamUdaju() {
        return seznamUdaju;
    }

    /**
     * Sets the value of the seznamUdaju property.
     * 
     * @param value
     *     allowed object is
     *     {@link AutorizaceType.SeznamUdaju }
     *     
     */
    public void setSeznamUdaju(AutorizaceType.SeznamUdaju value) {
        this.seznamUdaju = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="RobSeznamUdaju" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RobSeznamUdajuType" minOccurs="0"/&gt;
     *         &lt;element name="RosSeznamUdaju" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RosSeznamUdajuType" minOccurs="0"/&gt;
     *         &lt;element name="RppSeznamUdajuAgendy" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RppSeznamUdajuAgendyType" minOccurs="0"/&gt;
     *         &lt;element name="RppSeznamUdajuPrava" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RppSeznamUdajuPravaType" minOccurs="0"/&gt;
     *         &lt;element name="RppSeznamUdajuOvm" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RppSeznamUdajuOvmType" minOccurs="0"/&gt;
     *         &lt;element name="RppSeznamUdajuSpuu" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RppSeznamUdajuSpuuType" minOccurs="0"/&gt;
     *         &lt;element ref="{urn:cz:isvs:reg:schemas:RegTypy:v1}AisSeznamUdajuAbstract" minOccurs="0"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "robSeznamUdaju",
        "rosSeznamUdaju",
        "rppSeznamUdajuAgendy",
        "rppSeznamUdajuPrava",
        "rppSeznamUdajuOvm",
        "rppSeznamUdajuSpuu",
        "aisSeznamUdajuAbstract"
    })
    public static class SeznamUdaju {

        @XmlList
        @XmlElement(name = "RobSeznamUdaju")
        protected List<RobUdajType> robSeznamUdaju;
        @XmlList
        @XmlElement(name = "RosSeznamUdaju")
        protected List<RosUdajType> rosSeznamUdaju;
        @XmlList
        @XmlElement(name = "RppSeznamUdajuAgendy")
        protected List<RppUdajAgendyType> rppSeznamUdajuAgendy;
        @XmlList
        @XmlElement(name = "RppSeznamUdajuPrava")
        protected List<RppUdajPravaType> rppSeznamUdajuPrava;
        @XmlList
        @XmlElement(name = "RppSeznamUdajuOvm")
        protected List<RppUdajOvmType> rppSeznamUdajuOvm;
        @XmlList
        @XmlElement(name = "RppSeznamUdajuSpuu")
        protected List<RppUdajSpuuType> rppSeznamUdajuSpuu;
        @XmlElementRef(name = "AisSeznamUdajuAbstract", namespace = "urn:cz:isvs:reg:schemas:RegTypy:v1", type = JAXBElement.class, required = false)
        protected JAXBElement<?> aisSeznamUdajuAbstract;

        /**
         * Gets the value of the robSeznamUdaju property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the robSeznamUdaju property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getRobSeznamUdaju().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link RobUdajType }
         * 
         * 
         */
        public List<RobUdajType> getRobSeznamUdaju() {
            if (robSeznamUdaju == null) {
                robSeznamUdaju = new ArrayList<RobUdajType>();
            }
            return this.robSeznamUdaju;
        }

        /**
         * Gets the value of the rosSeznamUdaju property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the rosSeznamUdaju property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getRosSeznamUdaju().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link RosUdajType }
         * 
         * 
         */
        public List<RosUdajType> getRosSeznamUdaju() {
            if (rosSeznamUdaju == null) {
                rosSeznamUdaju = new ArrayList<RosUdajType>();
            }
            return this.rosSeznamUdaju;
        }

        /**
         * Gets the value of the rppSeznamUdajuAgendy property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the rppSeznamUdajuAgendy property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getRppSeznamUdajuAgendy().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link RppUdajAgendyType }
         * 
         * 
         */
        public List<RppUdajAgendyType> getRppSeznamUdajuAgendy() {
            if (rppSeznamUdajuAgendy == null) {
                rppSeznamUdajuAgendy = new ArrayList<RppUdajAgendyType>();
            }
            return this.rppSeznamUdajuAgendy;
        }

        /**
         * Gets the value of the rppSeznamUdajuPrava property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the rppSeznamUdajuPrava property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getRppSeznamUdajuPrava().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link RppUdajPravaType }
         * 
         * 
         */
        public List<RppUdajPravaType> getRppSeznamUdajuPrava() {
            if (rppSeznamUdajuPrava == null) {
                rppSeznamUdajuPrava = new ArrayList<RppUdajPravaType>();
            }
            return this.rppSeznamUdajuPrava;
        }

        /**
         * Gets the value of the rppSeznamUdajuOvm property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the rppSeznamUdajuOvm property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getRppSeznamUdajuOvm().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link RppUdajOvmType }
         * 
         * 
         */
        public List<RppUdajOvmType> getRppSeznamUdajuOvm() {
            if (rppSeznamUdajuOvm == null) {
                rppSeznamUdajuOvm = new ArrayList<RppUdajOvmType>();
            }
            return this.rppSeznamUdajuOvm;
        }

        /**
         * Gets the value of the rppSeznamUdajuSpuu property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the rppSeznamUdajuSpuu property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getRppSeznamUdajuSpuu().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link RppUdajSpuuType }
         * 
         * 
         */
        public List<RppUdajSpuuType> getRppSeznamUdajuSpuu() {
            if (rppSeznamUdajuSpuu == null) {
                rppSeznamUdajuSpuu = new ArrayList<RppUdajSpuuType>();
            }
            return this.rppSeznamUdajuSpuu;
        }

        /**
         * Gets the value of the aisSeznamUdajuAbstract property.
         * 
         * @return
         *     possible object is
         *     {@link JAXBElement }{@code <}{@link List }{@code <}{@link String }{@code >}{@code >}
         *     {@link JAXBElement }{@code <}{@link Object }{@code >}
         *     
         */
        public JAXBElement<?> getAisSeznamUdajuAbstract() {
            return aisSeznamUdajuAbstract;
        }

        /**
         * Sets the value of the aisSeznamUdajuAbstract property.
         * 
         * @param value
         *     allowed object is
         *     {@link JAXBElement }{@code <}{@link List }{@code <}{@link String }{@code >}{@code >}
         *     {@link JAXBElement }{@code <}{@link Object }{@code >}
         *     
         */
        public void setAisSeznamUdajuAbstract(JAXBElement<?> value) {
            this.aisSeznamUdajuAbstract = value;
        }

    }

}
