
package cz.isvs.reg.schemas.regtypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.CollapsedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * Identifikátor prvku RUIAN včetně jeho typu.
 * 
 * <p>Java class for IdentifikatorRuianType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="IdentifikatorRuianType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="KodPrvku" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IdentifikatorType"/&gt;
 *         &lt;element name="TypPrvku" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}TypPrvkuRuianType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IdentifikatorRuianType", propOrder = {
    "kodPrvku",
    "typPrvku"
})
@XmlSeeAlso({
    cz.isvs.reg.schemas.regtypy.v1.SeznamPrvkuType.OdkazRuian.class
})
public class IdentifikatorRuianType {

    @XmlElement(name = "KodPrvku", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String kodPrvku;
    @XmlElement(name = "TypPrvku", required = true)
    @XmlSchemaType(name = "string")
    protected TypPrvkuRuianType typPrvku;

    /**
     * Gets the value of the kodPrvku property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getKodPrvku() {
        return kodPrvku;
    }

    /**
     * Sets the value of the kodPrvku property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setKodPrvku(String value) {
        this.kodPrvku = value;
    }

    /**
     * Gets the value of the typPrvku property.
     * 
     * @return
     *     possible object is
     *     {@link TypPrvkuRuianType }
     *     
     */
    public TypPrvkuRuianType getTypPrvku() {
        return typPrvku;
    }

    /**
     * Sets the value of the typPrvku property.
     * 
     * @param value
     *     allowed object is
     *     {@link TypPrvkuRuianType }
     *     
     */
    public void setTypPrvku(TypPrvkuRuianType value) {
        this.typPrvku = value;
    }

}
