
package cz.isvs.reg.schemas.regtypy.v1;

import java.util.Calendar;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import org.w3._2001.xmlschema.Adapter1;


/**
 * Probe - odpověď jednotlivého rozhraní využívaného ISZR (Základní registry, ORG, AISy).
 * 
 * <p>Java class for OdpovedRozhraniType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OdpovedRozhraniType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="ProbeStatus" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}ProbeStatusType"/&gt;
 *         &lt;element name="NazevRozhrani" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}RozhraniType"/&gt;
 *         &lt;element name="KodISVS" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAisType" minOccurs="0"/&gt;
 *         &lt;element name="Odpoved" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="CasVydejeOdpovedi" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}CasovaZnackaType"/&gt;
 *                   &lt;element name="StatusDat" type="{http://www.w3.org/2001/XMLSchema}boolean"/&gt;
 *                   &lt;element name="VariabilniInformace" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}VariabilniInformaceType"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OdpovedRozhraniType", propOrder = {
    "probeStatus",
    "nazevRozhrani",
    "kodISVS",
    "odpoved"
})
public class OdpovedRozhraniType {

    @XmlElement(name = "ProbeStatus", required = true)
    protected ProbeStatusType probeStatus;
    @XmlElement(name = "NazevRozhrani", required = true)
    protected String nazevRozhrani;
    @XmlElement(name = "KodISVS")
    protected Integer kodISVS;
    @XmlElement(name = "Odpoved")
    protected OdpovedRozhraniType.Odpoved odpoved;

    /**
     * Gets the value of the probeStatus property.
     * 
     * @return
     *     possible object is
     *     {@link ProbeStatusType }
     *     
     */
    public ProbeStatusType getProbeStatus() {
        return probeStatus;
    }

    /**
     * Sets the value of the probeStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProbeStatusType }
     *     
     */
    public void setProbeStatus(ProbeStatusType value) {
        this.probeStatus = value;
    }

    /**
     * Gets the value of the nazevRozhrani property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNazevRozhrani() {
        return nazevRozhrani;
    }

    /**
     * Sets the value of the nazevRozhrani property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNazevRozhrani(String value) {
        this.nazevRozhrani = value;
    }

    /**
     * Gets the value of the kodISVS property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getKodISVS() {
        return kodISVS;
    }

    /**
     * Sets the value of the kodISVS property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setKodISVS(Integer value) {
        this.kodISVS = value;
    }

    /**
     * Gets the value of the odpoved property.
     * 
     * @return
     *     possible object is
     *     {@link OdpovedRozhraniType.Odpoved }
     *     
     */
    public OdpovedRozhraniType.Odpoved getOdpoved() {
        return odpoved;
    }

    /**
     * Sets the value of the odpoved property.
     * 
     * @param value
     *     allowed object is
     *     {@link OdpovedRozhraniType.Odpoved }
     *     
     */
    public void setOdpoved(OdpovedRozhraniType.Odpoved value) {
        this.odpoved = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="CasVydejeOdpovedi" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}CasovaZnackaType"/&gt;
     *         &lt;element name="StatusDat" type="{http://www.w3.org/2001/XMLSchema}boolean"/&gt;
     *         &lt;element name="VariabilniInformace" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}VariabilniInformaceType"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "casVydejeOdpovedi",
        "statusDat",
        "variabilniInformace"
    })
    public static class Odpoved {

        @XmlElement(name = "CasVydejeOdpovedi", required = true, type = String.class)
        @XmlJavaTypeAdapter(Adapter1 .class)
        @XmlSchemaType(name = "dateTime")
        protected Calendar casVydejeOdpovedi;
        @XmlElement(name = "StatusDat")
        protected boolean statusDat;
        @XmlElement(name = "VariabilniInformace")
        protected long variabilniInformace;

        /**
         * Gets the value of the casVydejeOdpovedi property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public Calendar getCasVydejeOdpovedi() {
            return casVydejeOdpovedi;
        }

        /**
         * Sets the value of the casVydejeOdpovedi property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setCasVydejeOdpovedi(Calendar value) {
            this.casVydejeOdpovedi = value;
        }

        /**
         * Gets the value of the statusDat property.
         * 
         */
        public boolean isStatusDat() {
            return statusDat;
        }

        /**
         * Sets the value of the statusDat property.
         * 
         */
        public void setStatusDat(boolean value) {
            this.statusDat = value;
        }

        /**
         * Gets the value of the variabilniInformace property.
         * 
         */
        public long getVariabilniInformace() {
            return variabilniInformace;
        }

        /**
         * Sets the value of the variabilniInformace property.
         * 
         */
        public void setVariabilniInformace(long value) {
            this.variabilniInformace = value;
        }

    }

}
