
package cz.isvs.reg.schemas.regtypy.v1;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for RppUdajAgendyType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="RppUdajAgendyType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="NazevAgendy"/&gt;
 *     &lt;enumeration value="KodAgendy"/&gt;
 *     &lt;enumeration value="PravniPredpisAgendy"/&gt;
 *     &lt;enumeration value="Cinnosti"/&gt;
 *     &lt;enumeration value="OhlasenaOvm"/&gt;
 *     &lt;enumeration value="Ohlasovatel"/&gt;
 *     &lt;enumeration value="RegistrovanaOvm"/&gt;
 *     &lt;enumeration value="VycetZrAis"/&gt;
 *     &lt;enumeration value="VycetRoli"/&gt;
 *     &lt;enumeration value="RozsahOpravneniZr"/&gt;
 *     &lt;enumeration value="RozsahOpravneniAis"/&gt;
 *     &lt;enumeration value="PravniPredpisyOpravneni"/&gt;
 *     &lt;enumeration value="Agenda"/&gt;
 *     &lt;enumeration value="UdajAgenda"/&gt;
 *     &lt;enumeration value="OpravneniZr"/&gt;
 *     &lt;enumeration value="OpravneniAgenda"/&gt;
 *     &lt;enumeration value="Ukon"/&gt;
 *     &lt;enumeration value="OvmVykonavajiciUkon"/&gt;
 *     &lt;enumeration value="PrevedeneCinnosti"/&gt;
 *     &lt;enumeration value="PrevedeneUkony"/&gt;
 *     &lt;enumeration value="SluzbaVs"/&gt;
 *     &lt;enumeration value="OvmVykonavajiciSluzbuVs"/&gt;
 *     &lt;enumeration value="PrevedeneSluzby"/&gt;
 *     &lt;enumeration value="PrurezoveCinnosti"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "RppUdajAgendyType")
@XmlEnum
public enum RppUdajAgendyType {

    @XmlEnumValue("NazevAgendy")
    NAZEV_AGENDY("NazevAgendy"),
    @XmlEnumValue("KodAgendy")
    KOD_AGENDY("KodAgendy"),
    @XmlEnumValue("PravniPredpisAgendy")
    PRAVNI_PREDPIS_AGENDY("PravniPredpisAgendy"),
    @XmlEnumValue("Cinnosti")
    CINNOSTI("Cinnosti"),
    @XmlEnumValue("OhlasenaOvm")
    OHLASENA_OVM("OhlasenaOvm"),
    @XmlEnumValue("Ohlasovatel")
    OHLASOVATEL("Ohlasovatel"),
    @XmlEnumValue("RegistrovanaOvm")
    REGISTROVANA_OVM("RegistrovanaOvm"),
    @XmlEnumValue("VycetZrAis")
    VYCET_ZR_AIS("VycetZrAis"),
    @XmlEnumValue("VycetRoli")
    VYCET_ROLI("VycetRoli"),
    @XmlEnumValue("RozsahOpravneniZr")
    ROZSAH_OPRAVNENI_ZR("RozsahOpravneniZr"),
    @XmlEnumValue("RozsahOpravneniAis")
    ROZSAH_OPRAVNENI_AIS("RozsahOpravneniAis"),
    @XmlEnumValue("PravniPredpisyOpravneni")
    PRAVNI_PREDPISY_OPRAVNENI("PravniPredpisyOpravneni"),
    @XmlEnumValue("Agenda")
    AGENDA("Agenda"),
    @XmlEnumValue("UdajAgenda")
    UDAJ_AGENDA("UdajAgenda"),
    @XmlEnumValue("OpravneniZr")
    OPRAVNENI_ZR("OpravneniZr"),
    @XmlEnumValue("OpravneniAgenda")
    OPRAVNENI_AGENDA("OpravneniAgenda"),
    @XmlEnumValue("Ukon")
    UKON("Ukon"),
    @XmlEnumValue("OvmVykonavajiciUkon")
    OVM_VYKONAVAJICI_UKON("OvmVykonavajiciUkon"),
    @XmlEnumValue("PrevedeneCinnosti")
    PREVEDENE_CINNOSTI("PrevedeneCinnosti"),
    @XmlEnumValue("PrevedeneUkony")
    PREVEDENE_UKONY("PrevedeneUkony"),
    @XmlEnumValue("SluzbaVs")
    SLUZBA_VS("SluzbaVs"),
    @XmlEnumValue("OvmVykonavajiciSluzbuVs")
    OVM_VYKONAVAJICI_SLUZBU_VS("OvmVykonavajiciSluzbuVs"),
    @XmlEnumValue("PrevedeneSluzby")
    PREVEDENE_SLUZBY("PrevedeneSluzby"),
    @XmlEnumValue("PrurezoveCinnosti")
    PRUREZOVE_CINNOSTI("PrurezoveCinnosti");
    private final String value;

    RppUdajAgendyType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static RppUdajAgendyType fromValue(String v) {
        for (RppUdajAgendyType c: RppUdajAgendyType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
