
package cz.isvs.reg.schemas.regtypy.v1;

import java.util.Calendar;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.CollapsedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import cz.isvs.iszr.schemas.iszrabstract.v1.ZadostInfoIszrType;
import org.w3._2001.xmlschema.Adapter1;


/**
 * Společná hlavička všech žádostí nebo dotazů (webových služeb).
 * 
 * <p>Java class for ZadostInfoType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ZadostInfoType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="CasZadosti" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}CasovaZnackaType"/&gt;
 *         &lt;element name="Agenda" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType"/&gt;
 *         &lt;element name="AgendovaRole" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}AgendovaRoleType"/&gt;
 *         &lt;element name="Ovm" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodOvmType"/&gt;
 *         &lt;element name="Ais" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAisType" minOccurs="0"/&gt;
 *         &lt;element name="Subjekt" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}SubjektType" minOccurs="0"/&gt;
 *         &lt;element name="Uzivatel" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}UzivatelType" minOccurs="0"/&gt;
 *         &lt;element name="DuvodUcel" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}DuvodUcelType" minOccurs="0"/&gt;
 *         &lt;element name="AgendaZadostId" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}AgendaZadostIdType"/&gt;
 *         &lt;element name="PredchoziZadostId" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}AgendaZadostIdType" minOccurs="0"/&gt;
 *         &lt;element name="IszrZadostId" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IszrZadostIdType" minOccurs="0"/&gt;
 *         &lt;element name="AisKontrola" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}AisKontrolaType" minOccurs="0"/&gt;
 *         &lt;element name="IszrKontrola" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IszrKontrolaType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ZadostInfoType", propOrder = {
    "casZadosti",
    "agenda",
    "agendovaRole",
    "ovm",
    "ais",
    "subjekt",
    "uzivatel",
    "duvodUcel",
    "agendaZadostId",
    "predchoziZadostId",
    "iszrZadostId",
    "aisKontrola",
    "iszrKontrola"
})
@XmlSeeAlso({
    ZadostInfoIszrType.class
})
public class ZadostInfoType {

    @XmlElement(name = "CasZadosti", required = true, type = String.class)
    @XmlJavaTypeAdapter(Adapter1 .class)
    @XmlSchemaType(name = "dateTime")
    protected Calendar casZadosti;
    @XmlElement(name = "Agenda", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String agenda;
    @XmlElement(name = "AgendovaRole", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String agendovaRole;
    @XmlElement(name = "Ovm", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String ovm;
    @XmlElement(name = "Ais")
    protected Integer ais;
    @XmlElement(name = "Subjekt")
    protected String subjekt;
    @XmlElement(name = "Uzivatel")
    protected String uzivatel;
    @XmlElement(name = "DuvodUcel")
    protected String duvodUcel;
    @XmlElement(name = "AgendaZadostId", required = true)
    protected String agendaZadostId;
    @XmlElement(name = "PredchoziZadostId")
    protected String predchoziZadostId;
    @XmlElement(name = "IszrZadostId")
    protected String iszrZadostId;
    @XmlElement(name = "AisKontrola")
    protected byte[] aisKontrola;
    @XmlElement(name = "IszrKontrola")
    protected byte[] iszrKontrola;

    /**
     * Gets the value of the casZadosti property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getCasZadosti() {
        return casZadosti;
    }

    /**
     * Sets the value of the casZadosti property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCasZadosti(Calendar value) {
        this.casZadosti = value;
    }

    /**
     * Gets the value of the agenda property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAgenda() {
        return agenda;
    }

    /**
     * Sets the value of the agenda property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAgenda(String value) {
        this.agenda = value;
    }

    /**
     * Gets the value of the agendovaRole property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAgendovaRole() {
        return agendovaRole;
    }

    /**
     * Sets the value of the agendovaRole property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAgendovaRole(String value) {
        this.agendovaRole = value;
    }

    /**
     * Gets the value of the ovm property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOvm() {
        return ovm;
    }

    /**
     * Sets the value of the ovm property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOvm(String value) {
        this.ovm = value;
    }

    /**
     * Gets the value of the ais property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getAis() {
        return ais;
    }

    /**
     * Sets the value of the ais property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setAis(Integer value) {
        this.ais = value;
    }

    /**
     * Gets the value of the subjekt property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSubjekt() {
        return subjekt;
    }

    /**
     * Sets the value of the subjekt property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSubjekt(String value) {
        this.subjekt = value;
    }

    /**
     * Gets the value of the uzivatel property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUzivatel() {
        return uzivatel;
    }

    /**
     * Sets the value of the uzivatel property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUzivatel(String value) {
        this.uzivatel = value;
    }

    /**
     * Gets the value of the duvodUcel property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDuvodUcel() {
        return duvodUcel;
    }

    /**
     * Sets the value of the duvodUcel property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDuvodUcel(String value) {
        this.duvodUcel = value;
    }

    /**
     * Gets the value of the agendaZadostId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAgendaZadostId() {
        return agendaZadostId;
    }

    /**
     * Sets the value of the agendaZadostId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAgendaZadostId(String value) {
        this.agendaZadostId = value;
    }

    /**
     * Gets the value of the predchoziZadostId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPredchoziZadostId() {
        return predchoziZadostId;
    }

    /**
     * Sets the value of the predchoziZadostId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPredchoziZadostId(String value) {
        this.predchoziZadostId = value;
    }

    /**
     * Gets the value of the iszrZadostId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIszrZadostId() {
        return iszrZadostId;
    }

    /**
     * Sets the value of the iszrZadostId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIszrZadostId(String value) {
        this.iszrZadostId = value;
    }

    /**
     * Gets the value of the aisKontrola property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getAisKontrola() {
        return aisKontrola;
    }

    /**
     * Sets the value of the aisKontrola property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setAisKontrola(byte[] value) {
        this.aisKontrola = value;
    }

    /**
     * Gets the value of the iszrKontrola property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getIszrKontrola() {
        return iszrKontrola;
    }

    /**
     * Sets the value of the iszrKontrola property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setIszrKontrola(byte[] value) {
        this.iszrKontrola = value;
    }

}
