
package cz.isvs.rob.schemas.robdotazydata.v1;

import java.util.Calendar;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import cz.isvs.rob.schemas.robtypy.v1.AdresaPobytuType;
import cz.isvs.rob.schemas.robtypy.v1.DokladType;
import cz.isvs.rob.schemas.robtypy.v1.MistoNarozeniType;
import cz.isvs.rob.schemas.robtypy.v1.MistoUmrtiType;
import cz.isvs.rob.schemas.robtypy.v1.TypPorovnaniType;
import org.w3._2001.xmlschema.Adapter2;


/**
 * Čtení referenčních údajů z registru na základě vyhledání fyzické
 *                 osoby podle kombinace údajů.
 *             
 * 
 * <p>Java class for RobCtiPodleUdajuDataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RobCtiPodleUdajuDataType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="AdresaPobytu" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}AdresaPobytuType" minOccurs="0"/&gt;
 *         &lt;element name="DatovaSchrankaId" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}DatovaSchrankaIdType" minOccurs="0"/&gt;
 *         &lt;element name="DatumNarozeni" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DatumNarozeniType" minOccurs="0"/&gt;
 *         &lt;element name="DatumPravniMociUmrti" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DatumPravniMociUmrtiType" minOccurs="0"/&gt;
 *         &lt;element name="DatumUmrti" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DatumUmrtiType" minOccurs="0"/&gt;
 *         &lt;element name="Jmeno" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}JmenoType" minOccurs="0"/&gt;
 *         &lt;element name="MistoNarozeni" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}MistoNarozeniType" minOccurs="0"/&gt;
 *         &lt;element name="MistoUmrti" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}MistoUmrtiType" minOccurs="0"/&gt;
 *         &lt;element name="Prijmeni" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}PrijmeniType" minOccurs="0"/&gt;
 *         &lt;element name="Doklad" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DokladType" minOccurs="0"/&gt;
 *         &lt;element name="Obcanstvi" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}ObcanstviType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="typPorovnani" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}TypPorovnaniType" default="diakritika" /&gt;
 *       &lt;attribute name="znepristupniLog" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RobCtiPodleUdajuDataType", propOrder = {
    "adresaPobytu",
    "datovaSchrankaId",
    "datumNarozeni",
    "datumPravniMociUmrti",
    "datumUmrti",
    "jmeno",
    "mistoNarozeni",
    "mistoUmrti",
    "prijmeni",
    "doklad",
    "obcanstvi"
})
@XmlSeeAlso({
    RobCtiPodleUdaju2DataType.class
})
public class RobCtiPodleUdajuDataType {

    @XmlElement(name = "AdresaPobytu", nillable = true)
    protected AdresaPobytuType adresaPobytu;
    @XmlElement(name = "DatovaSchrankaId", nillable = true)
    protected String datovaSchrankaId;
    @XmlElement(name = "DatumNarozeni", type = String.class, nillable = true)
    @XmlJavaTypeAdapter(Adapter2 .class)
    @XmlSchemaType(name = "date")
    protected Calendar datumNarozeni;
    @XmlElement(name = "DatumPravniMociUmrti", type = String.class, nillable = true)
    @XmlJavaTypeAdapter(Adapter2 .class)
    @XmlSchemaType(name = "date")
    protected Calendar datumPravniMociUmrti;
    @XmlElement(name = "DatumUmrti", type = String.class, nillable = true)
    @XmlJavaTypeAdapter(Adapter2 .class)
    @XmlSchemaType(name = "date")
    protected Calendar datumUmrti;
    @XmlElement(name = "Jmeno", nillable = true)
    protected String jmeno;
    @XmlElement(name = "MistoNarozeni", nillable = true)
    protected MistoNarozeniType mistoNarozeni;
    @XmlElement(name = "MistoUmrti", nillable = true)
    protected MistoUmrtiType mistoUmrti;
    @XmlElement(name = "Prijmeni", nillable = true)
    protected String prijmeni;
    @XmlElement(name = "Doklad")
    protected DokladType doklad;
    @XmlElement(name = "Obcanstvi")
    protected Integer obcanstvi;
    @XmlAttribute(name = "typPorovnani")
    protected TypPorovnaniType typPorovnani;
    @XmlAttribute(name = "znepristupniLog")
    protected Boolean znepristupniLog;

    /**
     * Gets the value of the adresaPobytu property.
     * 
     * @return
     *     possible object is
     *     {@link AdresaPobytuType }
     *     
     */
    public AdresaPobytuType getAdresaPobytu() {
        return adresaPobytu;
    }

    /**
     * Sets the value of the adresaPobytu property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdresaPobytuType }
     *     
     */
    public void setAdresaPobytu(AdresaPobytuType value) {
        this.adresaPobytu = value;
    }

    /**
     * Gets the value of the datovaSchrankaId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDatovaSchrankaId() {
        return datovaSchrankaId;
    }

    /**
     * Sets the value of the datovaSchrankaId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatovaSchrankaId(String value) {
        this.datovaSchrankaId = value;
    }

    /**
     * Gets the value of the datumNarozeni property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getDatumNarozeni() {
        return datumNarozeni;
    }

    /**
     * Sets the value of the datumNarozeni property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatumNarozeni(Calendar value) {
        this.datumNarozeni = value;
    }

    /**
     * Gets the value of the datumPravniMociUmrti property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getDatumPravniMociUmrti() {
        return datumPravniMociUmrti;
    }

    /**
     * Sets the value of the datumPravniMociUmrti property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatumPravniMociUmrti(Calendar value) {
        this.datumPravniMociUmrti = value;
    }

    /**
     * Gets the value of the datumUmrti property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getDatumUmrti() {
        return datumUmrti;
    }

    /**
     * Sets the value of the datumUmrti property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatumUmrti(Calendar value) {
        this.datumUmrti = value;
    }

    /**
     * Gets the value of the jmeno property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getJmeno() {
        return jmeno;
    }

    /**
     * Sets the value of the jmeno property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setJmeno(String value) {
        this.jmeno = value;
    }

    /**
     * Gets the value of the mistoNarozeni property.
     * 
     * @return
     *     possible object is
     *     {@link MistoNarozeniType }
     *     
     */
    public MistoNarozeniType getMistoNarozeni() {
        return mistoNarozeni;
    }

    /**
     * Sets the value of the mistoNarozeni property.
     * 
     * @param value
     *     allowed object is
     *     {@link MistoNarozeniType }
     *     
     */
    public void setMistoNarozeni(MistoNarozeniType value) {
        this.mistoNarozeni = value;
    }

    /**
     * Gets the value of the mistoUmrti property.
     * 
     * @return
     *     possible object is
     *     {@link MistoUmrtiType }
     *     
     */
    public MistoUmrtiType getMistoUmrti() {
        return mistoUmrti;
    }

    /**
     * Sets the value of the mistoUmrti property.
     * 
     * @param value
     *     allowed object is
     *     {@link MistoUmrtiType }
     *     
     */
    public void setMistoUmrti(MistoUmrtiType value) {
        this.mistoUmrti = value;
    }

    /**
     * Gets the value of the prijmeni property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPrijmeni() {
        return prijmeni;
    }

    /**
     * Sets the value of the prijmeni property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPrijmeni(String value) {
        this.prijmeni = value;
    }

    /**
     * Gets the value of the doklad property.
     * 
     * @return
     *     possible object is
     *     {@link DokladType }
     *     
     */
    public DokladType getDoklad() {
        return doklad;
    }

    /**
     * Sets the value of the doklad property.
     * 
     * @param value
     *     allowed object is
     *     {@link DokladType }
     *     
     */
    public void setDoklad(DokladType value) {
        this.doklad = value;
    }

    /**
     * Gets the value of the obcanstvi property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getObcanstvi() {
        return obcanstvi;
    }

    /**
     * Sets the value of the obcanstvi property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setObcanstvi(Integer value) {
        this.obcanstvi = value;
    }

    /**
     * Gets the value of the typPorovnani property.
     * 
     * @return
     *     possible object is
     *     {@link TypPorovnaniType }
     *     
     */
    public TypPorovnaniType getTypPorovnani() {
        if (typPorovnani == null) {
            return TypPorovnaniType.DIAKRITIKA;
        } else {
            return typPorovnani;
        }
    }

    /**
     * Sets the value of the typPorovnani property.
     * 
     * @param value
     *     allowed object is
     *     {@link TypPorovnaniType }
     *     
     */
    public void setTypPorovnani(TypPorovnaniType value) {
        this.typPorovnani = value;
    }

    /**
     * Gets the value of the znepristupniLog property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isZnepristupniLog() {
        return znepristupniLog;
    }

    /**
     * Sets the value of the znepristupniLog property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setZnepristupniLog(Boolean value) {
        this.znepristupniLog = value;
    }

}
