
package cz.isvs.rob.schemas.robdotazydata.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.LokalniAifoType;


/**
 * Výpis záznamů o DS třetích stran, do kterých se
 *                 při změně mají
 *                 údaje odeslat.
 *             
 * 
 * <p>Java class for RobVypisSouhlasuPoskytnutiDataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RobVypisSouhlasuPoskytnutiDataType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Aifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniAifoType"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="vydatNeaktivniZaznamy" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RobVypisSouhlasuPoskytnutiDataType", propOrder = {
    "aifo"
})
public class RobVypisSouhlasuPoskytnutiDataType {

    @XmlElement(name = "Aifo", required = true)
    protected LokalniAifoType aifo;
    @XmlAttribute(name = "vydatNeaktivniZaznamy")
    protected Boolean vydatNeaktivniZaznamy;

    /**
     * Gets the value of the aifo property.
     * 
     * @return
     *     possible object is
     *     {@link LokalniAifoType }
     *     
     */
    public LokalniAifoType getAifo() {
        return aifo;
    }

    /**
     * Sets the value of the aifo property.
     * 
     * @param value
     *     allowed object is
     *     {@link LokalniAifoType }
     *     
     */
    public void setAifo(LokalniAifoType value) {
        this.aifo = value;
    }

    /**
     * Gets the value of the vydatNeaktivniZaznamy property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isVydatNeaktivniZaznamy() {
        return vydatNeaktivniZaznamy;
    }

    /**
     * Sets the value of the vydatNeaktivniZaznamy property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setVydatNeaktivniZaznamy(Boolean value) {
        this.vydatNeaktivniZaznamy = value;
    }

}
