
package cz.isvs.ros.schemas.rosdotazydata.v2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.rostypy.v2.AplikacniStatusType;


/**
 * 
 *               Společný předek všech odpovědí na dotazy ROS.
 *             
 * 
 * <p>Java class for RosDotazyDataResponseAbstractType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RosDotazyDataResponseAbstractType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="AplikacniStatus" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}AplikacniStatusType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RosDotazyDataResponseAbstractType", propOrder = {
    "aplikacniStatus"
})
@XmlSeeAlso({
    RosCtiIcoDataResponseType.class,
    RosCtiIco2DataResponseType.class,
    RosCtiAifoDataResponseType.class,
    RosCtiAifo2DataResponseType.class,
    RosCtiPodleUdajuDataResponseType.class,
    RosCtiPodleUdaju2DataResponseType.class,
    RosCtiZmenyDataResponseType.class,
    RosCtiSeznamIcoDataResponseType.class,
    RosCtiSeznamIco2DataResponseType.class,
    RosVypisVyuzitiDataResponseType.class,
    RosCtiSeznamEditoruDataResponseType.class,
    RosVypisZnepristupneniDataResponseType.class
})
public abstract class RosDotazyDataResponseAbstractType {

    @XmlElement(name = "AplikacniStatus", required = true)
    protected AplikacniStatusType aplikacniStatus;

    /**
     * Gets the value of the aplikacniStatus property.
     * 
     * @return
     *     possible object is
     *     {@link AplikacniStatusType }
     *     
     */
    public AplikacniStatusType getAplikacniStatus() {
        return aplikacniStatus;
    }

    /**
     * Sets the value of the aplikacniStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link AplikacniStatusType }
     *     
     */
    public void setAplikacniStatus(AplikacniStatusType value) {
        this.aplikacniStatus = value;
    }

}
