
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.LokalniAifoType;


/**
 * 
 *                 Fyzická osoba (obyvatel) v ROS pro vyhledávání podle libovolného údaje službou S07.
 *             
 * 
 * <p>Java class for FoFiltrType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="FoFiltrType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;choice&gt;
 *         &lt;element name="Aifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniAifoType"/&gt;
 *         &lt;element name="FoTextemPobyt" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}FoTextemPobytFiltrType"/&gt;
 *       &lt;/choice&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FoFiltrType", propOrder = {
    "aifo",
    "foTextemPobyt"
})
public class FoFiltrType {

    @XmlElement(name = "Aifo")
    protected LokalniAifoType aifo;
    @XmlElement(name = "FoTextemPobyt")
    protected FoTextemPobytFiltrType foTextemPobyt;

    /**
     * Gets the value of the aifo property.
     * 
     * @return
     *     possible object is
     *     {@link LokalniAifoType }
     *     
     */
    public LokalniAifoType getAifo() {
        return aifo;
    }

    /**
     * Sets the value of the aifo property.
     * 
     * @param value
     *     allowed object is
     *     {@link LokalniAifoType }
     *     
     */
    public void setAifo(LokalniAifoType value) {
        this.aifo = value;
    }

    /**
     * Gets the value of the foTextemPobyt property.
     * 
     * @return
     *     possible object is
     *     {@link FoTextemPobytFiltrType }
     *     
     */
    public FoTextemPobytFiltrType getFoTextemPobyt() {
        return foTextemPobyt;
    }

    /**
     * Sets the value of the foTextemPobyt property.
     * 
     * @param value
     *     allowed object is
     *     {@link FoTextemPobytFiltrType }
     *     
     */
    public void setFoTextemPobyt(FoTextemPobytFiltrType value) {
        this.foTextemPobyt = value;
    }

}
