
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * 
 *                 Fyzická osoba (podnikatel) v odpovědi druhé verze služeb z ROS včetně stavu a provozních údajů
 *                 o poslední změně jednotlivých údajů.
 *             
 * 
 * <p>Java class for FyzickaOsobaResponse2Type complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="FyzickaOsobaResponse2Type"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}OsobaResponseAbstract2Type"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="KontaktniUdaje" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}KontaktniUdajeResponseType" minOccurs="0"/&gt;
 *         &lt;element name="OsobyAgendy" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}OsobyAgendyResponse2Type" minOccurs="0"/&gt;
 *         &lt;element name="Fo" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}FoResponse2Type" minOccurs="0"/&gt;
 *         &lt;element name="InsolvencniSpravci" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}InsolvencniSpravciResponseType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FyzickaOsobaResponse2Type", propOrder = {
    "kontaktniUdaje",
    "osobyAgendy",
    "fo",
    "insolvencniSpravci"
})
public class FyzickaOsobaResponse2Type
    extends OsobaResponseAbstract2Type
{

    @XmlElement(name = "KontaktniUdaje")
    protected KontaktniUdajeResponseType kontaktniUdaje;
    @XmlElement(name = "OsobyAgendy")
    protected OsobyAgendyResponse2Type osobyAgendy;
    @XmlElement(name = "Fo")
    protected FoResponse2Type fo;
    @XmlElement(name = "InsolvencniSpravci")
    protected InsolvencniSpravciResponseType insolvencniSpravci;

    /**
     * Gets the value of the kontaktniUdaje property.
     * 
     * @return
     *     possible object is
     *     {@link KontaktniUdajeResponseType }
     *     
     */
    public KontaktniUdajeResponseType getKontaktniUdaje() {
        return kontaktniUdaje;
    }

    /**
     * Sets the value of the kontaktniUdaje property.
     * 
     * @param value
     *     allowed object is
     *     {@link KontaktniUdajeResponseType }
     *     
     */
    public void setKontaktniUdaje(KontaktniUdajeResponseType value) {
        this.kontaktniUdaje = value;
    }

    /**
     * Gets the value of the osobyAgendy property.
     * 
     * @return
     *     possible object is
     *     {@link OsobyAgendyResponse2Type }
     *     
     */
    public OsobyAgendyResponse2Type getOsobyAgendy() {
        return osobyAgendy;
    }

    /**
     * Sets the value of the osobyAgendy property.
     * 
     * @param value
     *     allowed object is
     *     {@link OsobyAgendyResponse2Type }
     *     
     */
    public void setOsobyAgendy(OsobyAgendyResponse2Type value) {
        this.osobyAgendy = value;
    }

    /**
     * Gets the value of the fo property.
     * 
     * @return
     *     possible object is
     *     {@link FoResponse2Type }
     *     
     */
    public FoResponse2Type getFo() {
        return fo;
    }

    /**
     * Sets the value of the fo property.
     * 
     * @param value
     *     allowed object is
     *     {@link FoResponse2Type }
     *     
     */
    public void setFo(FoResponse2Type value) {
        this.fo = value;
    }

    /**
     * Gets the value of the insolvencniSpravci property.
     * 
     * @return
     *     possible object is
     *     {@link InsolvencniSpravciResponseType }
     *     
     */
    public InsolvencniSpravciResponseType getInsolvencniSpravci() {
        return insolvencniSpravci;
    }

    /**
     * Sets the value of the insolvencniSpravci property.
     * 
     * @param value
     *     allowed object is
     *     {@link InsolvencniSpravciResponseType }
     *     
     */
    public void setInsolvencniSpravci(InsolvencniSpravciResponseType value) {
        this.insolvencniSpravci = value;
    }

}
