
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * 
 *                 Insolvenční správci osoby v odpovědi z ROS včetně stavu a provozních údajů
 *                 o poslední změně insolvenčních správců.
 *             
 * 
 * <p>Java class for InsolvencniSpravciResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InsolvencniSpravciResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="InsolvencniSpravce" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}InsolvencniSpravceResponse2Type" maxOccurs="unbounded"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InsolvencniSpravciResponseType", propOrder = {
    "insolvencniSpravce"
})
public class InsolvencniSpravciResponseType {

    @XmlElement(name = "InsolvencniSpravce", required = true)
    protected List<InsolvencniSpravceResponse2Type> insolvencniSpravce;

    /**
     * Gets the value of the insolvencniSpravce property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the insolvencniSpravce property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getInsolvencniSpravce().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link InsolvencniSpravceResponse2Type }
     * 
     * 
     */
    public List<InsolvencniSpravceResponse2Type> getInsolvencniSpravce() {
        if (insolvencniSpravce == null) {
            insolvencniSpravce = new ArrayList<InsolvencniSpravceResponse2Type>();
        }
        return this.insolvencniSpravce;
    }

}
