
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import java.util.Calendar;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.CollapsedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import cz.isvs.ros.schemas.rostypy.v2.AdresaType;
import org.w3._2001.xmlschema.Adapter2;


/**
 * 
 *                 Osoba ve vztahu k agendě a jejímu agendovému místu v ROS pro vyhledávání
 *                 podle libovolného údaje službou S07.
 *             
 * 
 * <p>Java class for OsobaAgendyFiltrType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OsobaAgendyFiltrType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="KodAgendy" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType" minOccurs="0"/&gt;
 *         &lt;element name="KodOvm" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodOvmType" minOccurs="0"/&gt;
 *         &lt;element name="NazevOsoby" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}NazevOsobyType" minOccurs="0"/&gt;
 *         &lt;element name="DatumVznikuOpravneni" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}DatumVznikuOpravneniType" minOccurs="0"/&gt;
 *         &lt;element name="DatumZanikuOpravneni" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}DatumZanikuOpravneniType" minOccurs="0"/&gt;
 *         &lt;element name="PozastaveniPreruseni" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}PozastaveniPreruseniType" minOccurs="0"/&gt;
 *         &lt;element name="AdresaSidla" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}AdresaType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OsobaAgendyFiltrType", propOrder = {
    "kodAgendy",
    "kodOvm",
    "nazevOsoby",
    "datumVznikuOpravneni",
    "datumZanikuOpravneni",
    "pozastaveniPreruseni",
    "adresaSidla"
})
@XmlSeeAlso({
    OsobaAgendyFiltr2Type.class
})
public class OsobaAgendyFiltrType {

    @XmlElement(name = "KodAgendy")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String kodAgendy;
    @XmlElement(name = "KodOvm")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String kodOvm;
    @XmlElement(name = "NazevOsoby")
    protected String nazevOsoby;
    @XmlElement(name = "DatumVznikuOpravneni", type = String.class)
    @XmlJavaTypeAdapter(Adapter2 .class)
    @XmlSchemaType(name = "date")
    protected Calendar datumVznikuOpravneni;
    @XmlElement(name = "DatumZanikuOpravneni", type = String.class)
    @XmlJavaTypeAdapter(Adapter2 .class)
    @XmlSchemaType(name = "date")
    protected Calendar datumZanikuOpravneni;
    @XmlElement(name = "PozastaveniPreruseni")
    protected Boolean pozastaveniPreruseni;
    @XmlElement(name = "AdresaSidla")
    protected AdresaType adresaSidla;

    /**
     * Gets the value of the kodAgendy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getKodAgendy() {
        return kodAgendy;
    }

    /**
     * Sets the value of the kodAgendy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setKodAgendy(String value) {
        this.kodAgendy = value;
    }

    /**
     * Gets the value of the kodOvm property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getKodOvm() {
        return kodOvm;
    }

    /**
     * Sets the value of the kodOvm property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setKodOvm(String value) {
        this.kodOvm = value;
    }

    /**
     * Gets the value of the nazevOsoby property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNazevOsoby() {
        return nazevOsoby;
    }

    /**
     * Sets the value of the nazevOsoby property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNazevOsoby(String value) {
        this.nazevOsoby = value;
    }

    /**
     * Gets the value of the datumVznikuOpravneni property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getDatumVznikuOpravneni() {
        return datumVznikuOpravneni;
    }

    /**
     * Sets the value of the datumVznikuOpravneni property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatumVznikuOpravneni(Calendar value) {
        this.datumVznikuOpravneni = value;
    }

    /**
     * Gets the value of the datumZanikuOpravneni property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getDatumZanikuOpravneni() {
        return datumZanikuOpravneni;
    }

    /**
     * Sets the value of the datumZanikuOpravneni property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatumZanikuOpravneni(Calendar value) {
        this.datumZanikuOpravneni = value;
    }

    /**
     * Gets the value of the pozastaveniPreruseni property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isPozastaveniPreruseni() {
        return pozastaveniPreruseni;
    }

    /**
     * Sets the value of the pozastaveniPreruseni property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setPozastaveniPreruseni(Boolean value) {
        this.pozastaveniPreruseni = value;
    }

    /**
     * Gets the value of the adresaSidla property.
     * 
     * @return
     *     possible object is
     *     {@link AdresaType }
     *     
     */
    public AdresaType getAdresaSidla() {
        return adresaSidla;
    }

    /**
     * Sets the value of the adresaSidla property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdresaType }
     *     
     */
    public void setAdresaSidla(AdresaType value) {
        this.adresaSidla = value;
    }

}
