
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * 
 *                 Osoba ve vztahu k agendě a jejímu agendovému místu v odpovědi z ROS
 *                 včetně stavu jednotlivých údajů pro druhou verzi služeb. Některé údaje osoby jsou nepovinné
 *                 (služba S34 má možnost na vstupu vybírat požadované údaje).
 *             
 * 
 * <p>Java class for OsobaAgendyResponse2Type complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OsobaAgendyResponse2Type"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}OsobaAgendyResponseType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="AdresaDorucovaci" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}AdresaDorucovaciResponseType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OsobaAgendyResponse2Type", propOrder = {
    "adresaDorucovaci"
})
public class OsobaAgendyResponse2Type
    extends OsobaAgendyResponseType
{

    @XmlElement(name = "AdresaDorucovaci")
    protected AdresaDorucovaciResponseType adresaDorucovaci;

    /**
     * Gets the value of the adresaDorucovaci property.
     * 
     * @return
     *     possible object is
     *     {@link AdresaDorucovaciResponseType }
     *     
     */
    public AdresaDorucovaciResponseType getAdresaDorucovaci() {
        return adresaDorucovaci;
    }

    /**
     * Sets the value of the adresaDorucovaci property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdresaDorucovaciResponseType }
     *     
     */
    public void setAdresaDorucovaci(AdresaDorucovaciResponseType value) {
        this.adresaDorucovaci = value;
    }

}
