
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.roseditacetypy.v1.PozastaveniPreruseniStavType;
import cz.isvs.ros.schemas.rostypy.v2.UdajeZmenyType;


/**
 * 
 *                 Příznak pozastavení/přerušení činnosti osoby v odpovědi z ROS včetně stavu a provozních údajů o poslední změně. 
 *             
 * 
 * <p>Java class for PozastaveniPreruseniResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PozastaveniPreruseniResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="PozastaveniPreruseniUdaj" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}PozastaveniPreruseniStavType" minOccurs="0"/&gt;
 *         &lt;element name="ProvozniUdaje" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}UdajeZmenyType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PozastaveniPreruseniResponseType", propOrder = {
    "pozastaveniPreruseniUdaj",
    "provozniUdaje"
})
public class PozastaveniPreruseniResponseType {

    @XmlElement(name = "PozastaveniPreruseniUdaj", nillable = true)
    protected PozastaveniPreruseniStavType pozastaveniPreruseniUdaj;
    @XmlElement(name = "ProvozniUdaje", required = true)
    protected UdajeZmenyType provozniUdaje;

    /**
     * Gets the value of the pozastaveniPreruseniUdaj property.
     * 
     * @return
     *     possible object is
     *     {@link PozastaveniPreruseniStavType }
     *     
     */
    public PozastaveniPreruseniStavType getPozastaveniPreruseniUdaj() {
        return pozastaveniPreruseniUdaj;
    }

    /**
     * Sets the value of the pozastaveniPreruseniUdaj property.
     * 
     * @param value
     *     allowed object is
     *     {@link PozastaveniPreruseniStavType }
     *     
     */
    public void setPozastaveniPreruseniUdaj(PozastaveniPreruseniStavType value) {
        this.pozastaveniPreruseniUdaj = value;
    }

    /**
     * Gets the value of the provozniUdaje property.
     * 
     * @return
     *     possible object is
     *     {@link UdajeZmenyType }
     *     
     */
    public UdajeZmenyType getProvozniUdaje() {
        return provozniUdaje;
    }

    /**
     * Sets the value of the provozniUdaje property.
     * 
     * @param value
     *     allowed object is
     *     {@link UdajeZmenyType }
     *     
     */
    public void setProvozniUdaje(UdajeZmenyType value) {
        this.provozniUdaje = value;
    }

}
