
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.LokalniAifoType;


/**
 * 
 *                 Statutární orgán v ROS pro vyhledávání podle libovolného údaje službou S07.
 *             
 * 
 * <p>Java class for StatutarniOrganFiltr2Type complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="StatutarniOrganFiltr2Type"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;choice&gt;
 *         &lt;element name="OsobaIco" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IcoType"/&gt;
 *         &lt;element name="NazevAdresa" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}NazevAdresaFiltrType"/&gt;
 *         &lt;element name="Aifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniAifoType"/&gt;
 *         &lt;element name="FoTextemPobyt" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}FoTextemPobytFiltr2Type"/&gt;
 *       &lt;/choice&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "StatutarniOrganFiltr2Type", propOrder = {
    "osobaIco",
    "nazevAdresa",
    "aifo",
    "foTextemPobyt"
})
public class StatutarniOrganFiltr2Type {

    @XmlElement(name = "OsobaIco")
    protected Integer osobaIco;
    @XmlElement(name = "NazevAdresa")
    protected NazevAdresaFiltrType nazevAdresa;
    @XmlElement(name = "Aifo")
    protected LokalniAifoType aifo;
    @XmlElement(name = "FoTextemPobyt")
    protected FoTextemPobytFiltr2Type foTextemPobyt;

    /**
     * Gets the value of the osobaIco property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getOsobaIco() {
        return osobaIco;
    }

    /**
     * Sets the value of the osobaIco property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setOsobaIco(Integer value) {
        this.osobaIco = value;
    }

    /**
     * Gets the value of the nazevAdresa property.
     * 
     * @return
     *     possible object is
     *     {@link NazevAdresaFiltrType }
     *     
     */
    public NazevAdresaFiltrType getNazevAdresa() {
        return nazevAdresa;
    }

    /**
     * Sets the value of the nazevAdresa property.
     * 
     * @param value
     *     allowed object is
     *     {@link NazevAdresaFiltrType }
     *     
     */
    public void setNazevAdresa(NazevAdresaFiltrType value) {
        this.nazevAdresa = value;
    }

    /**
     * Gets the value of the aifo property.
     * 
     * @return
     *     possible object is
     *     {@link LokalniAifoType }
     *     
     */
    public LokalniAifoType getAifo() {
        return aifo;
    }

    /**
     * Sets the value of the aifo property.
     * 
     * @param value
     *     allowed object is
     *     {@link LokalniAifoType }
     *     
     */
    public void setAifo(LokalniAifoType value) {
        this.aifo = value;
    }

    /**
     * Gets the value of the foTextemPobyt property.
     * 
     * @return
     *     possible object is
     *     {@link FoTextemPobytFiltr2Type }
     *     
     */
    public FoTextemPobytFiltr2Type getFoTextemPobyt() {
        return foTextemPobyt;
    }

    /**
     * Sets the value of the foTextemPobyt property.
     * 
     * @param value
     *     allowed object is
     *     {@link FoTextemPobytFiltr2Type }
     *     
     */
    public void setFoTextemPobyt(FoTextemPobytFiltr2Type value) {
        this.foTextemPobyt = value;
    }

}
