
package cz.isvs.ros.schemas.roseditacetypy.v1;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * 
 *                 Opatrovnici osoby v editačním dotazu do ROS
 *                 včetně stavu jednotlivých opatrovníků ve druhé verzi služeb. 
 *             
 * 
 * <p>Java class for OpatrovniciStav2Type complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OpatrovniciStav2Type"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Opatrovnik" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}OpatrovnikStav2Type" maxOccurs="unbounded"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OpatrovniciStav2Type", propOrder = {
    "opatrovnik"
})
public class OpatrovniciStav2Type {

    @XmlElement(name = "Opatrovnik", required = true)
    protected List<OpatrovnikStav2Type> opatrovnik;

    /**
     * Gets the value of the opatrovnik property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the opatrovnik property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getOpatrovnik().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link OpatrovnikStav2Type }
     * 
     * 
     */
    public List<OpatrovnikStav2Type> getOpatrovnik() {
        if (opatrovnik == null) {
            opatrovnik = new ArrayList<OpatrovnikStav2Type>();
        }
        return this.opatrovnik;
    }

}
