
package cz.isvs.ros.schemas.rostypy.v2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.roseditacetypy.v1.InsolvencniSpravceStav2Type;
import cz.isvs.ros.schemas.roseditacetypy.v1.LikvidatorStav2Type;
import cz.isvs.ros.schemas.roseditacetypy.v1.NucenySpravceStav2Type;
import cz.isvs.ros.schemas.roseditacetypy.v1.OpatrovnikStav2Type;


/**
 * 
 *                 Angažovaná osoba osoby v ROS, společný předek.
 *             
 * 
 * <p>Java class for AngazovanaOsobaAbstract2Type complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AngazovanaOsobaAbstract2Type"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;choice&gt;
 *         &lt;element name="OsobaIco" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IcoType"/&gt;
 *         &lt;element name="NazevAdresa" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}NazevAdresaType"/&gt;
 *         &lt;element name="FyzickaOsoba" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}FoAngazovaneOsobyStav2Type"/&gt;
 *       &lt;/choice&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AngazovanaOsobaAbstract2Type", propOrder = {
    "osobaIco",
    "nazevAdresa",
    "fyzickaOsoba"
})
@XmlSeeAlso({
    LikvidatorStav2Type.class,
    OpatrovnikStav2Type.class,
    NucenySpravceStav2Type.class,
    InsolvencniSpravceStav2Type.class
})
public abstract class AngazovanaOsobaAbstract2Type {

    @XmlElement(name = "OsobaIco")
    protected Integer osobaIco;
    @XmlElement(name = "NazevAdresa")
    protected NazevAdresaType nazevAdresa;
    @XmlElement(name = "FyzickaOsoba")
    protected FoAngazovaneOsobyStav2Type fyzickaOsoba;

    /**
     * Gets the value of the osobaIco property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getOsobaIco() {
        return osobaIco;
    }

    /**
     * Sets the value of the osobaIco property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setOsobaIco(Integer value) {
        this.osobaIco = value;
    }

    /**
     * Gets the value of the nazevAdresa property.
     * 
     * @return
     *     possible object is
     *     {@link NazevAdresaType }
     *     
     */
    public NazevAdresaType getNazevAdresa() {
        return nazevAdresa;
    }

    /**
     * Sets the value of the nazevAdresa property.
     * 
     * @param value
     *     allowed object is
     *     {@link NazevAdresaType }
     *     
     */
    public void setNazevAdresa(NazevAdresaType value) {
        this.nazevAdresa = value;
    }

    /**
     * Gets the value of the fyzickaOsoba property.
     * 
     * @return
     *     possible object is
     *     {@link FoAngazovaneOsobyStav2Type }
     *     
     */
    public FoAngazovaneOsobyStav2Type getFyzickaOsoba() {
        return fyzickaOsoba;
    }

    /**
     * Sets the value of the fyzickaOsoba property.
     * 
     * @param value
     *     allowed object is
     *     {@link FoAngazovaneOsobyStav2Type }
     *     
     */
    public void setFyzickaOsoba(FoAngazovaneOsobyStav2Type value) {
        this.fyzickaOsoba = value;
    }

}
