
package cz.isvs.ros.schemas.rostypy.v2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.DatovaSchrankaType;


/**
 * 
 *                 Datová schránka osoby v ROS včetně návratového statusu. 
 *             
 * 
 * <p>Java class for DatovaSchrankaStatusType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DatovaSchrankaStatusType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="DatovaSchranka" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}DatovaSchrankaType"/&gt;
 *         &lt;element name="VysledekDetail" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}VysledekDetailType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DatovaSchrankaStatusType", propOrder = {
    "datovaSchranka",
    "vysledekDetail"
})
public class DatovaSchrankaStatusType {

    @XmlElement(name = "DatovaSchranka", required = true)
    protected DatovaSchrankaType datovaSchranka;
    @XmlElement(name = "VysledekDetail", required = true)
    protected VysledekDetailType vysledekDetail;

    /**
     * Gets the value of the datovaSchranka property.
     * 
     * @return
     *     possible object is
     *     {@link DatovaSchrankaType }
     *     
     */
    public DatovaSchrankaType getDatovaSchranka() {
        return datovaSchranka;
    }

    /**
     * Sets the value of the datovaSchranka property.
     * 
     * @param value
     *     allowed object is
     *     {@link DatovaSchrankaType }
     *     
     */
    public void setDatovaSchranka(DatovaSchrankaType value) {
        this.datovaSchranka = value;
    }

    /**
     * Gets the value of the vysledekDetail property.
     * 
     * @return
     *     possible object is
     *     {@link VysledekDetailType }
     *     
     */
    public VysledekDetailType getVysledekDetail() {
        return vysledekDetail;
    }

    /**
     * Sets the value of the vysledekDetail property.
     * 
     * @param value
     *     allowed object is
     *     {@link VysledekDetailType }
     *     
     */
    public void setVysledekDetail(VysledekDetailType value) {
        this.vysledekDetail = value;
    }

}
