
package cz.isvs.ros.schemas.rostypy.v2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * 
 *                 Identifikační číslo osoby v ROS včetně návratového statusu. 
 *             
 * 
 * <p>Java class for IcoStatusType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="IcoStatusType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Ico" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IcoType"/&gt;
 *         &lt;element name="VysledekDetail" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}VysledekDetailType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IcoStatusType", propOrder = {
    "ico",
    "vysledekDetail"
})
public class IcoStatusType {

    @XmlElement(name = "Ico")
    protected int ico;
    @XmlElement(name = "VysledekDetail", required = true)
    protected VysledekDetailType vysledekDetail;

    /**
     * Gets the value of the ico property.
     * 
     */
    public int getIco() {
        return ico;
    }

    /**
     * Sets the value of the ico property.
     * 
     */
    public void setIco(int value) {
        this.ico = value;
    }

    /**
     * Gets the value of the vysledekDetail property.
     * 
     * @return
     *     possible object is
     *     {@link VysledekDetailType }
     *     
     */
    public VysledekDetailType getVysledekDetail() {
        return vysledekDetail;
    }

    /**
     * Sets the value of the vysledekDetail property.
     * 
     * @param value
     *     allowed object is
     *     {@link VysledekDetailType }
     *     
     */
    public void setVysledekDetail(VysledekDetailType value) {
        this.vysledekDetail = value;
    }

}
