
package cz.isvs.ruian.schemas.ctiadresa.v1;

import jakarta.xml.bind.JAXBElement;
import jakarta.xml.bind.annotation.XmlElementDecl;
import jakarta.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the cz.isvs.ruian.schemas.ctiadresa.v1 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _CtiAdresuRequest_QNAME = new QName("urn:cz:isvs:ruian:schemas:CtiAdresa:v1", "CtiAdresuRequest");
    private final static QName _CtiAdresuResponse_QNAME = new QName("urn:cz:isvs:ruian:schemas:CtiAdresa:v1", "CtiAdresuResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: cz.isvs.ruian.schemas.ctiadresa.v1
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link CtiAdresuRequestType }
     * 
     */
    public CtiAdresuRequestType createCtiAdresuRequestType() {
        return new CtiAdresuRequestType();
    }

    /**
     * Create an instance of {@link CtiAdresuResponseType }
     * 
     */
    public CtiAdresuResponseType createCtiAdresuResponseType() {
        return new CtiAdresuResponseType();
    }

    /**
     * Create an instance of {@link CtiAdresuDotazType }
     * 
     */
    public CtiAdresuDotazType createCtiAdresuDotazType() {
        return new CtiAdresuDotazType();
    }

    /**
     * Create an instance of {@link AdresaRadkovaType }
     * 
     */
    public AdresaRadkovaType createAdresaRadkovaType() {
        return new AdresaRadkovaType();
    }

    /**
     * Create an instance of {@link AdresaPolozkovaType }
     * 
     */
    public AdresaPolozkovaType createAdresaPolozkovaType() {
        return new AdresaPolozkovaType();
    }

    /**
     * Create an instance of {@link AdresaResponseType }
     * 
     */
    public AdresaResponseType createAdresaResponseType() {
        return new AdresaResponseType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CtiAdresuRequestType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link CtiAdresuRequestType }{@code >}
     */
    @XmlElementDecl(namespace = "urn:cz:isvs:ruian:schemas:CtiAdresa:v1", name = "CtiAdresuRequest")
    public JAXBElement<CtiAdresuRequestType> createCtiAdresuRequest(CtiAdresuRequestType value) {
        return new JAXBElement<CtiAdresuRequestType>(_CtiAdresuRequest_QNAME, CtiAdresuRequestType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CtiAdresuResponseType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link CtiAdresuResponseType }{@code >}
     */
    @XmlElementDecl(namespace = "urn:cz:isvs:ruian:schemas:CtiAdresa:v1", name = "CtiAdresuResponse")
    public JAXBElement<CtiAdresuResponseType> createCtiAdresuResponse(CtiAdresuResponseType value) {
        return new JAXBElement<CtiAdresuResponseType>(_CtiAdresuResponse_QNAME, CtiAdresuResponseType.class, null, value);
    }

}
