
package cz.isvs.ruian.schemas.ctiprorob.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.OdpovedInfoType;


/**
 * Dotaz pro získání údajů potřebných k doplnění údajů o fyzické osobě z ROB.
 * 
 * <p>Java class for CtiProRobResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CtiProRobResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="OdpovedInfo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}OdpovedInfoType"/&gt;
 *         &lt;element name="Odpoved" type="{urn:cz:isvs:ruian:schemas:CtiProRob:v1}CtiProRobOdpovedType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CtiProRobResponseType", propOrder = {
    "odpovedInfo",
    "odpoved"
})
public class CtiProRobResponseType {

    @XmlElement(name = "OdpovedInfo", required = true)
    protected OdpovedInfoType odpovedInfo;
    @XmlElement(name = "Odpoved")
    protected CtiProRobOdpovedType odpoved;

    /**
     * Gets the value of the odpovedInfo property.
     * 
     * @return
     *     possible object is
     *     {@link OdpovedInfoType }
     *     
     */
    public OdpovedInfoType getOdpovedInfo() {
        return odpovedInfo;
    }

    /**
     * Sets the value of the odpovedInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link OdpovedInfoType }
     *     
     */
    public void setOdpovedInfo(OdpovedInfoType value) {
        this.odpovedInfo = value;
    }

    /**
     * Gets the value of the odpoved property.
     * 
     * @return
     *     possible object is
     *     {@link CtiProRobOdpovedType }
     *     
     */
    public CtiProRobOdpovedType getOdpoved() {
        return odpoved;
    }

    /**
     * Sets the value of the odpoved property.
     * 
     * @param value
     *     allowed object is
     *     {@link CtiProRobOdpovedType }
     *     
     */
    public void setOdpoved(CtiProRobOdpovedType value) {
        this.odpoved = value;
    }

}
