package cz.autocont.iszr.demo;

import java.io.Serial;
import java.io.Serializable;

/**
 * Ocekavana vyjimka v demostraci.
 * <div style="font:italic">Projekt ISZR - (c) AutoCont CZ a.s. All rights reserved</div>
 * 
 * @author Vladimir Pach
 * @since 0.0.1
 */
public class DemoException extends Exception
{

    /**
     * @see Serializable
     */
    @Serial
    private static final long serialVersionUID = 4524235581666756718L;

    /**
     * Pouze deleguje na predka.
     */
    public DemoException()
    {
        super();
    }

    /**
     * Pouze deleguje na predka.
     * 
     * @param message -
     * @param cause -
     */
    public DemoException(String message, Throwable cause)
    {
        super(message, cause);
    }

    /**
     * Pouze deleguje na predka.
     * 
     * @param message -
     */
    public DemoException(String message)
    {
        super(message);
    }

    /**
     * Pouze deleguje na predka.
     * 
     * @param cause -
     */
    public DemoException(Throwable cause)
    {
        super(cause);
    }
}
